/***************************************************************
 * Name:      jizdadialog.h
 * Author:    David Vachulka (archdvx@dxsolutions.org)
 * Copyright: 2018
 * License:   GPL3
 **************************************************************/

#ifndef JIZDADIALOG_H
#define JIZDADIALOG_H

#ifndef WX_PRECOMP
    #include <wx/wx.h>
#endif
#include <wx/listctrl.h>
#include <wx/datectrl.h>
#include <wx/timectrl.h>
#include <wx/dateevt.h>
#include "model/dbmodel.h"

class JizdaDialog: public wxDialog
{
    DECLARE_DYNAMIC_CLASS(JizdaDialog)
    DECLARE_EVENT_TABLE()
public:
    JizdaDialog() : m_id(-1), m_edit(0), m_mainSizer(nullptr), m_vozidlo(nullptr), m_cesta(nullptr), m_ucel(nullptr),
    m_startDate(nullptr), m_startTime(nullptr), m_endDate(nullptr), m_endTime(nullptr), m_startKm(nullptr), m_endKm(nullptr),
    m_startKmValue(0), m_endKmValue(0) {}
    //Nova zasoba
    explicit JizdaDialog(wxWindow *parent);
    //Editace zasoby
    JizdaDialog(wxWindow *parent, int id, int edit = 1);
private:
    int m_id;
    /* 0 - novy, 1 - editace, 2 - kopie */
    int m_edit;
    wxBoxSizer *m_mainSizer;
    wxChoice *m_vozidlo;
    wxComboBox *m_ridic;
    wxTextCtrl *m_cesta;
    wxTextCtrl *m_ucel;
    wxDatePickerCtrl *m_startDate;
    wxTimePickerCtrl *m_startTime;
    wxDatePickerCtrl *m_endDate;
    wxTimePickerCtrl *m_endTime;
    wxTextCtrl *m_startKm;
    wxTextCtrl *m_endKm;
    int m_startKmValue;
    int m_endKmValue;
    wxButton *m_cestaSelect;
    wxButton *m_ucelSelect;

    void createControls();
    void fillControls();
    void OnOk(wxCommandEvent& event);
    void OnCancel(wxCommandEvent& event);
    wxDateTime createDateTime(bool start);
    void OnSelectCesta(wxCommandEvent& event);
    void OnSelectUcel(wxCommandEvent& event);
    void OnDate(wxDateEvent& event);
    void OnTime(wxDateEvent& event);
    void OnKm(wxCommandEvent& event);
    void OnVozidlo(wxCommandEvent& event);
};

#endif  /* JIZDADIALOG_H */

