/***************************************************************
 * Name:      kontaktdialog.h
 * Author:    David Vachulka (archdvx@dxsolutions.org)
 * Copyright: 2014
 * License:   GPL3
 **************************************************************/

#ifndef KONTAKTDIALOG_H
#define KONTAKTDIALOG_H

#ifndef WX_PRECOMP
    #include <wx/wx.h>
#endif
#include "model/dbmodel.h"

class KontaktDialog: public wxDialog
{
    DECLARE_DYNAMIC_CLASS(KontaktDialog)
    DECLARE_EVENT_TABLE()
public:
    KontaktDialog() : m_id(-1), m_adresaid(-1), m_edit(0), m_mainSizer(nullptr), m_nazev(nullptr), m_jmeno(nullptr),
    m_ulice(nullptr), m_cp(nullptr), m_psc(nullptr), m_misto(nullptr), m_zeme(nullptr), m_ic(nullptr), m_dic(nullptr),
    m_email(nullptr) {}
    KontaktDialog(wxWindow *parent, int id, int edit);
private:
    int m_id;
    int m_adresaid;
    /* 0 - novy, 1 - uprava, 2 - kopie */
    int m_edit;
    wxBoxSizer *m_mainSizer;
    wxTextCtrl *m_nazev;
    wxTextCtrl *m_jmeno;
    wxTextCtrl *m_ulice;
    wxTextCtrl *m_cp;
    wxTextCtrl *m_psc;
    wxTextCtrl *m_misto;
    wxTextCtrl *m_zeme;
    wxTextCtrl *m_ic;
    wxTextCtrl *m_dic;
    wxTextCtrl *m_email;

    void createControls();
    void fillControls();
    void OnOk(wxCommandEvent& event);
    void OnCancel(wxCommandEvent& event);
    bool nazevExists();
};

#endif  /* KONTAKTDIALOG_H */

