/***************************************************************
 * Name:      pokladnadialog.h
 * Author:    David Vachulka (archdvx@dxsolutions.org)
 * Copyright: 2014
 * License:   GPL3
 **************************************************************/

#ifndef POKLADNADIALOG_H
#define POKLADNADIALOG_H

#ifndef WX_PRECOMP
    #include <wx/wx.h>
#endif
#include "model/dbmodel.h"

class PokladnaDialog: public wxDialog
{
    DECLARE_DYNAMIC_CLASS(PokladnaDialog)
    DECLARE_EVENT_TABLE()
public:
    PokladnaDialog() : m_id(-1), m_edit(false), m_mainSizer(nullptr), m_zkratka(nullptr), m_popis(nullptr), m_mena(nullptr) {}
    PokladnaDialog(wxWindow *parent, int id, bool edit);
private:
    int m_id;
    bool m_edit;
    wxBoxSizer *m_mainSizer;
    wxTextCtrl *m_zkratka;
    wxTextCtrl *m_popis;
    wxChoice *m_mena;

    void createControls();
    void fillControls();
    void OnOk(wxCommandEvent& event);
    void OnCancel(wxCommandEvent& event);
    bool zkratkaExists();
};

#endif  /* POKLADNADIALOG_H */

