/***************************************************************
 * Name:      pokladnydialog.h
 * Author:    David Vachulka (archdvx@dxsolutions.org)
 * Copyright: 2014
 * License:   GPL3
 **************************************************************/

#ifndef POKLADNYDIALOG_H
#define POKLADNYDIALOG_H

#ifndef WX_PRECOMP
    #include <wx/wx.h>
#endif
#include <wx/listctrl.h>
#include "model/dbmodel.h"
#include "gui/widgets/dxtoolbar.h"

class PokladnyDialog: public wxDialog
{
    DECLARE_DYNAMIC_CLASS(PokladnyDialog)
    DECLARE_EVENT_TABLE()
public:
    PokladnyDialog() : m_select(false), m_mainSizer(nullptr), m_list(nullptr), m_bar(nullptr), m_selectedId(-1) {}
    PokladnyDialog(wxWindow *parent, bool select = false);

    long selectedID() const;
private:
    bool m_select;
    wxBoxSizer *m_mainSizer;
    wxListCtrl *m_list;
    dxToolBar *m_bar;
    long m_selectedId;
    dxPokladnaArray m_pokladny;

    void OnOk(wxCommandEvent& event);
    void OnCancel(wxCommandEvent& event);
    void OnItemRightClick(wxListEvent& event);
    void OnItemActivated(wxListEvent& event);
    void OnItemSelected(wxListEvent& event);
    void OnItemDeselected(wxListEvent& event);
    void OnEditPokladna(wxCommandEvent& event);
    void OnAddPokladna(wxCommandEvent& event);
    void OnDeletePokladna(wxCommandEvent& event);
    void setSelectedId(long selectedIndex);
    void fillList();
    void enableTools();
};

#endif  /* POKLADNYDIALOG_H */

