/***************************************************************
 * Name:      predkontacedialog.h
 * Author:    David Vachulka (archdvx@dxsolutions.org)
 * Copyright: 2014
 * License:   GPL3
 **************************************************************/

#ifndef PREDKONTACEDIALOG_H
#define PREDKONTACEDIALOG_H

#ifndef WX_PRECOMP
    #include <wx/wx.h>
#endif
#include "model/dbmodel.h"

class PredkontaceDialog: public wxDialog
{
    DECLARE_DYNAMIC_CLASS(PredkontaceDialog)
    DECLARE_EVENT_TABLE()
public:
    PredkontaceDialog() : m_id(-1), m_edit(0), m_mainSizer(nullptr), m_zkratka(nullptr), m_popis(nullptr),
    m_prijem(nullptr), m_sloupec(nullptr) {}
    PredkontaceDialog(wxWindow *parent, int id, int edit);
private:
    int m_id;
    /* 0 - nova, 1 - editace, 2 - kopie */
    int m_edit;
    wxBoxSizer *m_mainSizer;
    wxTextCtrl *m_zkratka;
    wxTextCtrl *m_popis;
    wxCheckBox *m_prijem;
    wxChoice *m_sloupec;
    dxDenikSloupecArray m_prijmy;
    dxDenikSloupecArray m_vydaje;

    void createControls();
    void fillControls();
    void OnOk(wxCommandEvent& event);
    void OnCancel(wxCommandEvent& event);
    void OnPrijem(wxCommandEvent& event);
    bool zkratkaExists();
};

#endif  /* PREDKONTACEDIALOG_H */

