/***************************************************************
 * Name:      predkontacesdialog.h
 * Author:    David Vachulka (archdvx@dxsolutions.org)
 * Copyright: 2014
 * License:   GPL3
 **************************************************************/

#ifndef PREDKONTACESDIALOG_H
#define PREDKONTACESDIALOG_H

#ifndef WX_PRECOMP
    #include <wx/wx.h>
#endif
#include <wx/listctrl.h>
#include <wx/imaglist.h>
#include "model/dbmodel.h"
#include "gui/widgets/dxtoolbar.h"

class PredkontacesDialog: public wxDialog
{
    DECLARE_DYNAMIC_CLASS(PredkontacesDialog)
    DECLARE_EVENT_TABLE()
public:
    enum PType
    {
        PK_ALL = 0,
        PK_PRIJEM,
        PK_VYDAJ
    };
    PredkontacesDialog():m_select(false),m_type(PK_ALL),m_mainSizer(nullptr),m_list(nullptr),m_bar(nullptr),m_selectedId(-1) {}
    PredkontacesDialog(wxWindow *parent, bool select = false, PType type = PK_ALL);

    long selectedID() const;
private:
    bool m_select;
    PType m_type;
    wxBoxSizer *m_mainSizer;
    wxListCtrl *m_list;
    wxScopedPtr<wxImageList> m_imageList;
    dxToolBar *m_bar;
    long m_selectedId;

    void OnOk(wxCommandEvent& event);
    void OnCancel(wxCommandEvent& event);
    void OnItemRightClick(wxListEvent& event);
    void OnItemActivated(wxListEvent& event);
    void OnItemSelected(wxListEvent& event);
    void OnItemDeselected(wxListEvent& event);
    void OnEditPredkontace(wxCommandEvent& event);
    void OnCopyPredkontace(wxCommandEvent& event);
    void OnAddPredkontace(wxCommandEvent& event);
    void OnDeletePredkontace(wxCommandEvent& event);
    void setSelectedId(long selectedIndex);
    void fillList();
    void enableTools();
};

#endif  /* PREDKONTACESDIALOG_H */

