/***************************************************************
 * Name:      radadialog.h
 * Author:    David Vachulka (archdvx@dxsolutions.org)
 * Copyright: 2014
 * License:   GPL3
 **************************************************************/

#ifndef RADADIALOG_H
#define RADADIALOG_H

#ifndef WX_PRECOMP
    #include <wx/wx.h>
#endif
#include <wx/spinctrl.h>
#include "model/dbmodel.h"

class RadaDialog: public wxDialog
{
    DECLARE_DYNAMIC_CLASS(RadaDialog)
    DECLARE_EVENT_TABLE()
public:
    RadaDialog() : m_id(wxEmptyString), m_mainSizer(nullptr), m_popis(nullptr), m_prefix(nullptr),
    m_znaku(nullptr), m_cislo(nullptr) {}
    RadaDialog(wxWindow *parent, const wxString &id);
private:
    wxString m_id;
    wxBoxSizer *m_mainSizer;
    wxStaticText *m_popis;
    wxTextCtrl *m_prefix;
    wxSpinCtrl *m_znaku;
    wxSpinCtrl *m_cislo;

    void createControls();
    void fillControls();
    void OnOk(wxCommandEvent& event);
    void OnCancel(wxCommandEvent& event);
    void OnPrefix(wxCommandEvent& event);
    void OnCislo(wxSpinEvent &event);
};

#endif  /* RADADIALOG_H */

