/***************************************************************
 * Name:      sendemaildialog.h
 * Author:    David Vachulka (archdvx@dxsolutions.org)
 * Copyright: 2015
 * License:   GPL3
 **************************************************************/

#ifndef SENDEMAILDIALOG_H
#define SENDEMAILDIALOG_H

#ifndef WX_PRECOMP
    #include <wx/wx.h>
#endif
#include <wx/spinctrl.h>
#include "model/dbmodel.h"

class SendEmailDialog: public wxDialog
{
    DECLARE_DYNAMIC_CLASS(SendEmailDialog)
    DECLARE_EVENT_TABLE()
public:
    SendEmailDialog() : m_mainSizer(nullptr), m_server(nullptr), m_port(nullptr), m_ssl(nullptr),
    m_useSsl(false), m_auth(nullptr), m_username(nullptr), m_password(nullptr), m_sender(nullptr), m_recipient(nullptr),
    m_subject(nullptr), m_text(nullptr), m_select(true) {}
    SendEmailDialog(wxWindow *parent, const Faktura &faktura);
private:
    Faktura m_faktura;
    wxBoxSizer *m_mainSizer;
    wxTextCtrl *m_server;
    wxSpinCtrl *m_port;
    wxChoice *m_ssl;
    bool m_useSsl;
    wxCheckBox *m_auth;
    wxTextCtrl *m_username;
    wxTextCtrl *m_password;
    wxTextCtrl *m_sender;
    wxTextCtrl *m_recipient;
    wxTextCtrl *m_subject;
    wxTextCtrl *m_text;
    bool m_select;

    void createControls();
    void fillControls();
    void OnOk(wxCommandEvent& event);
    void OnCancel(wxCommandEvent& event);
    void OnPreview(wxCommandEvent& event);
    void previewInternal();
    wxString saveInternal();
    wxString createPdf();
};

#endif  /* SENDEMAILDIALOG_H */

