/***************************************************************
 * Name:      skladdialog.h
 * Author:    David Vachulka (archdvx@dxsolutions.org)
 * Copyright: 2016
 * License:   GPL3
 **************************************************************/

#ifndef SKLADDIALOG_H
#define SKLADDIALOG_H

#ifndef WX_PRECOMP
    #include <wx/wx.h>
#endif
#include "model/dbmodel.h"

class SkladDialog: public wxDialog
{
    DECLARE_DYNAMIC_CLASS(SkladDialog)
    DECLARE_EVENT_TABLE()
public:
    SkladDialog() : m_id(-1), m_edit(false), m_mainSizer(nullptr), m_nazev(nullptr), m_popis(nullptr), m_ocenovani(nullptr) {}
    SkladDialog(wxWindow *parent, int id, bool edit);
private:
    int m_id;
    bool m_edit;
    wxBoxSizer *m_mainSizer;
    wxTextCtrl *m_nazev;
    wxTextCtrl *m_popis;
    wxChoice *m_ocenovani;

    void createControls();
    void fillControls();
    void OnOk(wxCommandEvent& event);
    void OnCancel(wxCommandEvent& event);
    bool nazevExists();
};

#endif  /* SKLADDIALOG_H */

