/***************************************************************
 * Name:      vozidladialog.h
 * Author:    David Vachulka (archdvx@dxsolutions.org)
 * Copyright: 2018
 * License:   GPL3
 **************************************************************/

#ifndef VOZIDLADIALOG_H
#define VOZIDLADIALOG_H

#ifndef WX_PRECOMP
    #include <wx/wx.h>
#endif
#include <wx/listctrl.h>
#include <wx/imaglist.h>
#include "model/dbmodel.h"
#include "gui/widgets/dxtoolbar.h"

class VozidlaDialog: public wxDialog
{
    DECLARE_DYNAMIC_CLASS(VozidlaDialog)
    DECLARE_EVENT_TABLE()
public:
    enum PType
    {
        PK_ALL = 0,
        PK_PRIJEM,
        PK_VYDAJ
    };
    VozidlaDialog():m_select(false),m_mainSizer(nullptr),m_list(nullptr),m_bar(nullptr),m_selectedId(-1) {}
    VozidlaDialog(wxWindow *parent, bool select = false);

    long selectedID() const;
private:
    bool m_select;
    wxBoxSizer *m_mainSizer;
    wxListCtrl *m_list;
    wxScopedPtr<wxImageList> m_imageList;
    dxToolBar *m_bar;
    long m_selectedId;

    void OnOk(wxCommandEvent& event);
    void OnCancel(wxCommandEvent& event);
    void OnItemRightClick(wxListEvent& event);
    void OnItemActivated(wxListEvent& event);
    void OnItemSelected(wxListEvent& event);
    void OnItemDeselected(wxListEvent& event);
    void OnEditVozidlo(wxCommandEvent& event);
    void OnCopyVozidlo(wxCommandEvent& event);
    void OnAddVozidlo(wxCommandEvent& event);
    void OnDeleteVozidlo(wxCommandEvent& event);
    void setSelectedId(long selectedIndex);
    void fillList();
    void enableTools();
};

#endif  /* VOZIDLADIALOG_H */

