/***************************************************************
 * Name:      jizdafilter.h
 * Author:    David Vachulka (archdvx@dxsolutions.org)
 * Copyright: 2018
 * License:   GPL3
 **************************************************************/

#ifndef JIZDAFILTER_H
#define JIZDAFILTER_H

#ifndef WX_PRECOMP
    #include <wx/wx.h>
#endif
#include <wx/datectrl.h>
#include <wx/spinctrl.h>
#include "filter.h"

class JizdaFilter: public wxDialog
{
    DECLARE_DYNAMIC_CLASS(JizdaFilter)
    DECLARE_EVENT_TABLE()
public:
    JizdaFilter() : m_mainSizer(nullptr), m_datumAction(nullptr), m_datumValue(nullptr), m_datumUsage(nullptr), m_cestaAction(nullptr),
      m_cestaValue(nullptr), m_cestaUsage(nullptr), m_ucelAction(nullptr), m_ucelValue(nullptr), m_ucelUsage(nullptr), m_kmAction(nullptr),
      m_kmValue(nullptr), m_kmUsage(nullptr), m_vozidloAction(nullptr), m_vozidloValue(nullptr), m_vozidloUsage(nullptr), m_ridicAction(nullptr),
      m_ridicValue(nullptr), m_ridicUsage(nullptr) {}
    explicit JizdaFilter(wxWindow *parent);
    //Pro editaci
    JizdaFilter(wxWindow *parent, dxFilterArray filters);

    dxFilterArray filters() const;
private:
    dxFilterArray m_filters;
    wxBoxSizer *m_mainSizer;
    wxChoice *m_datumAction;
    wxDatePickerCtrl *m_datumValue;
    wxCheckBox *m_datumUsage;
    wxChoice *m_cestaAction;
    wxTextCtrl *m_cestaValue;
    wxCheckBox *m_cestaUsage;
    wxChoice *m_ucelAction;
    wxTextCtrl *m_ucelValue;
    wxCheckBox *m_ucelUsage;
    wxChoice *m_kmAction;
    wxSpinCtrl *m_kmValue;
    wxCheckBox *m_kmUsage;
    wxChoice *m_vozidloAction;
    wxTextCtrl *m_vozidloValue;
    wxCheckBox *m_vozidloUsage;
    wxChoice *m_ridicAction;
    wxTextCtrl *m_ridicValue;
    wxCheckBox *m_ridicUsage;

    void createControls();
    void fillControls();
    void OnOk(wxCommandEvent& event);
    void OnCancel(wxCommandEvent& event);
};

#endif  /* JIZDAFILTER_H */

