/***************************************************************
 * Name:      majetekfilter.h
 * Author:    David Vachulka (archdvx@dxsolutions.org)
 * Copyright: 2018
 * License:   GPL3
 **************************************************************/

#ifndef MAJETEKFILTER_H
#define MAJETEKFILTER_H

#ifndef WX_PRECOMP
    #include <wx/wx.h>
#endif
#include <wx/datectrl.h>
#include <wx/spinctrl.h>
#include "filter.h"

class MajetekFilter: public wxDialog
{
    DECLARE_DYNAMIC_CLASS(MajetekFilter)
    DECLARE_EVENT_TABLE()
public:
    MajetekFilter() : m_mainSizer(nullptr),
        m_porizenAction(nullptr), m_porizenValue(nullptr), m_porizenUsage(nullptr),
        m_cisloAction(nullptr), m_cisloValue(nullptr), m_cisloUsage(nullptr),
        m_nazevAction(nullptr), m_nazevValue(nullptr), m_nazevUsage(nullptr),
        m_typAction(nullptr), m_typValue(nullptr), m_typUsage(nullptr),
        m_odpisAction(nullptr), m_odpisValue(nullptr), m_odpisUsage(nullptr),
        m_porizovaciAction(nullptr), m_porizovaciValue(nullptr), m_porizovaciUsage(nullptr),
        m_zustatkovaAction(nullptr), m_zustatkovaValue(nullptr), m_zustatkovaUsage(nullptr) {}
    explicit MajetekFilter(wxWindow *parent);
    //Pro editaci
    MajetekFilter(wxWindow *parent, dxFilterArray filters);

    dxFilterArray filters() const;
private:
    dxFilterArray m_filters;
    wxBoxSizer *m_mainSizer;
    wxChoice *m_porizenAction;
    wxDatePickerCtrl *m_porizenValue;
    wxCheckBox *m_porizenUsage;
    wxChoice *m_cisloAction;
    wxTextCtrl *m_cisloValue;
    wxCheckBox *m_cisloUsage;
    wxChoice *m_nazevAction;
    wxTextCtrl *m_nazevValue;
    wxCheckBox *m_nazevUsage;
    wxChoice *m_typAction;
    wxChoice *m_typValue;
    wxCheckBox *m_typUsage;
    wxChoice *m_odpisAction;
    wxChoice *m_odpisValue;
    wxCheckBox *m_odpisUsage;
    wxChoice *m_porizovaciAction;
    wxSpinCtrlDouble *m_porizovaciValue;
    wxCheckBox *m_porizovaciUsage;
    wxChoice *m_zustatkovaAction;
    wxSpinCtrlDouble *m_zustatkovaValue;
    wxCheckBox *m_zustatkovaUsage;

    void createControls();
    void fillControls();
    void OnOk(wxCommandEvent& event);
    void OnCancel(wxCommandEvent& event);
};

#endif  /* MAJETEKFILTER_H */

