/***************************************************************
 * Name:      pokladnafilter.h
 * Author:    David Vachulka (archdvx@dxsolutions.org)
 * Copyright: 2018
 * License:   GPL3
 **************************************************************/

#ifndef POKLADNAFILTER_H
#define POKLADNAFILTER_H

#ifndef WX_PRECOMP
    #include <wx/wx.h>
#endif
#include <wx/datectrl.h>
#include <wx/spinctrl.h>
#include "filter.h"

class PokladnaFilter: public wxDialog
{
    DECLARE_DYNAMIC_CLASS(PokladnaFilter)
    DECLARE_EVENT_TABLE()
public:
    PokladnaFilter() : m_mainSizer(nullptr), m_datumAction(nullptr), m_datumValue(nullptr), m_datumUsage(nullptr),
        m_dokladAction(nullptr), m_dokladValue(nullptr), m_dokladUsage(nullptr),
        m_pokladnaAction(nullptr), m_pokladnaValue(nullptr), m_pokladnaUsage(nullptr),
        m_typAction(nullptr), m_typValue(nullptr), m_typUsage(nullptr),
        m_popisAction(nullptr), m_popisValue(nullptr), m_popisUsage(nullptr),
        m_castkaAction(nullptr), m_castkaValue(nullptr), m_castkaUsage(nullptr) {}
    explicit PokladnaFilter(wxWindow *parent);
    //Pro editaci
    PokladnaFilter(wxWindow *parent, dxFilterArray filters);

    dxFilterArray filters() const;
private:
    dxFilterArray m_filters;
    wxBoxSizer *m_mainSizer;
    wxChoice *m_datumAction;
    wxDatePickerCtrl *m_datumValue;
    wxCheckBox *m_datumUsage;
    wxChoice *m_dokladAction;
    wxTextCtrl *m_dokladValue;
    wxCheckBox *m_dokladUsage;
    wxChoice *m_pokladnaAction;
    wxTextCtrl *m_pokladnaValue;
    wxCheckBox *m_pokladnaUsage;
    wxChoice *m_typAction;
    wxChoice *m_typValue;
    wxCheckBox *m_typUsage;
    wxChoice *m_popisAction;
    wxTextCtrl *m_popisValue;
    wxCheckBox *m_popisUsage;
    wxChoice *m_castkaAction;
    wxSpinCtrlDouble *m_castkaValue;
    wxCheckBox *m_castkaUsage;

    void createControls();
    void fillControls();
    void OnOk(wxCommandEvent& event);
    void OnCancel(wxCommandEvent& event);
};

#endif  /* POKLADNAFILTER_H */

