/***************************************************************
 * Name:      skladfilter.h
 * Author:    David Vachulka (archdvx@dxsolutions.org)
 * Copyright: 2018
 * License:   GPL3
 **************************************************************/

#ifndef SKLADFILTER_H
#define SKLADFILTER_H

#ifndef WX_PRECOMP
    #include <wx/wx.h>
#endif
#include <wx/datectrl.h>
#include <wx/spinctrl.h>
#include "filter.h"

class SkladFilter: public wxDialog
{
    DECLARE_DYNAMIC_CLASS(SkladFilter)
    DECLARE_EVENT_TABLE()
public:
    SkladFilter() : m_mainSizer(nullptr),
        m_cisloAction(nullptr), m_cisloValue(nullptr), m_cisloUsage(nullptr),
        m_nazevAction(nullptr), m_nazevValue(nullptr), m_nazevUsage(nullptr),
        m_skladAction(nullptr), m_skladValue(nullptr), m_skladUsage(nullptr),
        m_stavAction(nullptr), m_stavValue(nullptr), m_stavUsage(nullptr),
        m_hodnotaAction(nullptr), m_hodnotaValue(nullptr), m_hodnotaUsage(nullptr) {}
    explicit SkladFilter(wxWindow *parent);
    //Pro editaci
    SkladFilter(wxWindow *parent, dxFilterArray filters);

    dxFilterArray filters() const;
private:
    dxFilterArray m_filters;
    wxBoxSizer *m_mainSizer;
    wxChoice *m_cisloAction;
    wxTextCtrl *m_cisloValue;
    wxCheckBox *m_cisloUsage;
    wxChoice *m_nazevAction;
    wxTextCtrl *m_nazevValue;
    wxCheckBox *m_nazevUsage;
    wxChoice *m_skladAction;
    wxTextCtrl *m_skladValue;
    wxCheckBox *m_skladUsage;
    wxChoice *m_stavAction;
    wxSpinCtrlDouble *m_stavValue;
    wxCheckBox *m_stavUsage;
    wxChoice *m_hodnotaAction;
    wxSpinCtrlDouble *m_hodnotaValue;
    wxCheckBox *m_hodnotaUsage;

    void createControls();
    void fillControls();
    void OnOk(wxCommandEvent& event);
    void OnCancel(wxCommandEvent& event);
};

#endif  /* SKLADFILTER_H */

