/***************************************************************
 * Name:      fakturaxmlprint.h
 * Author:    David Vachulka (archdvx@dxsolutions.org)
 * Copyright: 2015
 * License:   GPL3
 **************************************************************/

#ifndef FAKTURAXMLPRINT_H
#define FAKTURAXMLPRINT_H

#include "print/documentprint.h"
#include "model/dbmodel.h"

class FakturaXmlPrint: public DocumentPrint
{
public:
    FakturaXmlPrint(wxWindow *parent, const Faktura &faktura, const wxString &xml);

    /**
     * @param print - true zobrazi se tlacitko print v preview dialogu
     */
    void Preview(bool print = true);
    void Print();
    wxString CreatePDF(const wxString &filename, const wxString &name = wxEmptyString, bool select = false);
private:
    Faktura m_faktura;
    wxString m_xml;

    void parseXml();
    wxString parseLine(wxString line);
    wxString parseFirmaLine(wxString line);
    wxString parseFakturaLine(wxString line);
    wxString parseKontaktLine(wxString line);
    wxString parsePolozkaLine(wxString line, const FaPolozka &polozka, int sazba);
    wxString parseSazbaLine(wxString line, int sazba, double zaklad, double dph);
    void moveElements(dxElementsArray elements, int posY, int sectionHeight);
    bool isFakturaForQrPlatba();
    wxString qrtext();
};

class FakturaXmlPrintout: public dxPrint
{
public:
    explicit FakturaXmlPrintout(const wxString &title);

    bool OnPrintPage(int page);
    void setDocument(Document *document);
protected:
    Document *m_document;
};

#endif  /* FAKTURANXMLPRINT_H */

