/***************************************************************
 * Name:      knihafakturprint.cpp
 * Author:    David Vachulka (archdvx@dxsolutions.org)
 * Copyright: 2014
 * License:   GPL3
 **************************************************************/

#include "knihafakturprint.h"

KnihaFakturPrint::KnihaFakturPrint(wxWindow *parent, bool vydane)
    : TablePrint(parent, "Kniha faktur"), m_vydane(vydane)
{
    createTable();
}

void KnihaFakturPrint::createTable()
{
    m_headerLeftText = idbmodel->firma().nazev();
    m_headerCenterText = "Kniha faktur";
    m_headerRightText = wxString::Format(wxString::FromUTF8("Účetní rok %d"), idbmodel->currentRok());
    m_headerLine = true;
    m_table = new Table(8);
    m_table->addCellToHeader("Doklad");
    m_table->addCellToHeader("Popis");
    m_table->addCellToHeader(m_vydane?wxString::FromUTF8("Odběratel"):"Dodavatel");
    m_table->addCellToHeader("Vystavena");
    m_table->addCellToHeader(wxString::FromUTF8("Splatná"));
    m_table->addCellToHeader("Celkem");
    m_table->addCellToHeader("Uhradit");
    m_table->addCellToHeader(wxString::FromUTF8("Měna"));
    dxFakturaArray faktury = m_vydane?idbmodel->vystavene():idbmodel->prijate();
    for(size_t i=0; i<faktury.GetCount(); ++i)
    {
        m_table->addRow();
        m_table->addCell(faktury[i].cislo());
        m_table->addCell(faktury[i].popis());
        m_table->addCell(idbmodel->getKontakt(faktury[i].protistranaid()).jmeno());
        m_table->addCell(faktury[i].vystaveni().FormatDate());
        m_table->addCell(faktury[i].splatnost().FormatDate());
        m_table->addCell(wxString::Format("%.2f", faktury[i].celkem()), wxTEXT_ALIGNMENT_RIGHT);
        m_table->addCell(wxString::Format("%.2f", faktury[i].celkem()-idbmodel->uhrazenoByFakturaId(faktury[i].id())), wxTEXT_ALIGNMENT_RIGHT);
        m_table->addCell(idbmodel->zkratkaMena(faktury[i].menaid()));
    }
    m_table->setColumnWidth(1, 50);
    m_table->setColumnWidth(2, 30);
    m_table->refreshCellsSize();
}
