/***************************************************************
 * Name:      knihajizdprint.cpp
 * Author:    David Vachulka (archdvx@dxsolutions.org)
 * Copyright: 2018
 * License:   GPL3
 **************************************************************/

#include "knihajizdprint.h"

KnihaJizdPrint::KnihaJizdPrint(wxWindow *parent)
    : MultiTablePrint(parent, wxString::FromUTF8("Kniha jízd"))
{
    createTable();
}

void KnihaJizdPrint::createTable()
{
    m_headerLeftText = idbmodel->firma().nazev();
    m_headerCenterText = wxString::FromUTF8("Kniha jízd");
    m_headerRightText = wxString::Format(wxString::FromUTF8("Účetní rok %d"), idbmodel->currentRok());
    m_headerLine = true;
    dxVozidloArray vozidla = idbmodel->vozidla();
    for(size_t i=0; i<vozidla.GetCount(); i++)
    {
        dxJizdaArray jizdy = idbmodel->jizdyByVozidlo(vozidla[i].id());
        if(jizdy.GetCount())
        {
            Table table(8);
            table.setTableTitle(TableTitle(vozidla[i].jmeno()+" "+vozidla[i].rz()));
            table.addCellToHeader(wxString::FromUTF8("Začátek jízdy"));
            table.addCellToHeader(wxString::FromUTF8("Konec jízdy"));
            table.addCellToHeader("Cesta");
            table.addCellToHeader(wxString::FromUTF8("Účel"));
            table.addCellToHeader(wxString::FromUTF8("Počáteční stav tachometru"));
            table.addCellToHeader(wxString::FromUTF8("Konečný stav tachometru"));
            table.addCellToHeader("km");
            table.addCellToHeader(wxString::FromUTF8("Řidič"));
            for(size_t j=0; j<jizdy.GetCount(); j++)
            {
                table.addRow();
                table.addCell(jizdy[j].startcas().Format("%x %X"));
                table.addCell(jizdy[j].endcas().Format("%x %X"));
                table.addCell(jizdy[j].cesta());
                table.addCell(jizdy[j].ucel());
                table.addCell(wxString::Format("%d", jizdy[j].startkm()), wxTEXT_ALIGNMENT_RIGHT);
                table.addCell(wxString::Format("%d", jizdy[j].endkm()), wxTEXT_ALIGNMENT_RIGHT);
                table.addCell(wxString::Format("%d", jizdy[j].endkm()-jizdy[j].startkm()), wxTEXT_ALIGNMENT_RIGHT);
                table.addCell(idbmodel->jmenoRidic(jizdy[j].ridicid()));
            }
            table.refreshCellsSize();
            m_tables->Add(table);
        }
    }
}
