/***************************************************************
 * Name:      knihamajetkuprint.cpp
 * Author:    David Vachulka (archdvx@dxsolutions.org)
 * Copyright: 2014
 * License:   GPL3
 **************************************************************/

#include "knihamajetkuprint.h"

KnihaMajetkuPrint::KnihaMajetkuPrint(wxWindow *parent)
    : TablePrint(parent, "Kniha majetku")
{
    createTable();
}

void KnihaMajetkuPrint::createTable()
{
    m_headerLeftText = idbmodel->firma().nazev();
    m_headerCenterText = "Kniha majetku";
    m_headerRightText = wxString::Format(wxString::FromUTF8("Účetní rok %d"), idbmodel->currentRok());
    m_headerLine = true;
    m_table = new Table(8);
    m_table->addCellToHeader(wxString::FromUTF8("Číslo"));
    m_table->addCellToHeader(wxString::FromUTF8("Název"));
    m_table->addCellToHeader("Typ");
    m_table->addCellToHeader("Odpis");
    m_table->addCellToHeader(wxString::FromUTF8("Pořízen"));
    m_table->addCellToHeader(wxString::FromUTF8("Vyřazen"));
    m_table->addCellToHeader(wxString::FromUTF8("Pořizovací\ncena"));
    m_table->addCellToHeader(wxString::FromUTF8("Zůstatková\ncena"));
    dxMajetekArray majetek = idbmodel->majetek();
    for(size_t i=0; i<majetek.GetCount(); ++i)
    {
        m_table->addRow();
        m_table->addCell(majetek[i].cislo());
        m_table->addCell(majetek[i].nazev());
        m_table->addCell(majetek[i].typAsString());
        m_table->addCell(majetek[i].odpisAsString());
        m_table->addCell(majetek[i].porizen().FormatDate());
        m_table->addCell(majetek[i].vyrazen() ? majetek[i].datumvyrazeni().FormatDate() : "---");
        m_table->addCell(wxString::Format("%.2f", majetek[i].cena()), wxTEXT_ALIGNMENT_RIGHT);
        m_table->addCell(wxString::Format("%.2f", idbmodel->getZustatkovaCenaMajetku(majetek[i].id())), wxTEXT_ALIGNMENT_RIGHT);
    }
    m_table->setColumnWidth(1, 45);
    m_table->setColumnWidth(2, 20);
    m_table->refreshCellsSize();
}
