/***************************************************************
 * Name:      knihazasobprint.cpp
 * Author:    David Vachulka (archdvx@dxsolutions.org)
 * Copyright: 2016
 * License:   GPL3
 **************************************************************/

#include "knihazasobprint.h"

KnihaZasobPrint::KnihaZasobPrint(wxWindow *parent)
    : TablePrint(parent, wxString::FromUTF8("Kniha zásob"))
{
    createTable();
}

void KnihaZasobPrint::createTable()
{
    m_headerLeftText = idbmodel->firma().nazev();
    m_headerCenterText = wxString::FromUTF8("Kniha zásob");
    m_headerRightText = wxString::Format(wxString::FromUTF8("Účetní rok %d"), idbmodel->currentRok());
    m_headerLine = true;
    m_table = new Table(6);
    m_table->addCellToHeader(wxString::FromUTF8("Číslo"));
    m_table->addCellToHeader(wxString::FromUTF8("Název"));
    m_table->addCellToHeader("Popis");
    m_table->addCellToHeader("Stav");
    m_table->addCellToHeader("Hodnota");
    m_table->addCellToHeader("Sklad");
    dxZasobaArray zasoby = idbmodel->zasoby();
    for(size_t i=0; i<zasoby.GetCount(); ++i)
    {
        m_table->addRow();
        m_table->addCell(zasoby[i].cislo());
        m_table->addCell(zasoby[i].nazev());
        m_table->addCell(zasoby[i].popis());
        m_table->addCell(wxString::Format("%.3f %s", zasoby[i].pocet(), zasoby[i].mj()), wxTEXT_ALIGNMENT_RIGHT);
        m_table->addCell(wxString::Format(wxString::FromUTF8("%.2f Kč"), zasoby[i].celkem()), wxTEXT_ALIGNMENT_RIGHT);
        m_table->addCell(idbmodel->getSkladNazevById(zasoby[i].skladid()));
    }
    m_table->setColumnWidth(2,60);
    m_table->refreshCellsSize();
}
