/***************************************************************
 * Name:      knihazavpohprint.cpp
 * Author:    David Vachulka (archdvx@dxsolutions.org)
 * Copyright: 2014
 * License:   GPL3
 **************************************************************/

#include "knihazavpohprint.h"

KnihaZavpohPrint::KnihaZavpohPrint(wxWindow *parent, bool zavazky)
    : TablePrint(parent, zavazky?wxString::FromUTF8("Kniha závazků"):wxString::FromUTF8("Kniha pohledávek")), m_zavazky(zavazky)
{
    createTable();
}

void KnihaZavpohPrint::createTable()
{
    m_headerLeftText = idbmodel->firma().nazev();
    m_headerCenterText = m_zavazky?wxString::FromUTF8("Kniha závazků"):wxString::FromUTF8("Kniha pohledávek");
    m_headerRightText = wxString::Format(wxString::FromUTF8("Účetní rok %d"), idbmodel->currentRok());
    m_headerLine = true;
    m_table = new Table(8);
    m_table->addCellToHeader("Doklad");
    m_table->addCellToHeader("Popis");
    m_table->addCellToHeader("Protistrana");
    m_table->addCellToHeader(m_zavazky?"Vystaven":"Vystavena");
    m_table->addCellToHeader(m_zavazky?wxString::FromUTF8("Splatný"):wxString::FromUTF8("Splatná"));
    m_table->addCellToHeader("Celkem");
    m_table->addCellToHeader("Uhradit");
    m_table->addCellToHeader(wxString::FromUTF8("Měna"));
    dxZavPohArray zavpoh = m_zavazky?idbmodel->zavazky():idbmodel->pohledavky();
    for(size_t i=0; i<zavpoh.GetCount(); ++i)
    {
        m_table->addRow();
        m_table->addCell(zavpoh[i].cislo());
        m_table->addCell(zavpoh[i].popis());
        m_table->addCell(idbmodel->getKontakt(zavpoh[i].protistranaid()).jmeno());
        m_table->addCell(zavpoh[i].vystaveni().FormatDate());
        m_table->addCell(zavpoh[i].splatnost().FormatDate());
        m_table->addCell(wxString::Format("%.2f", zavpoh[i].celkem()), wxTEXT_ALIGNMENT_RIGHT);
        m_table->addCell(wxString::Format("%.2f", zavpoh[i].celkem()-idbmodel->uhrazenoByZavpohId(zavpoh[i].id())), wxTEXT_ALIGNMENT_RIGHT);
        m_table->addCell(idbmodel->zkratkaMena(zavpoh[i].menaid()));
    }
    m_table->setColumnWidth(1, 50);
    m_table->setColumnWidth(2, 30);
    m_table->refreshCellsSize();
}
