/***************************************************************
 * Name:      listdenikprint.cpp
 * Author:    David Vachulka (archdvx@dxsolutions.org)
 * Copyright: 2014
 * License:   GPL3
 **************************************************************/

#include "listdenikprint.h"

ListDenikPrint::ListDenikPrint(wxWindow *parent)
    : TablePrint(parent, wxString::FromUTF8("Peněžní deník"))
{
    createTable();
}

void ListDenikPrint::createTable()
{
    m_headerLeftText = idbmodel->firma().nazev();
    m_headerCenterText = wxString::FromUTF8("Peněžní deník");
    m_headerRightText = wxString::Format(wxString::FromUTF8("Účetní rok %d"), idbmodel->currentRok());
    m_headerLine = true;
    m_table = new Table(6);
    m_table->addCellToHeader("Datum");
    m_table->addCellToHeader("Doklad");
    m_table->addCellToHeader("Typ");
    m_table->addCellToHeader(wxString::FromUTF8("Daňový"));
    m_table->addCellToHeader("Popis");
    m_table->addCellToHeader(wxString::FromUTF8("Částka"));
    dxDenikArray denik = idbmodel->denik();
    for(size_t i=0; i<denik.GetCount(); ++i)
    {
        m_table->addRow();
        Denik de = denik[i];
        m_table->addCell(de.datum().FormatDate());
        m_table->addCell(de.cislo());
        m_table->addCell(idbmodel->isPredkontacePrijem(de.predkontaceid())?wxString::FromUTF8("Příjem")
                                                                            :wxString::FromUTF8("Výdaj"));
        m_table->addCell(idbmodel->isPredkontaceDanova(de.predkontaceid())?wxString::FromUTF8("\u2713"):"");
        m_table->addCell(de.popis());
        m_table->addCell(wxString::Format("%.2f", de.castka()), wxTEXT_ALIGNMENT_RIGHT);
    }
    m_table->setColumnWidth(4,75);
    m_table->setColumnWidth(5,35);
    m_table->refreshCellsSize();
}
