/***************************************************************
 * Name:      atribut.h
 * Author:    David Vachulka (archdvx@dxsolutions.org)
 * Copyright: 2016
 * License:   GPL3
 **************************************************************/

#ifndef ATRIBUT_H
#define ATRIBUT_H

#ifndef WX_PRECOMP
    #include <wx/wx.h>
#endif
#include <wx/dynarray.h>

enum ATRIBUTTYPE {
    A_NONE = 0,
    A_STRING,
    A_INT,
    A_DOUBLE,
    A_DATUM
};

class Atribut {
public:
    Atribut();
    Atribut(ATRIBUTTYPE type, const wxString &name, bool required, int length=0, int fraction=0, const wxString &format=wxEmptyString);

    ATRIBUTTYPE type() const;
    void setType(const ATRIBUTTYPE &type);
    wxString name() const;
    void setName(const wxString &name);
    wxString popis() const;
    void setPopis(const wxString &popis);
    bool required() const;
    void setRequired(bool required);
    int length() const;
    void setLength(int length);
    int fraction() const;
    void setFraction(int fraction);
    wxString format() const;
    void setFormat(const wxString &format);
    wxString value() const;
    int valueInt() const;
    double valueDouble() const;
    wxDateTime valueDatum() const;
    void setValue(const wxString &value);
    void setValue(int value);
    void setValue(double value);
    void setValue(const wxDateTime &value);
    bool isForXml();
    void clearValue();
private:
    ATRIBUTTYPE m_type;
    wxString m_name;
    wxString m_popis;
    bool m_required;
    int m_length;
    int m_fraction;
    wxString m_format;
    wxString m_value;
};

WX_DECLARE_OBJARRAY(Atribut, dxAtributArray);

#endif  /* ATRIBUT_H */

