/***************************************************************
 * Name:      dphdp3.h
 * Author:    David Vachulka (archdvx@dxsolutions.org)
 * Copyright: 2016
 * License:   GPL3
 **************************************************************/

#ifndef DPHDP3_H
#define DPHDP3_H

#include "veta.h"

class Dphdp3
{
public:
    Dphdp3();

    void setAtributValue(int vetaId, const wxString &name, const wxString &value);
    void setAtributValue(int vetaId, const wxString &name, int value);
    void setAtributValue(int vetaId, const wxString &name, double value);
    void setAtributValue(int vetaId, const wxString &name, const wxDateTime &value);
    void setAtributValue(const wxString &name, const wxString &value);
    void setAtributValue(const wxString &name, int value);
    void setAtributValue(const wxString &name, double value);
    void setAtributValue(const wxString &name, const wxDateTime &value);
    wxString atributValue(const wxString &name) const;
    int atributValueInt(const wxString &name) const;
    double atributValueDouble(const wxString &name) const;
    wxDateTime atributValueDatum(const wxString &name) const;
    bool saveToXml(const wxString &path);
    wxString saveToString();
    bool readFromXml(const wxString &path);
    bool readFromString(const wxString &data);
    void clearData();
    dxAtributArray atributy() const;
    bool isEmpty();
    void fillRadek46();
    void fillRadek52();
    void fillVeta6();
    ATRIBUTTYPE atributType(const wxString &name) const;
    void fillDodatecne(const Dphdp3 &radne);
    void addVetaR(const wxString &duvod);
private:
    dxVetaArray m_vety;

    wxXmlDocument createXml();
};

#endif  /* DPHDP3_H */

