/***************************************************************
 * Name:      dphkh1vetab2dialog.h
 * Author:    David Vachulka (archdvx@dxsolutions.org)
 * Copyright: 2016
 * License:   GPL3
 **************************************************************/

#ifndef DPHKH1VETAB2DIALOG_H
#define DPHKH1VETAB2DIALOG_H

#ifndef WX_PRECOMP
    #include <wx/wx.h>
#endif
#include <wx/datectrl.h>
#include <wx/spinctrl.h>
#include "veta.h"

class Dphkh1Vetab2Dialog: public wxDialog
{
    DECLARE_DYNAMIC_CLASS(Dphkh1Vetab2Dialog)
    DECLARE_EVENT_TABLE()
public:
    Dphkh1Vetab2Dialog() : m_mainSizer(nullptr), m_cEvidDd(nullptr), m_dicDod(nullptr), m_dppd(nullptr), m_zaklDane1(nullptr),
    m_zaklDane2(nullptr), m_zaklDane3(nullptr), m_dan1(nullptr), m_dan2(nullptr), m_dan3(nullptr), m_pomer(nullptr), m_zdph44(nullptr), m_zdph44Choice(nullptr), m_rok(-1), m_newXML(false) {}
    Dphkh1Vetab2Dialog(wxWindow *parent, Veta veta, int rok, bool newXML);

    Veta veta() const;
private:
    wxBoxSizer *m_mainSizer;
    Veta m_veta;
    wxTextCtrl *m_cEvidDd;
    wxTextCtrl *m_dicDod;
    wxDatePickerCtrl *m_dppd;
    wxSpinCtrlDouble *m_zaklDane1;
    wxSpinCtrlDouble *m_zaklDane2;
    wxSpinCtrlDouble *m_zaklDane3;
    wxStaticText *m_dan1;
    wxStaticText *m_dan2;
    wxStaticText *m_dan3;
    wxCheckBox *m_pomer;
    wxCheckBox *m_zdph44;
    wxChoice *m_zdph44Choice;
    int m_rok;
    bool m_newXML;

    void OnOk(wxCommandEvent& event);
    void OnCancel(wxCommandEvent& event);
    void OnZaklad1(wxSpinDoubleEvent& event);
    void OnZaklad2(wxSpinDoubleEvent& event);
    void OnZaklad3(wxSpinDoubleEvent& event);
};

#endif  /* DPHKH1VETAB2DIALOG_H */

