/***************************************************************
 * Name:      dphshvetardialog.h
 * Author:    David Vachulka (archdvx@dxsolutions.org)
 * Copyright: 2016
 * License:   GPL3
 **************************************************************/

#ifndef DPHSHVETARDIALOG_H
#define DPHSHVETARDIALOG_H

#ifndef WX_PRECOMP
    #include <wx/wx.h>
#endif
#include "veta.h"

class DphshVetarDialog: public wxDialog
{
    DECLARE_DYNAMIC_CLASS(DphshVetarDialog)
    DECLARE_EVENT_TABLE()
public:
    DphshVetarDialog() : m_mainSizer(nullptr), m_cVat(nullptr), m_kPlnEu(nullptr), m_kStat(nullptr), m_kStorno(nullptr), m_plnHodnota(nullptr), m_plnPocet(nullptr) {}
    DphshVetarDialog(wxWindow *parent, Veta veta);

    Veta veta() const;
private:
    wxBoxSizer *m_mainSizer;
    Veta m_veta;
    wxTextCtrl *m_cVat;
    wxChoice *m_kPlnEu;
    wxTextCtrl *m_kStat;
    wxCheckBox *m_kStorno;
    wxTextCtrl *m_plnHodnota;
    wxTextCtrl *m_plnPocet;

    void OnOk(wxCommandEvent& event);
    void OnCancel(wxCommandEvent& event);
};

#endif  /* DPHSHVETARDIALOG_H */

