/***************************************************************
 * Name:      seznamdphdialog.h
 * Author:    David Vachulka (archdvx@dxsolutions.org)
 * Copyright: 2016
 * License:   GPL3
 **************************************************************/

#ifndef SEZNAMDPHDIALOG_H
#define SEZNAMDPHDIALOG_H

#ifndef WX_PRECOMP
    #include <wx/wx.h>
#endif
#include <wx/datectrl.h>
#include <wx/dateevt.h>
#include <wx/txtstrm.h>
#include "model/dbmodel.h"

class SeznamDphDialog: public wxDialog
{
    DECLARE_DYNAMIC_CLASS(SeznamDphDialog)
    DECLARE_EVENT_TABLE()
public:
    SeznamDphDialog() : m_mainSizer(nullptr), m_mesicBtn(nullptr), m_mesicSelect(nullptr), m_mesicRok(nullptr), m_ctvrtletiBtn(nullptr), m_ctvrtletiSelect(nullptr),
    m_ctvrtletiRok(nullptr), m_print(nullptr), m_export(nullptr), m_oddoBtn(nullptr), m_od(nullptr), m_do(nullptr) {}
    explicit SeznamDphDialog(wxWindow *parent);
private:
    wxBoxSizer *m_mainSizer;
    wxRadioButton *m_mesicBtn;
    wxChoice *m_mesicSelect;
    wxChoice *m_mesicRok;
    wxRadioButton *m_ctvrtletiBtn;
    wxChoice *m_ctvrtletiSelect;
    wxChoice *m_ctvrtletiRok;
    wxButton *m_print;
    wxButton *m_export;
    wxRadioButton *m_oddoBtn;
    wxDatePickerCtrl *m_od;
    wxDatePickerCtrl *m_do;

    void createControls();
    void OnOk(wxCommandEvent& event);
    void OnMesic(wxCommandEvent& event);
    void OnCtvrtleti(wxCommandEvent& event);
    void OnOddo(wxCommandEvent& event);
    void OnPrint(wxCommandEvent& event);
    void OnExport(wxCommandEvent& event);
    void OnOd(wxDateEvent& event);
    void OnDo(wxDateEvent& event);
    wxString createRowsForRadky(const wxArrayString &radky, const wxDateTime &start, const wxDateTime &end, const wxString &popis1, const wxString &popis2);
    wxString createHeader(dxDphForDokladArray arr);
};

#endif  /* SEZNAMDPHDIALOG_H */

