/***************************************************************
 * Name:      canvases.h
 * Author:    David Vachulka (archdvx@dxsolutions.org)
 * Copyright: 2015
 * License:   GPL3
 **************************************************************/

#ifndef CANVASES_H
#define CANVASES_H

#ifndef WX_PRECOMP
    #include <wx/wx.h>
#endif
#include "print/elements.h"

#define IMAGE_X_OFFSET 20
#define IMAGE_Y_OFFSET 10

class TextCanvas: public wxPanel
{
    DECLARE_EVENT_TABLE()
public:
    explicit TextCanvas(wxWindow *parent);

    TextElement element() const;
    void setElement(const TextElement &element);
    void SetAlignment(const wxTextAttrAlignment &alig);
private:
    TextElement m_element;

    void OnPaint(wxPaintEvent& event);
};

class LineCanvas: public wxPanel
{
    DECLARE_EVENT_TABLE()
public:
    explicit LineCanvas(wxWindow *parent);

    LineElement element() const;
    void setElement(const LineElement &element);
private:
    LineElement m_element;

    void OnPaint(wxPaintEvent& event);
};

class ImageCanvas: public wxPanel
{
    DECLARE_EVENT_TABLE()
public:
    explicit ImageCanvas(wxWindow *parent);

    ImageElement element() const;
    void setElement(const ImageElement &element);
    void SetAlignment(const wxTextAttrAlignment &alig);
private:
    ImageElement m_element;

    void OnPaint(wxPaintEvent& event);
};

class ParagraphCanvas: public wxPanel
{
    DECLARE_EVENT_TABLE()
public:
    explicit ParagraphCanvas(wxWindow *parent);

    TextParagraphElement element() const;
    void setElement(const TextParagraphElement &element);
    void SetAlignment(const wxTextAttrAlignment &alig);
private:
    TextParagraphElement m_element;

    void OnPaint(wxPaintEvent& event);
};

class RowCanvas: public wxPanel
{
    DECLARE_EVENT_TABLE()
public:
    explicit RowCanvas(wxWindow *parent);

    TableRowElement element() const;
    void setElement(const TableRowElement &element);
private:
    TableRowElement m_element;

    void OnPaint(wxPaintEvent& event);
};

class RectangleCanvas: public wxPanel
{
    DECLARE_EVENT_TABLE()
public:
    explicit RectangleCanvas(wxWindow *parent);

    RectangleElement element() const;
    void setElement(const RectangleElement &element);
private:
    RectangleElement m_element;

    void OnPaint(wxPaintEvent& event);
};

#endif  /* CANVASES_H */

