/***************************************************************
 * Name:      templateprint.h
 * Author:    David Vachulka (archdvx@dxsolutions.org)
 * Copyright: 2015
 * License:   GPL3
 **************************************************************/

#ifndef TEMPLATEPRINT_H
#define TEMPLATEPRINT_H

#ifndef WX_PRECOMP
    #include <wx/wx.h>
#endif
#include "print/dxprint.h"
#include "print/document.h"

class TemplatePrint
{
public:
    TemplatePrint() : m_document(nullptr), m_pageWidth(0), m_pageHeight(0), m_parent(nullptr) {}
    TemplatePrint(wxWindow *parent, const wxString &title, const Document &doc);

    /**
     * @param print - true zobrazi se tlacitko print v preview dialogu
     */
    void Preview(bool print = true);
    void Print();
    Document *document() const;
    void setDocument(Document *document);
protected:
    Document *m_document;
    int m_pageWidth;
    int m_pageHeight;
private:
    wxWindow *m_parent;
    wxString m_title;

    wxString printTitle() const;
    void parseElements(const Document &doc);
    void moveElements(dxElementsArray elements, int posY, int sectionHeight);
};

class TemplatePrintout: public dxPrint
{
public:
    explicit TemplatePrintout(const wxString &title);

    bool OnPrintPage(int page);
    void setDocument(Document *document);
protected:
    Document *m_document;
};

#endif  /* TEMPLATEPRINT_H */

