/***************************************************************
 * Name:      banka.cpp
 * Author:    David Vachulka (archdvx@dxsolutions.org)
 * Copyright: 2014
 * License:   GPL3
 **************************************************************/

#include "banka.h"

Banka::Banka(int id, const wxString &zkratka, const wxString &popis, const wxString &cislouctu, const wxString &kodbanky, const wxString &iban, const wxString &bic,
             int menaid)
    : m_id(id), m_zkratka(zkratka), m_popis(popis), m_cislouctu(cislouctu), m_kodbanky(kodbanky), m_menaid(menaid), m_iban(iban), m_bic(bic)
{
}

bool Banka::isValid() const
{
    return m_id != -1;
}

int Banka::id() const
{
    return m_id;
}

void Banka::setId(int id)
{
    m_id = id;
}

wxString Banka::zkratka() const
{
    return m_zkratka;
}

void Banka::setZkratka(const wxString &zkratka)
{
    m_zkratka = zkratka;
}

wxString Banka::popis() const
{
    return m_popis;
}

void Banka::setPopis(const wxString &popis)
{
    m_popis = popis;
}

int Banka::menaid() const
{
    return m_menaid;
}

void Banka::setMenaid(int menaid)
{
    m_menaid = menaid;
}

wxString Banka::cislouctu() const
{
    return m_cislouctu;
}

void Banka::setCislouctu(const wxString &cislouctu)
{
    m_cislouctu = cislouctu;
}

wxString Banka::kodbanky() const
{
    return m_kodbanky;
}

void Banka::setKodbanky(const wxString &kodbanky)
{
    m_kodbanky = kodbanky;
}

wxString Banka::iban() const
{
    return m_iban;
}

void Banka::setIban(const wxString &iban)
{
    m_iban = iban;
}

wxString Banka::bic() const
{
    return m_bic;
}

void Banka::setBic(const wxString &bic)
{
    m_bic = bic;
}
