/***************************************************************
 * Name:      bankovniustav.h
 * Author:    David Vachulka (archdvx@dxsolutions.org)
 * Copyright: 2020
 * License:   GPL3
 **************************************************************/

#ifndef BANKOVNIUSTAV_H
#define BANKOVNIUSTAV_H

#ifndef WX_PRECOMP
    #include <wx/wx.h>
#endif

class BankovniUstav {
public:
    BankovniUstav() : m_id(-1), m_nazev(wxEmptyString), m_kodbanky(wxEmptyString), m_bic(wxEmptyString) {}
    BankovniUstav(int id, const wxString &nazev, const wxString &kodbanky, const wxString &bic, bool aktivni);

    bool isValid() const;
    int id() const;
    void setId(int id);
    wxString kodbanky() const;
    void setKodbanky(const wxString &kodbanky);
    wxString bic() const;
    void setBic(const wxString &bic);
    wxString nazev() const;
    void setNazev(const wxString &nazev);
    bool aktivni() const;
    void setAktivni(bool aktivni);
private:
    int m_id;
    wxString m_nazev;
    wxString m_kodbanky;
    wxString m_bic;
    bool m_aktivni;
};

#endif  /* BANKOVNIUSTAV_H */

