/***************************************************************
 * Name:      denik.cpp
 * Author:    David Vachulka (archdvx@dxsolutions.org)
 * Copyright: 2014
 * License:   GPL3
 **************************************************************/

#include "denik.h"

Denik::Denik(int id, const wxDateTime &datum, const wxString &cislo, const wxString &popis, double castka,
             double castkacizi, double kurz, const wxString &reference, int menaid, int predkontaceid, int pokladnaid, int bankaid, int vypis,
             int protistranaid, int obdobirok, int pausal)
    : m_id(id), m_datum(datum), m_cislo(cislo), m_popis(popis), m_castka(castka), m_castkacizi(castkacizi),
      m_kurz(kurz), m_reference(reference), m_menaid(menaid), m_predkontaceid(predkontaceid), m_pokladnaid(pokladnaid),
      m_bankaid(bankaid), m_vypis(vypis), m_protistranaid(protistranaid), m_obdobirok(obdobirok), m_pausal(pausal)
{
}

bool Denik::isValid() const
{
    return m_id != -1;
}

int Denik::id() const
{
    return m_id;
}

void Denik::setId(int id)
{
    m_id = id;
}

wxDateTime Denik::datum() const
{
    return m_datum;
}

void Denik::setDatum(const wxDateTime &datum)
{
    m_datum = datum;
}

wxString Denik::cislo() const
{
    return m_cislo;
}

void Denik::setCislo(const wxString &cislo)
{
    m_cislo = cislo;
}

wxString Denik::popis() const
{
    return m_popis;
}

void Denik::setPopis(const wxString &popis)
{
    m_popis = popis;
}

double Denik::castka() const
{
    return m_castka;
}

void Denik::setCastka(double castka)
{
    m_castka = castka;
}

double Denik::castkacizi() const
{
    return m_castkacizi;
}

void Denik::setCastkacizi(double castkacizi)
{
    m_castkacizi = castkacizi;
}
double Denik::kurz() const
{
    return m_kurz;
}

void Denik::setKurz(double kurz)
{
    m_kurz = kurz;
}

wxString Denik::reference() const
{
    return m_reference;
}

void Denik::setReference(const wxString &reference)
{
    m_reference = reference;
}

int Denik::vypis() const
{
    return m_vypis;
}

void Denik::setVypis(int vypis)
{
    m_vypis = vypis;
}

int Denik::pausal() const
{
    return m_pausal;
}

void Denik::setPausal(int pausal)
{
    m_pausal = pausal;
}

int Denik::menaid() const
{
    return m_menaid;
}

void Denik::setMenaid(int menaid)
{
    m_menaid = menaid;
}

int Denik::predkontaceid() const
{
    return m_predkontaceid;
}

void Denik::setPredkontaceid(int predkontaceid)
{
    m_predkontaceid = predkontaceid;
}

int Denik::pokladnaid() const
{
    return m_pokladnaid;
}

void Denik::setPokladnaid(int pokladnaid)
{
    m_pokladnaid = pokladnaid;
}

int Denik::bankaid() const
{
    return m_bankaid;
}

void Denik::setBankaid(int bankaid)
{
    m_bankaid = bankaid;
}

int Denik::protistranaid() const
{
    return m_protistranaid;
}

void Denik::setProtistranaid(int protistranaid)
{
    m_protistranaid = protistranaid;
}

int Denik::obdobirok() const
{
    return m_obdobirok;
}

void Denik::setObdobirok(int obdobirok)
{
    m_obdobirok = obdobirok;
}

DenikView::DenikView(int id, const wxDateTime &datum, const wxString &cislo, const wxString &popis, double castka, bool prijem, const wxString &pokladnabanka, int vypis)
    : m_id(id), m_datum(datum), m_cislo(cislo), m_popis(popis), m_castka(castka), m_prijem(prijem), m_pokladnabanka(pokladnabanka), m_vypis(vypis)
{
}

int DenikView::id() const
{
    return m_id;
}

void DenikView::setId(int id)
{
    m_id = id;
}

wxDateTime DenikView::datum() const
{
    return m_datum;
}

void DenikView::setDatum(const wxDateTime &datum)
{
    m_datum = datum;
}

wxString DenikView::cislo() const
{
    return m_cislo;
}

void DenikView::setCislo(const wxString &cislo)
{
    m_cislo = cislo;
}

wxString DenikView::popis() const
{
    return m_popis;
}

void DenikView::setPopis(const wxString &popis)
{
    m_popis = popis;
}

double DenikView::castka() const
{
    return m_castka;
}

void DenikView::setCastka(double castka)
{
    m_castka = castka;
}

bool DenikView::prijem() const
{
    return m_prijem;
}

void DenikView::setPrijem(bool prijem)
{
    m_prijem = prijem;
}

wxString DenikView::pokladnabanka() const
{
    return m_pokladnabanka;
}

void DenikView::setPokladnabanka(const wxString &pokladnabanka)
{
    m_pokladnabanka = pokladnabanka;
}

int DenikView::vypis() const
{
    return m_vypis;
}

void DenikView::setVypis(int vypis)
{
    m_vypis = vypis;
}
