/***************************************************************
 * Name:      dphdoklad.h
 * Descr:     Pro dane - DPH
 * Author:    David Vachulka (archdvx@dxsolutions.org)
 * Copyright: 2015
 * License:   GPL3
 **************************************************************/

#ifndef DPHDOKLAD_H
#define DPHDOKLAD_H

#ifndef WX_PRECOMP
    #include <wx/wx.h>
#endif
#include <wx/dynarray.h>

class DphForDoklad {
public:
    DphForDoklad() : m_sazba(0), m_zakladni(false), m_zaklad(0.0), m_dph(0.0) {}
    DphForDoklad(int sazba, bool zakladni, double zaklad, double dph);

    int sazba() const;
    void setSazba(int sazba);
    bool zakladni() const;
    void setZakladni(bool zakladni);
    double zaklad() const;
    void setZaklad(double zaklad);
    double dph() const;
    void setDph(double dph);
private:
    int m_sazba;
    bool m_zakladni;
    double m_zaklad;
    double m_dph;
};

WX_DECLARE_OBJARRAY(DphForDoklad, dxDphForDokladArray);

class DphDoklad
{
public:
    DphDoklad() : m_celkem(0.0), m_kontaktid(-1) {}
    DphDoklad(const wxString &cislo, const wxString &dic, const wxDateTime &duzp, const wxDateTime &dppd, const wxString &popis, const wxString &zdroj, dxDphForDokladArray dph,
              double celkem, const wxString &kpp, const wxString &krp, int kontaktid);

    wxString cislo() const;
    void setCislo(const wxString &cislo);
    wxString dic() const;
    void setDic(const wxString &dic);
    wxDateTime duzp() const;
    void setDuzp(const wxDateTime &duzp);
    wxDateTime dppd() const;
    void setDppd(const wxDateTime &dppd);
    dxDphForDokladArray dph() const;
    void setDph(const dxDphForDokladArray &dph);
    wxString popis() const;
    void setPopis(const wxString &popis);
    wxString zdroj() const;
    void setZdroj(const wxString &zdroj);
    double celkem() const;
    void setCelkem(double celkem);
    wxString kpp() const;
    void setKpp(const wxString &kpp);
    int kontaktid() const;
    void setKontaktid(int kontaktid);
    wxString krp() const;
    void setKrp(const wxString &krp);
private:
    wxString m_cislo;
    wxString m_dic;
    wxDateTime m_duzp;
    wxDateTime m_dppd;
    dxDphForDokladArray m_dph;
    wxString m_popis;
    wxString m_zdroj;
    double m_celkem;
    wxString m_kpp;
    wxString m_krp;
    int m_kontaktid;
};

#endif  /* DPHDOKLAD_H */

