/***************************************************************
 * Name:      dphdruh.cpp
 * Author:    David Vachulka (archdvx@dxsolutions.org)
 * Copyright: 2015
 * License:   GPL3
 **************************************************************/

#include "dphdruh.h"

DphDruh::DphDruh(int id, const wxString &zkratka, const wxString &popis, const wxString &radky, bool plneni, bool vydaj, bool nabizet, const wxString &kpp, int krp,
    const wxDateTime &validFrom, const wxDateTime &validTo, bool kraceny, const wxString &kh)
    : m_id(id), m_zkratka(zkratka), m_popis(popis), m_radky(radky), m_plneni(plneni), m_vydaj(vydaj), m_nabizet(nabizet), m_kpp(kpp), m_krp(krp),
      m_validFrom(validFrom), m_validTo(validTo), m_kraceny(kraceny), m_kh(kh)
{
}

bool DphDruh::isValid() const
{
    return m_id != -1;
}

int DphDruh::id() const
{
    return m_id;
}

void DphDruh::setId(int id)
{
    m_id = id;
}

wxString DphDruh::zkratka() const
{
    return m_zkratka;
}

void DphDruh::setZkratka(const wxString &zkratka)
{
    m_zkratka = zkratka;
}

wxString DphDruh::popis() const
{
    return m_popis;
}

void DphDruh::setPopis(const wxString &popis)
{
    m_popis = popis;
}

wxString DphDruh::radky() const
{
    return m_radky;
}

void DphDruh::setRadky(const wxString &radky)
{
    m_radky = radky;
}

bool DphDruh::plneni() const
{
    return m_plneni;
}

void DphDruh::setPlneni(bool plneni)
{
    m_plneni = plneni;
}

bool DphDruh::vydaj() const
{
    return m_vydaj;
}

void DphDruh::setVydaj(bool vydaj)
{
    m_vydaj = vydaj;
}

bool DphDruh::nabizet() const
{
    return m_nabizet;
}

void DphDruh::setNabizet(bool nabizet)
{
    m_nabizet = nabizet;
}

wxString DphDruh::kpp() const
{
    return m_kpp;
}

void DphDruh::setKpp(const wxString &kpp)
{
    m_kpp = kpp;
}

wxDateTime DphDruh::validFrom() const
{
    return m_validFrom;
}

void DphDruh::setValidFrom(const wxDateTime &dod)
{
    m_validFrom = dod;
}

wxDateTime DphDruh::validTo() const
{
    return m_validTo;
}

void DphDruh::setValidTo(const wxDateTime &ddo)
{
    m_validTo = ddo;
}

bool DphDruh::kraceny() const
{
    return m_kraceny;
}

void DphDruh::setKraceny(bool kraceny)
{
    m_kraceny = kraceny;
}

wxString DphDruh::kh() const
{
    return m_kh;
}

void DphDruh::setKh(const wxString &kh)
{
    m_kh = kh;
}

int DphDruh::krp() const
{
    return m_krp;
}

void DphDruh::setKrp(int krp)
{
    m_krp = krp;
}
