/***************************************************************
 * Name:      ivpolozka.h
 * Author:    David Vachulka (archdvx@dxsolutions.org)
 * Copyright: 2016
 * License:   GPL3
 **************************************************************/

#ifndef IVPOLOZKA_H
#define IVPOLOZKA_H

#ifndef WX_PRECOMP
    #include <wx/wx.h>
#endif

class IvPolozka {
public:
    IvPolozka() : m_id(-1), m_evidovano(0.0), m_zjisteno(0.0), m_zasobaid(-1), m_inventuraid(-1) {}
    IvPolozka(int id, double evidovano, double zjisteno, int zasobaid, int inventuraid);

    bool isValid() const;
    int id() const;
    void setId(int id);
    double evidovano() const;
    void setEvidovano(double evidovano);
    double zjisteno() const;
    void setZjisteno(double zjisteno);
    int zasobaid() const;
    void setZasobaid(int zasobaid);
    int inventuraid() const;
    void setInventuraid(int inventuraid);
private:
    int m_id;
    double m_evidovano;
    double m_zjisteno;
    int m_zasobaid;
    int m_inventuraid;
};

#endif  /* IVPOLOZKA_H */

