/***************************************************************
 * Name:      jizda.cpp
 * Author:    David Vachulka (archdvx@dxsolutions.org)
 * Copyright: 2018
 * License:   GPL3
 **************************************************************/

#include "jizda.h"

Jizda::Jizda(int id, const wxDateTime &startcas, const wxDateTime &endcas, int startkm, int endkm, const wxString &cesta, const wxString &ucel, int vozidloid, int ridicid)
    : m_id(id), m_startcas(startcas), m_endcas(endcas), m_startkm(startkm), m_endkm(endkm), m_cesta(cesta), m_ucel(ucel), m_vozidloid(vozidloid), m_ridicid(ridicid)
{
}

bool Jizda::isValid() const
{
    return m_id != -1;
}

int Jizda::id() const
{
    return m_id;
}

void Jizda::setId(int id)
{
    m_id = id;
}

wxDateTime Jizda::startcas() const
{
    return m_startcas;
}

void Jizda::setStartcas(const wxDateTime &startcas)
{
    m_startcas = startcas;
}

wxDateTime Jizda::endcas() const
{
    return m_endcas;
}

void Jizda::setEndcas(const wxDateTime &endcas)
{
    m_endcas = endcas;
}

int Jizda::startkm() const
{
    return m_startkm;
}

void Jizda::setStartkm(int startkm)
{
    m_startkm = startkm;
}

int Jizda::endkm() const
{
    return m_endkm;
}

void Jizda::setEndkm(int endkm)
{
    m_endkm = endkm;
}

wxString Jizda::cesta() const
{
    return m_cesta;
}

void Jizda::setCesta(const wxString &cesta)
{
    m_cesta = cesta;
}

wxString Jizda::ucel() const
{
    return m_ucel;
}

void Jizda::setUcel(const wxString &ucel)
{
    m_ucel = ucel;
}

int Jizda::vozidloid() const
{
    return m_vozidloid;
}

void Jizda::setVozidloid(int vozidloid)
{
    m_vozidloid = vozidloid;
}

wxString Jizda::datum() const
{
    if(m_startcas.IsSameDate(m_endcas))
        return m_endcas.FormatDate();
    return m_startcas.FormatDate()+"-"+m_endcas.FormatDate();
}

int Jizda::ridicid() const
{
    return m_ridicid;
}

void Jizda::setRidicid(int ridicid)
{
    m_ridicid = ridicid;
}

JizdaView::JizdaView(int id, const wxDateTime &startcas, const wxDateTime &endcas, int km, const wxString &cesta, const wxString &ucel, const wxString &vozidlo, const wxString &ridic,
                     bool nahrada)
    : m_id(id), m_startcas(startcas), m_endcas(endcas), m_km(km), m_cesta(cesta), m_ucel(ucel), m_vozidlo(vozidlo), m_ridic(ridic), m_nahrada(nahrada)
{
}

bool JizdaView::isValid() const
{
    return m_id != -1;
}

int JizdaView::id() const
{
    return m_id;
}

void JizdaView::setId(int id)
{
    m_id = id;
}

wxDateTime JizdaView::startcas() const
{
    return m_startcas;
}

void JizdaView::setStartcas(const wxDateTime &startcas)
{
    m_startcas = startcas;
}

wxDateTime JizdaView::endcas() const
{
    return m_endcas;
}

void JizdaView::setEndcas(const wxDateTime &endcas)
{
    m_endcas = endcas;
}

int JizdaView::km() const
{
    return m_km;
}

void JizdaView::setKm(int km)
{
    m_km = km;
}

wxString JizdaView::cesta() const
{
    return m_cesta;
}

void JizdaView::setCesta(const wxString &cesta)
{
    m_cesta = cesta;
}

wxString JizdaView::ucel() const
{
    return m_ucel;
}

void JizdaView::setUcel(const wxString &ucel)
{
    m_ucel = ucel;
}

wxString JizdaView::vozidlo() const
{
    return m_vozidlo;
}

void JizdaView::setVozidlo(const wxString &vozidlo)
{
    m_vozidlo = vozidlo;
}

wxString JizdaView::datum() const
{
    if(m_startcas.IsSameDate(m_endcas))
        return m_endcas.FormatDate();
    return m_startcas.FormatDate()+"-"+m_endcas.FormatDate();
}

wxString JizdaView::ridic() const
{
    return m_ridic;
}

void JizdaView::setRidic(const wxString &ridic)
{
    m_ridic = ridic;
}

bool JizdaView::nahrada() const
{
    return m_nahrada;
}

void JizdaView::setNahrada(bool nahrada)
{
    m_nahrada = nahrada;
}
