/***************************************************************
 * Name:      odpiskupina.h
 * Author:    David Vachulka (archdvx@dxsolutions.org)
 * Copyright: 2014
 * License:   GPL3
 **************************************************************/

#ifndef ODPISKUPINA_H
#define ODPISKUPINA_H

#ifndef WX_PRECOMP
    #include <wx/wx.h>
#endif

class Odpiskupina {
public:
    Odpiskupina() : m_id(-1), m_odpisovat(0), m_rov1(0.0), m_rov2(0.0), m_rovzvy(0.0), m_zry1(0.0), m_zry2(0.0), m_zryzvy(0.0) {}
    Odpiskupina(int id, const wxString &popis, int odpisovat, double rov1, double rov2, double rovzvy, double zry1, double zry2,
                double zryzvy);

    bool isValid() const;
    int id() const;
    void setId(int id);
    wxString popis() const;
    void setPopis(const wxString &popis);
    int odpisovat() const;
    void setOdpisovat(int odpisovat);
    double rov1() const;
    void setRov1(double rov1);
    double rov2() const;
    void setRov2(double rov2);
    double rovzvy() const;
    void setRovzvy(double rovzvy);
    double zry1() const;
    void setZry1(double zry1);
    double zry2() const;
    void setZry2(double zry2);
    double zryzvy() const;
    void setZryzvy(double zryzvy);
private:
    int m_id;
    wxString m_popis;
    int m_odpisovat;
    double m_rov1;
    double m_rov2;
    double m_rovzvy;
    double m_zry1;
    double m_zry2;
    double m_zryzvy;
};

#endif  /* ODPISKUPINA_H */

