/***************************************************************
 * Name:      priznani.cpp
 * Author:    David Vachulka (archdvx@dxsolutions.org)
 * Copyright: 2015
 * License:   GPL3
 **************************************************************/

#include "priznani.h"


Priznani::Priznani(const wxString &jmeno, const wxString &prijmeni, const wxString &titul, const wxString &ulice, int c_pop, const wxString &c_orient,
                   const wxString &naz_obce, const wxString &psc, const wxString &stat, const wxString &dic, const wxString &email, const wxString &id_dats,
                   const wxString &c_telef, int c_ufo, int c_pracufo, int c_okec, const wxString &opr_jmeno, const wxString &opr_prijmeni,
                   const wxString &opr_postaveni, const wxDateTime &zast_dat_nar, const wxString &zast_ev_cislo, const wxString &zast_ic, const wxString &zast_jmeno,
                   const wxString &zast_kod, const wxString &zast_nazev, const wxString &zast_prijmeni, const wxString &zast_typ)
    : m_jmeno(jmeno), m_prijmeni(prijmeni), m_titul(titul), m_ulice(ulice), m_c_pop(c_pop), m_c_orient(c_orient), m_naz_obce(naz_obce), m_psc(psc), m_stat(stat),
      m_dic(dic), m_email(email), m_id_dats(id_dats), m_c_telef(c_telef), m_c_ufo(c_ufo), m_c_pracufo(c_pracufo), m_c_okec(c_okec), m_opr_jmeno(opr_jmeno),
      m_opr_prijmeni(opr_prijmeni), m_opr_postaveni(opr_postaveni), m_zast_dat_nar(zast_dat_nar), m_zast_ev_cislo(zast_ev_cislo), m_zast_ic(zast_ic), m_zast_jmeno(zast_jmeno),
      m_zast_kod(zast_kod), m_zast_nazev(zast_nazev), m_zast_prijmeni(zast_prijmeni), m_zast_typ(zast_typ)
{
}

bool Priznani::isValid() const
{
    return !m_jmeno.IsEmpty();
}

wxString Priznani::jmeno() const
{
    return m_jmeno;
}

void Priznani::setJmeno(const wxString &jmeno)
{
    m_jmeno = jmeno;
}

wxString Priznani::prijmeni() const
{
    return m_prijmeni;
}

void Priznani::setPrijmeni(const wxString &prijmeni)
{
    m_prijmeni = prijmeni;
}

wxString Priznani::titul() const
{
    return m_titul;
}

void Priznani::setTitul(const wxString &titul)
{
    m_titul = titul;
}

wxString Priznani::ulice() const
{
    return m_ulice;
}

void Priznani::setUlice(const wxString &ulice)
{
    m_ulice = ulice;
}

int Priznani::c_pop() const
{
    return m_c_pop;
}

void Priznani::setC_pop(int c_pop)
{
    m_c_pop = c_pop;
}

wxString Priznani::c_orient() const
{
    return m_c_orient;
}

void Priznani::setC_orient(const wxString &c_orient)
{
    m_c_orient = c_orient;
}

wxString Priznani::naz_obce() const
{
    return m_naz_obce;
}

void Priznani::setNaz_obce(const wxString &naz_obce)
{
    m_naz_obce = naz_obce;
}

wxString Priznani::psc() const
{
    return m_psc;
}

void Priznani::setPsc(const wxString &psc)
{
    m_psc = psc;
}

wxString Priznani::stat() const
{
    return m_stat;
}

void Priznani::setStat(const wxString &stat)
{
    m_stat = stat;
}

wxString Priznani::dic() const
{
    return m_dic;
}

void Priznani::setDic(const wxString &dic)
{
    m_dic = dic;
}

wxString Priznani::email() const
{
    return m_email;
}

void Priznani::setEmail(const wxString &email)
{
    m_email = email;
}

wxString Priznani::id_dats() const
{
    return m_id_dats;
}

void Priznani::setId_dats(const wxString &id_dats)
{
    m_id_dats = id_dats;
}

wxString Priznani::c_telef() const
{
    return m_c_telef;
}

void Priznani::setC_telef(const wxString &c_telef)
{
    m_c_telef = c_telef;
}

int Priznani::c_ufo() const
{
    return m_c_ufo;
}

void Priznani::setC_ufo(int c_ufo)
{
    m_c_ufo = c_ufo;
}

int Priznani::c_pracufo() const
{
    return m_c_pracufo;
}

void Priznani::setC_pracufo(int c_pracufo)
{
    m_c_pracufo = c_pracufo;
}

int Priznani::c_okec() const
{
    return m_c_okec;
}

void Priznani::setC_okec(int c_okec)
{
    m_c_okec = c_okec;
}

wxString Priznani::opr_jmeno() const
{
    return m_opr_jmeno;
}

void Priznani::setOpr_jmeno(const wxString &opr_jmeno)
{
    m_opr_jmeno = opr_jmeno;
}

wxString Priznani::opr_prijmeni() const
{
    return m_opr_prijmeni;
}

void Priznani::setOpr_prijmeni(const wxString &opr_prijmeni)
{
    m_opr_prijmeni = opr_prijmeni;
}

wxString Priznani::opr_postaveni() const
{
    return m_opr_postaveni;
}

void Priznani::setOpr_postaveni(const wxString &opr_postaveni)
{
    m_opr_postaveni = opr_postaveni;
}

wxDateTime Priznani::zast_dat_nar() const
{
    return m_zast_dat_nar;
}

void Priznani::setZast_dat_nar(const wxDateTime &zast_dat_nar)
{
    m_zast_dat_nar = zast_dat_nar;
}

wxString Priznani::zast_ev_cislo() const
{
    return m_zast_ev_cislo;
}

void Priznani::setZast_ev_cislo(const wxString &zast_ev_cislo)
{
    m_zast_ev_cislo = zast_ev_cislo;
}

wxString Priznani::zast_ic() const
{
    return m_zast_ic;
}

void Priznani::setZast_ic(const wxString &zast_ic)
{
    m_zast_ic = zast_ic;
}

wxString Priznani::zast_jmeno() const
{
    return m_zast_jmeno;
}

void Priznani::setZast_jmeno(const wxString &zast_jmeno)
{
    m_zast_jmeno = zast_jmeno;
}

wxString Priznani::zast_kod() const
{
    return m_zast_kod;
}

void Priznani::setZast_kod(const wxString &zast_kod)
{
    m_zast_kod = zast_kod;
}

wxString Priznani::zast_nazev() const
{
    return m_zast_nazev;
}

void Priznani::setZast_nazev(const wxString &zast_nazev)
{
    m_zast_nazev = zast_nazev;
}

wxString Priznani::zast_prijmeni() const
{
    return m_zast_prijmeni;
}

void Priznani::setZast_prijmeni(const wxString &zast_prijmeni)
{
    m_zast_prijmeni = zast_prijmeni;
}

wxString Priznani::zast_typ() const
{
    return m_zast_typ;
}

void Priznani::setZast_typ(const wxString &zast_typ)
{
    m_zast_typ = zast_typ;
}
