/***************************************************************
 * Name:      smtp.cpp
 * Author:    David Vachulka (archdvx@dxsolutions.org)
 * Copyright: 2015
 * License:   GPL3
 **************************************************************/

#include "smtp.h"

Smtp::Smtp(const wxString &server, int port, bool ssl, bool autentifikace, const wxString &username, const wxString &password,
           const wxString &sender, const wxString &subject, const wxString &text)
    : m_server(server), m_port(port), m_ssl(ssl), m_autentifikace(autentifikace), m_username(username), m_password(password),
      m_sender(sender), m_subject(subject), m_text(text)
{
}

bool Smtp::isValid() const
{
    return m_port != -1;
}

wxString Smtp::server() const
{
    return m_server;
}

void Smtp::setServer(const wxString &server)
{
    m_server = server;
}

int Smtp::port() const
{
    return m_port;
}

void Smtp::setPort(int port)
{
    m_port = port;
}

bool Smtp::ssl() const
{
    return m_ssl;
}

void Smtp::setSsl(bool ssl)
{
    m_ssl = ssl;
}

bool Smtp::autentifikace() const
{
    return m_autentifikace;
}

void Smtp::setAutentifikace(bool autentifikace)
{
    m_autentifikace = autentifikace;
}

wxString Smtp::username() const
{
    return m_username;
}

void Smtp::setUsername(const wxString &username)
{
    m_username = username;
}

wxString Smtp::password() const
{
    return m_password;
}

void Smtp::setPassword(const wxString &password)
{
    m_password = password;
}

wxString Smtp::sender() const
{
    return m_sender;
}

void Smtp::setSender(const wxString &sender)
{
    m_sender = sender;
}

wxString Smtp::subject() const
{
    return m_subject;
}

void Smtp::setSubject(const wxString &subject)
{
    m_subject = subject;
}

wxString Smtp::text() const
{
    return m_text;
}

void Smtp::setText(const wxString &text)
{
    m_text = text;
}
