/***************************************************************
 * Name:      uhrada.h
 * Author:    David Vachulka (archdvx@dxsolutions.org)
 * Copyright: 2014
 * License:   GPL3
 **************************************************************/

#ifndef UHRADA_H
#define UHRADA_H

#ifndef WX_PRECOMP
    #include <wx/wx.h>
#endif

class Uhrada {
public:
    Uhrada() : m_id(-1), m_castka(0.0), m_denikid(-1), m_fakturaid(-1), m_zavpohid(-1), m_obdobirok(0) {}
    Uhrada(int id, double castka, int denikid, int fakturaid, int zavpohid, int obdobirok);

    bool isValid() const;
    int id() const;
    void setId(int id);
    double castka() const;
    void setCastka(double castka);
    int fakturaid() const;
    void setFakturaid(int fakturaid);
    int zavpohid() const;
    void setZavpohid(int zavpohid);
    int obdobirok() const;
    void setObdobirok(int obdobirok);
    int denikid() const;
    void setDenikid(int denikid);
private:
    int m_id;
    double m_castka;
    int m_denikid;
    int m_fakturaid;
    int m_zavpohid;
    int m_obdobirok;
};

#endif  /* UHRADA_H */

