/***************************************************************
 * Name:      ulozene.h
 * Author:    David Vachulka (archdvx@dxsolutions.org)
 * Copyright: 2015
 * License:   GPL3
 **************************************************************/

#ifndef ULOZENE_H
#define ULOZENE_H

#ifndef WX_PRECOMP
    #include <wx/wx.h>
#endif

class Ulozene {
public:
    Ulozene() : m_id(-1), m_typ(-1), m_obdobi(-1), m_mesic(-1), m_ctvrtleti(-1), m_rok(-1) {}
    Ulozene(int id, int typ, const wxString &popis, const wxString &forma, int obdobi,
            int mesic, int ctvrtleti, int rok, const wxDateTime &from, const wxDateTime &to, const wxString &xml);

    bool isValid() const;
    int id() const;
    void setId(int id);
    int typ() const;
    void setTyp(int typ);
    wxString popis() const;
    void setPopis(const wxString &popis);
    wxString forma() const;
    void setForma(const wxString &forma);
    int obdobi() const;
    void setObdobi(int obdobi);
    int mesic() const;
    void setMesic(int mesic);
    int ctvrtleti() const;
    void setCtvrtleti(int ctvrtleti);
    int rok() const;
    void setRok(int rok);
    wxDateTime from() const;
    void setFrom(const wxDateTime &from);
    wxDateTime to() const;
    void setTo(const wxDateTime &to);
    wxString xml() const;
    void setXml(const wxString &xml);
private:
    int m_id;
    int m_typ;
    wxString m_popis;
    wxString m_forma;
    int m_obdobi;
    int m_mesic;
    int m_ctvrtleti;
    int m_rok;
    wxDateTime m_from;
    wxDateTime m_to;
    wxString m_xml;
};

#endif  /* ULOZENE_H */

