/***************************************************************
 * Name:      vozidlo.h
 * Author:    David Vachulka (archdvx@dxsolutions.org)
 * Copyright: 2018
 * License:   GPL3
 **************************************************************/

#ifndef VOZIDLO_H
#define VOZIDLO_H

#ifndef WX_PRECOMP
    #include <wx/wx.h>
#endif

class Vozidlo {
public:
    Vozidlo() : m_id(-1), m_druhvozidla(-1), m_spotreba(0.0), m_soukrome(false), m_phm(-1) {}
    Vozidlo(int id, const wxString &jmeno, const wxString &rz, int druhvozidla, double spotreba, bool soukrome, int phm);

    bool isValid() const;
    int id() const;
    void setId(int id);
    wxString jmeno() const;
    void setJmeno(const wxString &jmeno);
    wxString rz() const;
    void setRz(const wxString &rz);
    int druhvozidla() const;
    void setDruhvozidla(int druhvozidla);
    double spotreba() const;
    void setSpotreba(double spotreba);
    bool soukrome() const;
    void setSoukrome(bool soukrome);
    int phm() const;
    void setPhm(int phm);
private:
    int m_id;
    wxString m_jmeno;
    wxString m_rz;
    int m_druhvozidla;
    double m_spotreba;
    bool m_soukrome;
    int m_phm;
};

#endif  /* VOZIDLO_H */

