/***************************************************************
 * Name:      zasoba.h
 * Author:    David Vachulka (archdvx@dxsolutions.org)
 * Copyright: 2016
 * License:   GPL3
 **************************************************************/

#ifndef ZASOBA_H
#define ZASOBA_H

#ifndef WX_PRECOMP
    #include <wx/wx.h>
#endif

class Zasoba {
public:
    Zasoba() : m_id(-1), m_ocenovani(-1), m_pocet(0.0), m_celkem(0.0), m_skladid(-1), m_cenamj(0.0), m_bezdph(false),
        m_dph(-1) {}
    Zasoba(int id, const wxString &cislo, const wxString &nazev, const wxString &popis, int ocenovani, const wxString &mj,
              double pocet, double celkem, int skladid, double cenamj, bool bezdph, int dph);

    bool isValid() const;
    int id() const;
    void setId(int id);
    wxString cislo() const;
    void setCislo(const wxString &cislo);
    wxString nazev() const;
    void setNazev(const wxString &nazev);
    wxString popis() const;
    void setPopis(const wxString &popis);
    int ocenovani() const;
    void setOcenovani(int ocenovani);
    wxString mj() const;
    void setMj(const wxString &mj);
    double pocet() const;
    void setPocet(double pocet);
    double celkem() const;
    void setCelkem(double celkem);
    int skladid() const;
    void setSkladid(int skladid);
    double cenamj() const;
    void setCenamj(double cenamj);
    bool bezdph() const;
    void setBezdph(bool bezdph);
    int dph() const;
    void setDph(int dph);
private:
    int m_id;
    wxString m_cislo;
    wxString m_nazev;
    wxString m_popis;
    int m_ocenovani;
    wxString m_mj;
    double m_pocet;
    double m_celkem;
    int m_skladid;
    double m_cenamj;
    bool m_bezdph;
    int m_dph;
};

class ZasobaView {
public:
    ZasobaView() : m_id(-1), m_pocet(0.0), m_celkem(0.0) {}
    ZasobaView(int id, const wxString &cislo, const wxString &nazev, double pocet, double celkem, const wxString &sklad);

    int id() const;
    void setId(int id);
    wxString cislo() const;
    void setCislo(const wxString &cislo);
    wxString nazev() const;
    void setNazev(const wxString &nazev);
    double pocet() const;
    void setPocet(double pocet);
    double celkem() const;
    void setCelkem(double celkem);
    wxString sklad() const;
    void setSklad(const wxString &sklad);
private:
    int m_id;
    wxString m_cislo;
    wxString m_nazev;
    double m_pocet;
    double m_celkem;
    wxString m_sklad;
};

#endif  /* ZASOBA_H */

