/***************************************************************
 * Name:      sqlitesql.h
 * Author:    David Vachulka (archdvx@dxsolutions.org)
 * Copyright: 2014
 * License:   GPL3
 **************************************************************/

#ifndef SQLITESQL_H
#define SQLITESQL_H

static const char * sqlite_tb_version[] = {
    //verze databaze
    "CREATE TABLE version (verze TEXT)",
    "INSERT INTO version (verze) VALUES ('1.40.12')",
    NULL
};

static const char * sqlite_tb_adresa[] = {
    //tabulka adres
    "CREATE TABLE adresa (id INTEGER PRIMARY KEY AUTOINCREMENT, ulice TEXT, cp TEXT, misto TEXT, psc TEXT, zeme TEXT)",
    //vlozeni defaultni adresy
    "INSERT INTO adresa (id) VALUES (0)",
    NULL
};

static const char * sqlite_tb_kontakt[] = {
    //tabulka dodavatelu/odberatelu
    "CREATE TABLE kontakt (id INTEGER PRIMARY KEY AUTOINCREMENT, nazev TEXT, jmeno TEXT, ic TEXT, dic TEXT, email TEXT, public INTEGER, adresaid INTEGER NOT NULL,\
        FOREIGN KEY(adresaid) REFERENCES adresa(id) ON UPDATE CASCADE)",
    //Vlozeni defaultniho odberatele/dodavatele
    "INSERT INTO kontakt (id,adresaid,public) VALUES (0,0,0)",
    NULL
};

static const char * sqlite_tb_firma[] = {
    //tabulka uctovane firmy
    "CREATE TABLE firma (nazev TEXT, ic TEXT, dic TEXT, registrace TEXT, platce INTEGER, pausal INTEGER, telefon TEXT,\
        email TEXT, www TEXT, logo TEXT, razitko TEXT, adresaid INTEGER NOT NULL, FOREIGN KEY(adresaid) REFERENCES adresa(id) ON UPDATE CASCADE)",
    NULL
};

static const char * sqlite_tb_obdobi[] = {
    //tabulka ucetnich obdobi
    "CREATE TABLE obdobi (rok INTEGER PRIMARY KEY, current INTEGER NOT NULL)",
    NULL
};

static const char * sqlite_tb_dphsazba[] = {
    //tabulka dph sazeb
    "CREATE TABLE dphsazba (id INTEGER PRIMARY KEY AUTOINCREMENT, sazba INTEGER, rok INTEGER, zakladni INTEGER)",
    "INSERT INTO dphsazba (id,sazba,zakladni) VALUES (0,0,0)",
    "INSERT INTO dphsazba (sazba,rok,zakladni) VALUES (5,2005,0)",
    "INSERT INTO dphsazba (sazba,rok,zakladni) VALUES (19,2005,1)",
    "INSERT INTO dphsazba (sazba,rok,zakladni) VALUES (5,2006,0)",
    "INSERT INTO dphsazba (sazba,rok,zakladni) VALUES (19,2006,1)",
    "INSERT INTO dphsazba (sazba,rok,zakladni) VALUES (5,2007,0)",
    "INSERT INTO dphsazba (sazba,rok,zakladni) VALUES (19,2007,1)",
    "INSERT INTO dphsazba (sazba,rok,zakladni) VALUES (9,2008,0)",
    "INSERT INTO dphsazba (sazba,rok,zakladni) VALUES (19,2008,1)",
    "INSERT INTO dphsazba (sazba,rok,zakladni) VALUES (9,2009,0)",
    "INSERT INTO dphsazba (sazba,rok,zakladni) VALUES (19,2009,1)",
    "INSERT INTO dphsazba (sazba,rok,zakladni) VALUES (10,2010,0)",
    "INSERT INTO dphsazba (sazba,rok,zakladni) VALUES (20,2010,1)",
    "INSERT INTO dphsazba (sazba,rok,zakladni) VALUES (10,2011,0)",
    "INSERT INTO dphsazba (sazba,rok,zakladni) VALUES (20,2011,1)",
    "INSERT INTO dphsazba (sazba,rok,zakladni) VALUES (14,2012,0)",
    "INSERT INTO dphsazba (sazba,rok,zakladni) VALUES (20,2012,1)",
    "INSERT INTO dphsazba (sazba,rok,zakladni) VALUES (15,2013,0)",
    "INSERT INTO dphsazba (sazba,rok,zakladni) VALUES (21,2013,1)",
    "INSERT INTO dphsazba (sazba,rok,zakladni) VALUES (15,2014,0)",
    "INSERT INTO dphsazba (sazba,rok,zakladni) VALUES (21,2014,1)",
    "INSERT INTO dphsazba (sazba,rok,zakladni) VALUES (10,2015,0)",
    "INSERT INTO dphsazba (sazba,rok,zakladni) VALUES (15,2015,0)",
    "INSERT INTO dphsazba (sazba,rok,zakladni) VALUES (21,2015,1)",
    "INSERT INTO dphsazba (sazba,rok,zakladni) VALUES (10,2016,0)",
    "INSERT INTO dphsazba (sazba,rok,zakladni) VALUES (15,2016,0)",
    "INSERT INTO dphsazba (sazba,rok,zakladni) VALUES (21,2016,1)",
    "INSERT INTO dphsazba (sazba,rok,zakladni) VALUES (10,2017,0)",
    "INSERT INTO dphsazba (sazba,rok,zakladni) VALUES (15,2017,0)",
    "INSERT INTO dphsazba (sazba,rok,zakladni) VALUES (21,2017,1)",
    "INSERT INTO dphsazba (sazba,rok,zakladni) VALUES (10,2018,0)",
    "INSERT INTO dphsazba (sazba,rok,zakladni) VALUES (15,2018,0)",
    "INSERT INTO dphsazba (sazba,rok,zakladni) VALUES (21,2018,1)",
    "INSERT INTO dphsazba (sazba,rok,zakladni) VALUES (10,2019,0)",
    "INSERT INTO dphsazba (sazba,rok,zakladni) VALUES (15,2019,0)",
    "INSERT INTO dphsazba (sazba,rok,zakladni) VALUES (21,2019,1)",
    "INSERT INTO dphsazba (sazba,rok,zakladni) VALUES (10,2020,0)",
    "INSERT INTO dphsazba (sazba,rok,zakladni) VALUES (15,2020,0)",
    "INSERT INTO dphsazba (sazba,rok,zakladni) VALUES (21,2020,1)",
    "INSERT INTO dphsazba (sazba,rok,zakladni) VALUES (10,2021,0)",
    "INSERT INTO dphsazba (sazba,rok,zakladni) VALUES (15,2021,0)",
    "INSERT INTO dphsazba (sazba,rok,zakladni) VALUES (21,2021,1)",
    "INSERT INTO dphsazba (sazba,rok,zakladni) VALUES (10,2022,0)",
    "INSERT INTO dphsazba (sazba,rok,zakladni) VALUES (15,2022,0)",
    "INSERT INTO dphsazba (sazba,rok,zakladni) VALUES (21,2022,1)",
    "INSERT INTO dphsazba (sazba,rok,zakladni) VALUES (10,2023,0)",
    "INSERT INTO dphsazba (sazba,rok,zakladni) VALUES (15,2023,0)",
    "INSERT INTO dphsazba (sazba,rok,zakladni) VALUES (21,2023,1)",
    "INSERT INTO dphsazba (sazba,rok,zakladni) VALUES (12,2024,0)",
    "INSERT INTO dphsazba (sazba,rok,zakladni) VALUES (21,2024,1)",
    NULL
};

static const char * sqlite_tb_dphdruh[] = {
    //tabulka cleneneni dph v priznani k dph
    //plneni 0 - uskutecnene, 1 - prijate
    //radky - radky v priznani k dph
    //kpp - kod predmetu plneni
    //od,do - odkdy,dokdy je druh platny
    //kraceny - kraceny odpocet
    //kh - oddil kontrolniho hlaseni
    //krp - kod rezimu plneni, radek = 1,2 cestovni sluzba nebo pouzite zbozi
    "CREATE TABLE dphdruh (id INTEGER PRIMARY KEY AUTOINCREMENT, zkratka TEXT, popis TEXT, radky TEXT, plneni INTEGER, vydaj INTEGER, nabizet INTEGER,\
        kpp TEXT, krp INTEGER, od TEXT, do TEXT, kraceny INTEGER, kh TEXT)",
    "INSERT INTO dphdruh (zkratka,popis,radky,plneni,vydaj,nabizet,od,do,kraceny,kh,krp) VALUES ('R1,2','Dodání zboží nebo poskytnutí služby s místem plnění v tuzemsku (např. §13, §14, §8)',\
        '1,2',0,0,1,'2011-01-01','2100-01-01',0,'A4,A5',0)",
    "INSERT INTO dphdruh (zkratka,popis,radky,plneni,vydaj,nabizet,od,do,kraceny,kh) VALUES ('R3,4','Pořízení zboží z jiného členského státu (§16; §17 odst.6 písm e); §19 odst.3)',\
        '3,4',0,1,0,'2011-01-01','2100-01-01',0,'A2')",
    "INSERT INTO dphdruh (zkratka,popis,radky,plneni,vydaj,nabizet,od,do,kraceny,kh) VALUES ('R3,4,43,44','Pořízení zboží z jiného členského státu (§16; §17 odst.6 písm e); §19 odst.3) - v plné výši',\
        '3,4,43,44',0,1,0,'2011-01-01','2100-01-01',0,'A2')",
    "INSERT INTO dphdruh (zkratka,popis,radky,plneni,vydaj,nabizet,od,do,kraceny,kh) VALUES ('R3,4,43,44-K','Pořízení zboží z jiného členského státu (§16; §17 odst.6 písm e); §19 odst.3) - krácený odpočet',\
        '3,4,43,44',0,1,0,'2011-01-01','2100-01-01',1,'A2')",
    "INSERT INTO dphdruh (zkratka,popis,radky,plneni,vydaj,nabizet,od,do,kraceny,kh) VALUES ('R5,6','Přijetí služby s místem plnění podle §9 odst.1 od osoby registrované k dani v jiném členském státě',\
        '5,6',0,1,0,'2011-01-01','2100-01-01',0,'A2')",
    "INSERT INTO dphdruh (zkratka,popis,radky,plneni,vydaj,nabizet,od,do,kraceny,kh) VALUES ('R5,6,43,44','Přijetí služby s místem plnění podle §9 odst.1 od osoby registrované k dani v jiném členském státě - v plné výši',\
        '5,6,43,44',0,1,0,'2011-01-01','2100-01-01',0,'A2')",
    "INSERT INTO dphdruh (zkratka,popis,radky,plneni,vydaj,nabizet,od,do,kraceny,kh) VALUES ('R5,6,43,44-K','Přijetí služby s místem plnění podle §9 odst.1 od osoby registrované k dani v jiném členském státě - krácený odpočet',\
        '5,6,43,44',0,1,0,'2011-01-01','2100-01-01',1,'A2')",
    "INSERT INTO dphdruh (zkratka,popis,radky,plneni,vydaj,nabizet,od,do,kraceny) VALUES ('R7,8','Dovoz zboží (§23 odst.3 - 5)',\
        '7,8',0,1,0,'2011-01-01','2100-01-01',0)",
    "INSERT INTO dphdruh (zkratka,popis,radky,plneni,vydaj,nabizet,od,do,kraceny) VALUES ('R7,8,42','Dovoz zboží (§23 odst.3 - 5) - v plné výši',\
        '7,8,42',0,1,0,'2011-01-01','2100-01-01',0)",
    "INSERT INTO dphdruh (zkratka,popis,radky,plneni,vydaj,nabizet,od,do,kraceny) VALUES ('R7,8,42-K','Dovoz zboží (§23 odst.3 - 5) - krácený odpočet',\
        '7,8,42',0,1,0,'2011-01-01','2100-01-01',1)",
    "INSERT INTO dphdruh (zkratka,popis,radky,plneni,vydaj,nabizet,od,do,kraceny,kh) VALUES ('R9','Pořízení nového dopravního prostředku (§19 odst.4)',\
        '9',0,1,0,'2011-01-01','2100-01-01',0,'A2')",
    "INSERT INTO dphdruh (zkratka,popis,radky,plneni,vydaj,nabizet,od,do,kraceny,kh) VALUES ('R9,43,44','Pořízení nového dopravního prostředku (§19 odst.4) - v plné výši',\
        '9,43,44',0,1,0,'2011-01-01','2100-01-01',0,'A2')",
    "INSERT INTO dphdruh (zkratka,popis,radky,plneni,vydaj,nabizet,od,do,kraceny,kh) VALUES ('R9,43,44-K','Pořízení nového dopravního prostředku (§19 odst.4) - krácený odpočet',\
        '9,43,44',0,1,0,'2011-01-01','2100-01-01',1,'A2')",
    "INSERT INTO dphdruh (zkratka,popis,radky,plneni,vydaj,nabizet,od,do,kpp,kraceny,kh) VALUES ('R10,11-1','Režim přenesení daňové povinnosti (§92a) - odběratel zboží nebo příjemce služeb - Zlato',\
        '10,11',0,1,0,'2011-01-01','2100-01-01',1,0,'B1')",
    "INSERT INTO dphdruh (zkratka,popis,radky,plneni,vydaj,nabizet,od,do,kpp,kraceny,kh) VALUES ('R10,11,43,44-1','Režim přenesení daňové povinnosti (§92a) - odběratel zboží nebo příjemce služeb - Zlato - v plné výši',\
        '10,11,43,44',0,1,0,'2011-01-01','2100-01-01',1,0,'B1')",
    "INSERT INTO dphdruh (zkratka,popis,radky,plneni,vydaj,nabizet,od,do,kpp,kraceny,kh) VALUES ('R10,11,43,44-1-K','Režim přenesení daňové povinnosti (§92a) - odběratel zboží nebo příjemce služeb - Zlato - krácený odpočet',\
        '10,11,43,44',0,1,0,'2011-01-01','2100-01-01',1,1,'B1')",
    "INSERT INTO dphdruh (zkratka,popis,radky,plneni,vydaj,nabizet,od,do,kpp,kraceny,kh) VALUES ('R10,11-3','Režim přenesení daňové povinnosti (§92a) - odběratel zboží nebo příjemce služeb - Dodání nemovité věci',\
        '10,11',0,1,0,'2011-01-01','2100-01-01',3,0,'B1')",
    "INSERT INTO dphdruh (zkratka,popis,radky,plneni,vydaj,nabizet,od,do,kpp,kraceny,kh) VALUES ('R10,11,43,44-3','Režim přenesení daňové povinnosti (§92a) - odběratel zboží nebo příjemce služeb - Dodání nemovité věci - v plné výši',\
        '10,11,43,44',0,1,0,'2011-01-01','2100-01-01',3,0,'B1')",
    "INSERT INTO dphdruh (zkratka,popis,radky,plneni,vydaj,nabizet,od,do,kpp,kraceny,kh) VALUES ('R10,11,43,44-3-K','Režim přenesení daňové povinnosti (§92a) - odběratel zboží nebo příjemce služeb - Dodání nemovité věci - krácený odpočet',\
        '10,11,43,44',0,1,0,'2011-01-01','2100-01-01',3,1,'B1')",
    "INSERT INTO dphdruh (zkratka,popis,radky,plneni,vydaj,nabizet,od,do,kpp,kraceny,kh) VALUES ('R10,11-4','Režim přenesení daňové povinnosti (§92a) - odběratel zboží nebo příjemce služeb - Stavební a montážní práce',\
        '10,11',0,1,0,'2011-01-01','2100-01-01',4,0,'B1')",
    "INSERT INTO dphdruh (zkratka,popis,radky,plneni,vydaj,nabizet,od,do,kpp,kraceny,kh) VALUES ('R10,11,43,44-4','Režim přenesení daňové povinnosti (§92a) - odběratel zboží nebo příjemce služeb - Stavební a montážní práce - v plné výši',\
        '10,11,43,44',0,1,0,'2011-01-01','2100-01-01',4,0,'B1')",
    "INSERT INTO dphdruh (zkratka,popis,radky,plneni,vydaj,nabizet,od,do,kpp,kraceny,kh) VALUES ('R10,11,43,44-4-K','Režim přenesení daňové povinnosti (§92a) - odběratel zboží nebo příjemce služeb - Stavební a montážní práce - krácený odpočet',\
        '10,11,43,44',0,1,0,'2011-01-01','2100-01-01',4,1,'B1')",
    "INSERT INTO dphdruh (zkratka,popis,radky,plneni,vydaj,nabizet,od,do,kpp,kraceny,kh) VALUES ('R10,11-5','Režim přenesení daňové povinnosti (§92a) - odběratel zboží nebo příjemce služeb - Zboží uvedené v příloze č.5',\
        '10,11',0,1,0,'2011-01-01','2100-01-01',5,0,'B1')",
    "INSERT INTO dphdruh (zkratka,popis,radky,plneni,vydaj,nabizet,od,do,kpp,kraceny,kh) VALUES ('R10,11,43,44-5','Režim přenesení daňové povinnosti (§92a) - odběratel zboží nebo příjemce služeb - Zboží uvedené v příloze č.5 - v plné výši',\
        '10,11,43,44',0,1,0,'2011-01-01','2100-01-01',5,0,'B1')",
    "INSERT INTO dphdruh (zkratka,popis,radky,plneni,vydaj,nabizet,od,do,kpp,kraceny,kh) VALUES ('R10,11,43,44-5-K','Režim přenesení daňové povinnosti (§92a) - odběratel zboží nebo příjemce služeb - Zboží uvedené v příloze č.5 - krácený odpočet',\
        '10,11,43,44',0,1,0,'2011-01-01','2100-01-01',5,1,'B1')",
    "INSERT INTO dphdruh (zkratka,popis,radky,plneni,vydaj,nabizet,od,do,kpp,kraceny,kh) VALUES ('R10,11-11','Režim přenesení daňové povinnosti (§92a) - odběratel zboží nebo příjemce služeb - Povolenky na emise skleníkových plynů',\
        '10,11',0,1,0,'2011-01-01','2100-01-01',11,0,'B1')",
    "INSERT INTO dphdruh (zkratka,popis,radky,plneni,vydaj,nabizet,od,do,kpp,kraceny,kh) VALUES ('R10,11,43,44-11','Režim přenesení daňové povinnosti (§92a) - odběratel zboží nebo příjemce služeb - Povolenky na emise skleníkových plynů - v plné výši',\
        '10,11,43,44',0,1,0,'2011-01-01','2100-01-01',11,0,'B1')",
    "INSERT INTO dphdruh (zkratka,popis,radky,plneni,vydaj,nabizet,od,do,kpp,kraceny,kh) VALUES ('R10,11,43,44-11-K','Režim přenesení daňové povinnosti (§92a) - odběratel zboží nebo příjemce služeb - Povolenky na emise skleníkových plynů - krácený odpočet',\
        '10,11,43,44',0,1,0,'2011-01-01','2100-01-01',11,1,'B1')",
    "INSERT INTO dphdruh (zkratka,popis,radky,plneni,vydaj,nabizet,od,do,kpp,kraceny,kh) VALUES ('R10,11-12','Režim přenesení daňové povinnosti (§92a) - odběratel zboží nebo příjemce služeb - Obiloviny a technické plodiny',\
        '10,11',0,1,0,'2011-01-01','2100-01-01',12,0,'B1')",
    "INSERT INTO dphdruh (zkratka,popis,radky,plneni,vydaj,nabizet,od,do,kpp,kraceny,kh) VALUES ('R10,11,43,44-12','Režim přenesení daňové povinnosti (§92a) - odběratel zboží nebo příjemce služeb - Obiloviny a technické plodiny - v plné výši',\
        '10,11,43,44',0,1,0,'2011-01-01','2100-01-01',12,0,'B1')",
    "INSERT INTO dphdruh (zkratka,popis,radky,plneni,vydaj,nabizet,od,do,kpp,kraceny,kh) VALUES ('R10,11,43,44-12-K','Režim přenesení daňové povinnosti (§92a) - odběratel zboží nebo příjemce služeb - Obiloviny a technické plodiny - krácený odpočet',\
        '10,11,43,44',0,1,0,'2011-01-01','2100-01-01',12,1,'B1')",
    "INSERT INTO dphdruh (zkratka,popis,radky,plneni,vydaj,nabizet,od,do,kpp,kraceny,kh) VALUES ('R10,11-13','Režim přenesení daňové povinnosti (§92a) - odběratel zboží nebo příjemce služeb - Kovy',\
        '10,11',0,1,0,'2011-01-01','2100-01-01',13,0,'B1')",
    "INSERT INTO dphdruh (zkratka,popis,radky,plneni,vydaj,nabizet,od,do,kpp,kraceny,kh) VALUES ('R10,11,43,44-13','Režim přenesení daňové povinnosti (§92a) - odběratel zboží nebo příjemce služeb - Kovy - v plné výši',\
        '10,11,43,44',0,1,0,'2011-01-01','2100-01-01',13,0,'B1')",
    "INSERT INTO dphdruh (zkratka,popis,radky,plneni,vydaj,nabizet,od,do,kpp,kraceny,kh) VALUES ('R10,11,43,44-13-K','Režim přenesení daňové povinnosti (§92a) - odběratel zboží nebo příjemce služeb - Kovy - krácený odpočet',\
        '10,11,43,44',0,1,0,'2011-01-01','2100-01-01',13,1,'B1')",
    "INSERT INTO dphdruh (zkratka,popis,radky,plneni,vydaj,nabizet,od,do,kpp,kraceny,kh) VALUES ('R10,11-14','Režim přenesení daňové povinnosti (§92a) - odběratel zboží nebo příjemce služeb - Mobilní telefony',\
        '10,11',0,1,0,'2011-01-01','2100-01-01',14,0,'B1')",
    "INSERT INTO dphdruh (zkratka,popis,radky,plneni,vydaj,nabizet,od,do,kpp,kraceny,kh) VALUES ('R10,11,43,44-14','Režim přenesení daňové povinnosti (§92a) - odběratel zboží nebo příjemce služeb - Mobilní telefony - v plné výši',\
        '10,11,43,44',0,1,0,'2011-01-01','2100-01-01',14,0,'B1')",
    "INSERT INTO dphdruh (zkratka,popis,radky,plneni,vydaj,nabizet,od,do,kpp,kraceny,kh) VALUES ('R10,11,43,44-14-K','Režim přenesení daňové povinnosti (§92a) - odběratel zboží nebo příjemce služeb - Mobilní telefony - krácený odpočet',\
        '10,11,43,44',0,1,0,'2011-01-01','2100-01-01',14,1,'B1')",
    "INSERT INTO dphdruh (zkratka,popis,radky,plneni,vydaj,nabizet,od,do,kpp,kraceny,kh) VALUES ('R10,11-15','Režim přenesení daňové povinnosti (§92a) - odběratel zboží nebo příjemce služeb - Integrované obvody',\
        '10,11',0,1,0,'2011-01-01','2100-01-01',15,0,'B1')",
    "INSERT INTO dphdruh (zkratka,popis,radky,plneni,vydaj,nabizet,od,do,kpp,kraceny,kh) VALUES ('R10,11,43,44-15','Režim přenesení daňové povinnosti (§92a) - odběratel zboží nebo příjemce služeb - Integrované obvody - v plné výši',\
        '10,11,43,44',0,1,0,'2011-01-01','2100-01-01',15,0,'B1')",
    "INSERT INTO dphdruh (zkratka,popis,radky,plneni,vydaj,nabizet,od,do,kpp,kraceny,kh) VALUES ('R10,11,43,44-15-K','Režim přenesení daňové povinnosti (§92a) - odběratel zboží nebo příjemce služeb - Integrované obvody - krácený odpočet',\
        '10,11,43,44',0,1,0,'2011-01-01','2100-01-01',15,1,'B1')",
    "INSERT INTO dphdruh (zkratka,popis,radky,plneni,vydaj,nabizet,od,do,kpp,kraceny,kh) VALUES ('R10,11-16','Režim přenesení daňové povinnosti (§92a) - odběratel zboží nebo příjemce služeb - Přenosná zařízení pro automatizované zpracování dat',\
        '10,11',0,1,0,'2011-01-01','2100-01-01',16,0,'B1')",
    "INSERT INTO dphdruh (zkratka,popis,radky,plneni,vydaj,nabizet,od,do,kpp,kraceny,kh) VALUES ('R10,11,43,44-16','Režim přenesení daňové povinnosti (§92a) - odběratel zboží nebo příjemce služeb - Přenosná zařízení pro automatizované zpracování dat - v plné výši',\
        '10,11,43,44',0,1,0,'2011-01-01','2100-01-01',16,0,'B1')",
    "INSERT INTO dphdruh (zkratka,popis,radky,plneni,vydaj,nabizet,od,do,kpp,kraceny,kh) VALUES ('R10,11,43,44-16-K','Režim přenesení daňové povinnosti (§92a) - odběratel zboží nebo příjemce služeb - Přenosná zařízení pro automatizované zpracování dat - krácený odpočet',\
        '10,11,43,44',0,1,0,'2011-01-01','2100-01-01',16,1,'B1')",
    "INSERT INTO dphdruh (zkratka,popis,radky,plneni,vydaj,nabizet,od,do,kpp,kraceny,kh) VALUES ('R10,11-17','Režim přenesení daňové povinnosti (§92a) - odběratel zboží nebo příjemce služeb - Videoherní konzole',\
        '10,11',0,1,0,'2011-01-01','2100-01-01',17,0,'B1')",
    "INSERT INTO dphdruh (zkratka,popis,radky,plneni,vydaj,nabizet,od,do,kpp,kraceny,kh) VALUES ('R10,11,43,44-17','Režim přenesení daňové povinnosti (§92a) - odběratel zboží nebo příjemce služeb - Videoherní konzole - v plné výši',\
        '10,11,43,44',0,1,0,'2011-01-01','2100-01-01',17,0,'B1')",
    "INSERT INTO dphdruh (zkratka,popis,radky,plneni,vydaj,nabizet,od,do,kpp,kraceny,kh) VALUES ('R10,11,43,44-17-K','Režim přenesení daňové povinnosti (§92a) - odběratel zboží nebo příjemce služeb - Videoherní konzole - krácený odpočet',\
        '10,11,43,44',0,1,0,'2011-01-01','2100-01-01',17,1,'B1')",
    "INSERT INTO dphdruh (zkratka,popis,radky,plneni,vydaj,nabizet,od,do,kraceny,kh) VALUES ('R12,13','Ostatní zdanitelná plnění, u kterých je povinen přiznat daň plátce při jejich přijetí (§108)',\
        '12,13',0,1,0,'2011-01-01','2100-01-01',0,'A2')",
    "INSERT INTO dphdruh (zkratka,popis,radky,plneni,vydaj,nabizet,od,do,kraceny,kh) VALUES ('R12,13,43,44','Ostatní zdanitelná plnění, u kterých je povinen přiznat daň plátce při jejich přijetí (§108) - v plné výši',\
        '12,13,43,44',0,1,0,'2011-01-01','2100-01-01',0,'A2')",
    "INSERT INTO dphdruh (zkratka,popis,radky,plneni,vydaj,nabizet,od,do,kraceny,kh) VALUES ('R12,13,43,44-K','Ostatní zdanitelná plnění, u kterých je povinen přiznat daň plátce při jejich přijetí (§108) - krácený odpočet',\
        '12,13,43,44',0,1,0,'2011-01-01','2100-01-01',1,'A2')",
    "INSERT INTO dphdruh (zkratka,popis,radky,plneni,vydaj,nabizet,od,do,kraceny) VALUES ('R20','Dodání zboží do jiného členského státu (§64)',\
        '20',0,0,0,'2011-01-01','2100-01-01',0)",
    "INSERT INTO dphdruh (zkratka,popis,radky,plneni,vydaj,nabizet,od,do,kraceny) VALUES ('R21','Poskytnutí služeb s místem plnění v jiném členském státě vymezených v §102 odst.1 písm.d) a odst.2',\
        '21',0,0,0,'2011-01-01','2100-01-01',0)",
    "INSERT INTO dphdruh (zkratka,popis,radky,plneni,vydaj,nabizet,od,do,kraceny) VALUES ('R22','Vývoz zboží (§66)',\
        '22',0,0,0,'2011-01-01','2100-01-01',0)",
    "INSERT INTO dphdruh (zkratka,popis,radky,plneni,vydaj,nabizet,od,do,kraceny) VALUES ('R23','Dodání nového dopravního prostředku osobě neregistrované k dani v jiném členském státě (§19 odst.4)',\
        '23',0,0,0,'2011-01-01','2100-01-01',0)",
    "INSERT INTO dphdruh (zkratka,popis,radky,plneni,vydaj,nabizet,od,do,kraceny) VALUES ('R24','Zasílání zboží do jiného členského státu (§8)',\
        '24',0,0,0,'2011-01-01','2021-09-30',0)",
    "INSERT INTO dphdruh (zkratka,popis,radky,plneni,vydaj,nabizet,od,do,kraceny) VALUES ('R24','Vybraná plnění (§ 110b odst. 2)',\
        '24',0,0,0,'2021-10-01','2100-01-01',0)",
    "INSERT INTO dphdruh (zkratka,popis,radky,plneni,vydaj,nabizet,od,do,kpp,kraceny,kh) VALUES ('R25-1','Režim přenesení daňové povinnosti (§92a) - dodavatel zboží nebo poskytovatel služeb - Zlato',\
        '25',0,0,0,'2011-01-01','2100-01-01',1,0,'A1')",
    "INSERT INTO dphdruh (zkratka,popis,radky,plneni,vydaj,nabizet,od,do,kpp,kraceny,kh) VALUES ('R25-3','Režim přenesení daňové povinnosti (§92a) - dodavatel zboží nebo poskytovatel služeb - Dodání nemovité věci',\
        '25',0,0,0,'2011-01-01','2100-01-01',3,0,'A1')",
    "INSERT INTO dphdruh (zkratka,popis,radky,plneni,vydaj,nabizet,od,do,kpp,kraceny,kh) VALUES ('R25-4','Režim přenesení daňové povinnosti (§92a) - dodavatel zboží nebo poskytovatel služeb - Stavební a montážní práce',\
        '25',0,0,0,'2011-01-01','2100-01-01',4,0,'A1')",
    "INSERT INTO dphdruh (zkratka,popis,radky,plneni,vydaj,nabizet,od,do,kpp,kraceny,kh) VALUES ('R25-5','Režim přenesení daňové povinnosti (§92a) - dodavatel zboží nebo poskytovatel služeb - Zboží uvedené v příloze č.5',\
        '25',0,0,0,'2011-01-01','2100-01-01',5,0,'A1')",
    "INSERT INTO dphdruh (zkratka,popis,radky,plneni,vydaj,nabizet,od,do,kpp,kraceny,kh) VALUES ('R25-11','Režim přenesení daňové povinnosti (§92a) - dodavatel zboží nebo poskytovatel služeb - Povolenky na emise skleníkových plynů',\
        '25',0,0,0,'2011-01-01','2100-01-01',11,0,'A1')",
    "INSERT INTO dphdruh (zkratka,popis,radky,plneni,vydaj,nabizet,od,do,kpp,kraceny,kh) VALUES ('R25-12','Režim přenesení daňové povinnosti (§92a) - dodavatel zboží nebo poskytovatel služeb - Obiloviny a technické plodiny',\
        '25',0,0,0,'2011-01-01','2100-01-01',12,0,'A1')",
    "INSERT INTO dphdruh (zkratka,popis,radky,plneni,vydaj,nabizet,od,do,kpp,kraceny,kh) VALUES ('R25-13','Režim přenesení daňové povinnosti (§92a) - dodavatel zboží nebo poskytovatel služeb - Kovy',\
        '25',0,0,0,'2011-01-01','2100-01-01',13,0,'A1')",
    "INSERT INTO dphdruh (zkratka,popis,radky,plneni,vydaj,nabizet,od,do,kpp,kraceny,kh) VALUES ('R25-14','Režim přenesení daňové povinnosti (§92a) - dodavatel zboží nebo poskytovatel služeb - Mobilní telefony',\
        '25',0,0,0,'2011-01-01','2100-01-01',14,0,'A1')",
    "INSERT INTO dphdruh (zkratka,popis,radky,plneni,vydaj,nabizet,od,do,kpp,kraceny,kh) VALUES ('R25-15','Režim přenesení daňové povinnosti (§92a) - dodavatel zboží nebo poskytovatel služeb - Integrované obvody',\
        '25',0,0,0,'2011-01-01','2100-01-01',15,0,'A1')",
    "INSERT INTO dphdruh (zkratka,popis,radky,plneni,vydaj,nabizet,od,do,kpp,kraceny,kh) VALUES ('R25-16','Režim přenesení daňové povinnosti (§92a) - dodavatel zboží nebo poskytovatel služeb - Přenosná zařízení pro automatizované zpracování dat',\
        '25',0,0,0,'2011-01-01','2100-01-01',16,0,'A1')",
    "INSERT INTO dphdruh (zkratka,popis,radky,plneni,vydaj,nabizet,od,do,kpp,kraceny,kh) VALUES ('R25-17','Režim přenesení daňové povinnosti (§92a) - dodavatel zboží nebo poskytovatel služeb - Videoherní konzole',\
        '25',0,0,0,'2011-01-01','2100-01-01',17,0,'A1')",
    "INSERT INTO dphdruh (zkratka,popis,radky,plneni,vydaj,nabizet,od,do,kraceny) VALUES ('R26','Ostatní uskutečněná plnění s nárokem na odpočet daně (např. §24a, §67, §68, §69, §70, §89, §90, §92)',\
        '26',0,0,0,'2011-01-01','2100-01-01',0)",
    "INSERT INTO dphdruh (zkratka,popis,radky,plneni,vydaj,nabizet,od,do,kraceny,kh) VALUES ('R26-Z','Ostatní uskutečněná plnění s nárokem na odpočet daně (např. §24a, §67, §68, §69, §70, §89, §90, §92) - Invetiční zlato',\
        '26',0,0,0,'2011-01-01','2100-01-01',0,'A3')",
    "INSERT INTO dphdruh (zkratka,popis,radky,plneni,vydaj,nabizet,od,do,kraceny) VALUES ('R30','Zjednodušený postup při dodání zboží formou třístranného obchodu (§17) prostřední osobou - Pořízení zboží',\
        '30',1,1,0,'2011-01-01','2100-01-01',0)",
    "INSERT INTO dphdruh (zkratka,popis,radky,plneni,vydaj,nabizet,od,do,kraceny) VALUES ('R31','Zjednodušený postup při dodání zboží formou třístranného obchodu (§17) prostřední osobou - Dodání zboží',\
        '31',0,0,0,'2011-01-01','2100-01-01',0)",
    "INSERT INTO dphdruh (zkratka,popis,radky,plneni,vydaj,nabizet,od,do,kraceny) VALUES ('R32','Dovoz zboží osvobozený podle §71g',\
        '32',1,1,0,'2011-01-01','2100-01-01',0)",
    "INSERT INTO dphdruh (zkratka,popis,radky,plneni,vydaj,nabizet,od,do,kraceny) VALUES ('R33','Oprava výše daně u pohledávek za dlužníky v insolvenčním řízení (§44) - Věřitel',\
        '33',0,0,0,'2011-01-01','2100-01-01',0)",
    "INSERT INTO dphdruh (zkratka,popis,radky,plneni,vydaj,nabizet,od,do,kraceny) VALUES ('R34','Oprava výše daně u pohledávek za dlužníky v insolvenčním řízení (§44) - Dlužník',\
        '34',1,1,0,'2011-01-01','2100-01-01',0)",
    "INSERT INTO dphdruh (zkratka,popis,radky,plneni,vydaj,nabizet,od,do,kraceny,kh) VALUES ('R40,41','Z přijatých zdanitelných plnění od plátců',\
        '40,41',1,1,1,'2011-01-01','2100-01-01',0,'B2,B3')",
    "INSERT INTO dphdruh (zkratka,popis,radky,plneni,vydaj,nabizet,od,do,kraceny,kh) VALUES ('R40,41-K','Z přijatých zdanitelných plnění od plátců - krácený odpočet',\
        '40,41',1,1,1,'2011-01-01','2100-01-01',1,'B2,B3')",
    "INSERT INTO dphdruh (zkratka,popis,radky,plneni,vydaj,nabizet,od,do,kraceny,kh) VALUES ('R40,41,47','Hodnota pořízeného majetku (§4 odst.3  písm.d,e)',\
        '40,41,47',1,1,0,'2011-01-01','2100-01-01',0,'B2,B3')",
    "INSERT INTO dphdruh (zkratka,popis,radky,plneni,vydaj,nabizet,od,do,kraceny,kh) VALUES ('R40,41,47-K','Hodnota pořízeného majetku (§4 odst.3  písm.d,e) - krácený odpočet',\
        '40,41,47',1,1,0,'2011-01-01','2100-01-01',1,'B2,B3')",
    "INSERT INTO dphdruh (zkratka,popis,radky,plneni,vydaj,nabizet,od,do,kraceny) VALUES ('R50','Plnění osvobozená od daně bez nároku na odpočet daně',\
        '50',0,0,0,'2011-01-01','2100-01-01',0)",
    "INSERT INTO dphdruh (zkratka,popis,radky,plneni,vydaj,nabizet,od,do,kraceny) VALUES ('R61','Vrácení daně (§84)',\
        '61',1,1,0,'2011-01-01','2100-01-01',0)",
    "INSERT INTO dphdruh (zkratka,popis,radky,plneni,vydaj,nabizet,od,do,kraceny) VALUES ('R0P','Bez vlivu na DPH - na vstupu',\
        '0',1,1,1,'2011-01-01','2100-01-01',0)",
    "INSERT INTO dphdruh (zkratka,popis,radky,plneni,vydaj,nabizet,od,do,kraceny) VALUES ('R0P','Bez vlivu na DPH - na výstupu',\
        '0',0,0,1,'2011-01-01','2100-01-01',0)",
    "INSERT INTO dphdruh (zkratka,popis,radky,plneni,vydaj,nabizet,od,do,kpp,kraceny,kh) VALUES ('R10,11-18','Režim přenesení daňové povinnosti (§92a) - odběratel zboží nebo příjemce služeb - Dodání certifikátů elektřiny',\
        '10,11',0,1,0,'2016-02-01','2100-01-01',18,0,'B1')",
    "INSERT INTO dphdruh (zkratka,popis,radky,plneni,vydaj,nabizet,od,do,kpp,kraceny,kh) VALUES ('R10,11,43,44-18','Režim přenesení daňové povinnosti (§92a) - odběratel zboží nebo příjemce služeb - Dodání certifikátů elektřiny - v plné výši',\
        '10,11,43,44',0,1,0,'2016-02-01','2100-01-01',18,0,'B1')",
    "INSERT INTO dphdruh (zkratka,popis,radky,plneni,vydaj,nabizet,od,do,kpp,kraceny,kh) VALUES ('R10,11,43,44-18-K','Režim přenesení daňové povinnosti (§92a) - odběratel zboží nebo příjemce služeb - Dodání certifikátů elektřiny - krácený odpočet',\
        '10,11,43,44',0,1,0,'2016-02-01','2100-01-01',18,1,'B1')",
    "INSERT INTO dphdruh (zkratka,popis,radky,plneni,vydaj,nabizet,od,do,kpp,kraceny,kh) VALUES ('R10,11-19','Režim přenesení daňové povinnosti (§92a) - odběratel zboží nebo příjemce služeb - Dodání elektřiny soustavami nebo sítěmi obchodníkovi',\
        '10,11',0,1,0,'2016-02-01','2100-01-01',19,0,'B1')",
    "INSERT INTO dphdruh (zkratka,popis,radky,plneni,vydaj,nabizet,od,do,kpp,kraceny,kh) VALUES ('R10,11,43,44-19','Režim přenesení daňové povinnosti (§92a) - odběratel zboží nebo příjemce služeb - Dodání elektřiny soustavami nebo sítěmi obchodníkovi - v plné výši',\
        '10,11,43,44',0,1,0,'2016-02-01','2100-01-01',19,0,'B1')",
    "INSERT INTO dphdruh (zkratka,popis,radky,plneni,vydaj,nabizet,od,do,kpp,kraceny,kh) VALUES ('R10,11,43,44-19-K','Režim přenesení daňové povinnosti (§92a) - odběratel zboží nebo příjemce služeb - Dodání elektřiny soustavami nebo sítěmi obchodníkovi - krácený odpočet',\
        '10,11,43,44',0,1,0,'2016-02-01','2100-01-01',19,1,'B1')",
    "INSERT INTO dphdruh (zkratka,popis,radky,plneni,vydaj,nabizet,od,do,kpp,kraceny,kh) VALUES ('R10,11-20','Režim přenesení daňové povinnosti (§92a) - odběratel zboží nebo příjemce služeb - Dodání plynu soustavami nebo sítěmi obchodníkovi',\
        '10,11',0,1,0,'2016-02-01','2100-01-01',20,0,'B1')",
    "INSERT INTO dphdruh (zkratka,popis,radky,plneni,vydaj,nabizet,od,do,kpp,kraceny,kh) VALUES ('R10,11,43,44-20','Režim přenesení daňové povinnosti (§92a) - odběratel zboží nebo příjemce služeb - Dodání plynu soustavami nebo sítěmi obchodníkovi - v plné výši',\
        '10,11,43,44',0,1,0,'2016-02-01','2100-01-01',20,0,'B1')",
    "INSERT INTO dphdruh (zkratka,popis,radky,plneni,vydaj,nabizet,od,do,kpp,kraceny,kh) VALUES ('R10,11,43,44-20-K','Režim přenesení daňové povinnosti (§92a) - odběratel zboží nebo příjemce služeb - Dodání plynu soustavami nebo sítěmi obchodníkovi - krácený odpočet',\
        '10,11,43,44',0,1,0,'2016-02-01','2100-01-01',20,1,'B1')",
    "INSERT INTO dphdruh (zkratka,popis,radky,plneni,vydaj,nabizet,od,do,kpp,kraceny,kh) VALUES ('R25-18','Režim přenesení daňové povinnosti (§92a) - dodavatel zboží nebo poskytovatel služeb - Dodání certifikátů elektřiny',\
        '25',0,0,0,'2016-02-01','2100-01-01',18,0,'A1')",
    "INSERT INTO dphdruh (zkratka,popis,radky,plneni,vydaj,nabizet,od,do,kpp,kraceny,kh) VALUES ('R25-19','Režim přenesení daňové povinnosti (§92a) - dodavatel zboží nebo poskytovatel služeb - Dodání elektřiny soustavami nebo sítěmi obchodníkovi',\
        '25',0,0,0,'2016-02-01','2100-01-01',19,0,'A1')",
    "INSERT INTO dphdruh (zkratka,popis,radky,plneni,vydaj,nabizet,od,do,kpp,kraceny,kh) VALUES ('R25-20','Režim přenesení daňové povinnosti (§92a) - dodavatel zboží nebo poskytovatel služeb - Dodání plynu soustavami nebo sítěmi obchodníkovi',\
        '25',0,0,0,'2016-02-01','2100-01-01',20,0,'A1')",
    "INSERT INTO dphdruh (zkratka,popis,radky,plneni,vydaj,nabizet,od,do,kraceny,kh,krp) VALUES ('R1,2-C','Dodání zboží nebo poskytnutí služby s místem plnění v tuzemsku (např. §13, §14, §8) - Zvláštní režim pro cestovní službu',\
        '1,2',0,0,0,'2016-01-01','2100-01-01',0,'A4,A5',1)",
    "INSERT INTO dphdruh (zkratka,popis,radky,plneni,vydaj,nabizet,od,do,kraceny,kh,krp) VALUES ('R1,2-P','Dodání zboží nebo poskytnutí služby s místem plnění v tuzemsku (např. §13, §14, §8) - Zvláštní režim pro použité zboží',\
        '1,2',0,0,0,'2016-01-01','2100-01-01',0,'A4,A5',2)",
    "INSERT INTO dphdruh (zkratka,popis,radky,plneni,vydaj,nabizet,od,do,kpp,kraceny,kh) VALUES ('R10,11-21','Režim přenesení daňové povinnosti (§92a) - odběratel zboží nebo příjemce služeb - Poskytnutí vymezených služeb elektronických komunikací',\
        '10,11',0,1,0,'2016-10-01','2100-01-01',21,0,'B1')",
    "INSERT INTO dphdruh (zkratka,popis,radky,plneni,vydaj,nabizet,od,do,kpp,kraceny,kh) VALUES ('R10,11,43,44-21','Režim přenesení daňové povinnosti (§92a) - odběratel zboží nebo příjemce služeb - Poskytnutí vymezených služeb elektronických komunikací - v plné výši',\
        '10,11,43,44',0,1,0,'2016-10-01','2100-01-01',21,0,'B1')",
    "INSERT INTO dphdruh (zkratka,popis,radky,plneni,vydaj,nabizet,od,do,kpp,kraceny,kh) VALUES ('R10,11,43,44-21-K','Režim přenesení daňové povinnosti (§92a) - odběratel zboží nebo příjemce služeb - Poskytnutí vymezených služeb elektronických komunikací - krácený odpočet',\
        '10,11,43,44',0,1,0,'2016-10-01','2100-01-01',21,1,'B1')",
    "INSERT INTO dphdruh (zkratka,popis,radky,plneni,vydaj,nabizet,od,do,kpp,kraceny,kh) VALUES ('R25-21','Režim přenesení daňové povinnosti (§92a) - dodavatel zboží nebo poskytovatel služeb - Poskytnutí vymezených služeb elektronických komunikací',\
        '25',0,0,0,'2016-10-01','2100-01-01',21,0,'A1')",
    "INSERT INTO dphdruh (zkratka,popis,radky,plneni,vydaj,nabizet,od,do,kpp,kraceny,kh) VALUES ('R10,11-1a','Režim přenesení daňové povinnosti (§92a) - odběratel zboží nebo příjemce služeb - Zlato – zprostředkování dodání investičního zlata',\
        '10,11',0,1,0,'2017-07-01','2100-01-01','1a',0,'B1')",
    "INSERT INTO dphdruh (zkratka,popis,radky,plneni,vydaj,nabizet,od,do,kpp,kraceny,kh) VALUES ('R10,11,43,44-1a','Režim přenesení daňové povinnosti (§92a) - odběratel zboží nebo příjemce služeb - Zlato – zprostředkování dodání investičního zlata - v plné výši',\
        '10,11,43,44',0,1,0,'2017-07-01','2100-01-01','1a',0,'B1')",
    "INSERT INTO dphdruh (zkratka,popis,radky,plneni,vydaj,nabizet,od,do,kpp,kraceny,kh) VALUES ('R10,11,43,44-1a-K','Režim přenesení daňové povinnosti (§92a) - odběratel zboží nebo příjemce služeb - Zlato – zprostředkování dodání investičního zlata - krácený odpočet',\
        '10,11,43,44',0,1,0,'2017-07-01','2100-01-01','1a',1,'B1')",
    "INSERT INTO dphdruh (zkratka,popis,radky,plneni,vydaj,nabizet,od,do,kpp,kraceny,kh) VALUES ('R25-1a','Režim přenesení daňové povinnosti (§92a) - dodavatel zboží nebo poskytovatel služeb - Zlato – zprostředkování dodání investičního zlata',\
        '25',0,0,0,'2017-07-01','2100-01-01','1a',0,'A1')",
    "INSERT INTO dphdruh (zkratka,popis,radky,plneni,vydaj,nabizet,od,do,kpp,kraceny,kh) VALUES ('R10,11-3a','Režim přenesení daňové povinnosti (§92a) - odběratel zboží nebo příjemce služeb - Dodání nemovité věci v nuceném prodeji',\
        '10,11',0,1,0,'2017-07-01','2100-01-01','3a',0,'B1')",
    "INSERT INTO dphdruh (zkratka,popis,radky,plneni,vydaj,nabizet,od,do,kpp,kraceny,kh) VALUES ('R10,11,43,44-3a','Režim přenesení daňové povinnosti (§92a) - odběratel zboží nebo příjemce služeb - Dodání nemovité věci v nuceném prodeji - v plné výši',\
        '10,11,43,44',0,1,0,'2017-07-01','2100-01-01','3a',0,'B1')",
    "INSERT INTO dphdruh (zkratka,popis,radky,plneni,vydaj,nabizet,od,do,kpp,kraceny,kh) VALUES ('R10,11,43,44-3a-K','Režim přenesení daňové povinnosti (§92a) - odběratel zboží nebo příjemce služeb - Dodání nemovité věci v nuceném prodeji - krácený odpočet',\
        '10,11,43,44',0,1,0,'2017-07-01','2100-01-01','3a',1,'B1')",
    "INSERT INTO dphdruh (zkratka,popis,radky,plneni,vydaj,nabizet,od,do,kpp,kraceny,kh) VALUES ('R25-3a','Režim přenesení daňové povinnosti (§92a) - dodavatel zboží nebo poskytovatel služeb - Dodání nemovité věci v nuceném prodeji',\
        '25',0,0,0,'2017-07-01','2100-01-01','3a',0,'A1')",
    "INSERT INTO dphdruh (zkratka,popis,radky,plneni,vydaj,nabizet,od,do,kpp,kraceny,kh) VALUES ('R10,11-4a','Režim přenesení daňové povinnosti (§92a) - odběratel zboží nebo příjemce služeb - Stavební a montážní práce – poskytnutí pracovníků',\
        '10,11',0,1,0,'2017-07-01','2100-01-01','4a',0,'B1')",
    "INSERT INTO dphdruh (zkratka,popis,radky,plneni,vydaj,nabizet,od,do,kpp,kraceny,kh) VALUES ('R10,11,43,44-4a','Režim přenesení daňové povinnosti (§92a) - odběratel zboží nebo příjemce služeb - Stavební a montážní práce – poskytnutí pracovníků - v plné výši',\
        '10,11,43,44',0,1,0,'2017-07-01','2100-01-01','4a',0,'B1')",
    "INSERT INTO dphdruh (zkratka,popis,radky,plneni,vydaj,nabizet,od,do,kpp,kraceny,kh) VALUES ('R10,11,43,44-4a-K','Režim přenesení daňové povinnosti (§92a) - odběratel zboží nebo příjemce služeb - Stavební a montážní práce – poskytnutí pracovníků - krácený odpočet',\
        '10,11,43,44',0,1,0,'2017-07-01','2100-01-01','4a',1,'B1')",
    "INSERT INTO dphdruh (zkratka,popis,radky,plneni,vydaj,nabizet,od,do,kpp,kraceny,kh) VALUES ('R25-4a','Režim přenesení daňové povinnosti (§92a) - dodavatel zboží nebo poskytovatel služeb - Stavební a montážní práce – poskytnutí pracovníků',\
        '25',0,0,0,'2017-07-01','2100-01-01','4a',0,'A1')",
    "INSERT INTO dphdruh (zkratka,popis,radky,plneni,vydaj,nabizet,od,do,kpp,kraceny,kh) VALUES ('R10,11-6','Režim přenesení daňové povinnosti (§92a) - odběratel zboží nebo příjemce služeb - Dodání zboží poskytnutého původně jako záruka',\
        '10,11',0,1,0,'2017-07-01','2100-01-01','6',0,'B1')",
    "INSERT INTO dphdruh (zkratka,popis,radky,plneni,vydaj,nabizet,od,do,kpp,kraceny,kh) VALUES ('R10,11,43,44-6','Režim přenesení daňové povinnosti (§92a) - odběratel zboží nebo příjemce služeb - Dodání zboží poskytnutého původně jako záruka - v plné výši',\
        '10,11,43,44',0,1,0,'2017-07-01','2100-01-01','6',0,'B1')",
    "INSERT INTO dphdruh (zkratka,popis,radky,plneni,vydaj,nabizet,od,do,kpp,kraceny,kh) VALUES ('R10,11,43,44-6-K','Režim přenesení daňové povinnosti (§92a) - odběratel zboží nebo příjemce služeb - Dodání zboží poskytnutého původně jako záruka',\
        '10,11,43,44',0,1,0,'2017-07-01','2100-01-01','6',1,'B1')",
    "INSERT INTO dphdruh (zkratka,popis,radky,plneni,vydaj,nabizet,od,do,kpp,kraceny,kh) VALUES ('R25-6','Režim přenesení daňové povinnosti (§92a) - dodavatel zboží nebo poskytovatel služeb - Dodání zboží poskytnutého původně jako záruka',\
        '25',0,0,0,'2017-07-01','2100-01-01','6',0,'A1')",
    "INSERT INTO dphdruh (zkratka,popis,radky,plneni,vydaj,nabizet,od,do,kpp,kraceny,kh) VALUES ('R10,11-7','Režim přenesení daňové povinnosti (§92a) - odběratel zboží nebo příjemce služeb - Dodání zboží po postoupení výhrady vlastnictví',\
        '10,11',0,1,0,'2017-07-01','2100-01-01','7',0,'B1')",
    "INSERT INTO dphdruh (zkratka,popis,radky,plneni,vydaj,nabizet,od,do,kpp,kraceny,kh) VALUES ('R10,11,43,44-7','Režim přenesení daňové povinnosti (§92a) - odběratel zboží nebo příjemce služeb - Dodání zboží po postoupení výhrady vlastnictví',\
        '10,11,43,44',0,1,0,'2017-07-01','2100-01-01','7',0,'B1')",
    "INSERT INTO dphdruh (zkratka,popis,radky,plneni,vydaj,nabizet,od,do,kpp,kraceny,kh) VALUES ('R10,11,43,44-7-K','Režim přenesení daňové povinnosti (§92a) - odběratel zboží nebo příjemce služeb - Dodání zboží po postoupení výhrady vlastnictví',\
        '10,11,43,44',0,1,0,'2017-07-01','2100-01-01','7',1,'B1')",
    "INSERT INTO dphdruh (zkratka,popis,radky,plneni,vydaj,nabizet,od,do,kpp,kraceny,kh) VALUES ('R25-7','Režim přenesení daňové povinnosti (§92a) - dodavatel zboží nebo poskytovatel služeb - Dodání zboží po postoupení výhrady vlastnictví',\
        '25',0,0,0,'2017-07-01','2100-01-01','7',0,'A1')",
    NULL
};

static const char * sqlite_tb_mena[] = {
    //tabulka men
    "CREATE TABLE mena (id INTEGER PRIMARY KEY AUTOINCREMENT, kod TEXT NOT NULL, nazev TEXT, od TEXT, do TEXT)",
    "INSERT INTO mena (id,kod,nazev,od,do) VALUES (1,'CZK','Česká koruna','2005-01-01','2100-12-31')",
    "INSERT INTO mena (id,kod,nazev,od,do) VALUES (2,'EUR','Euro','2005-01-01','2100-12-31')",
    "INSERT INTO mena (id,kod,nazev,od,do) VALUES (3,'USD','Americký dolar','2005-01-01','2100-12-31')",
    "INSERT INTO mena (id,kod,nazev,od,do) VALUES (4,'AUD','Australský dolar','2005-01-01','2100-12-31')",
    "INSERT INTO mena (id,kod,nazev,od,do) VALUES (5,'BRL','Brazilský real','2008-01-01','2100-12-31')",
    "INSERT INTO mena (id,kod,nazev,od,do) VALUES (6,'BGN','Bulharské leva','2005-01-01','2100-12-31')",
    "INSERT INTO mena (id,kod,nazev,od,do) VALUES (7,'CNY','Čínské renminbi','2005-01-01','2100-12-31')",
    "INSERT INTO mena (id,kod,nazev,od,do) VALUES (8,'DKK','Dánská koruna','2005-01-01','2100-12-31')",
    "INSERT INTO mena (id,kod,nazev,od,do) VALUES (9,'PHP','Filipínské peso','2005-01-01','2100-12-31')",
    "INSERT INTO mena (id,kod,nazev,od,do) VALUES (10,'HKD','Hongkongský dolar','2005-01-01','2100-12-31')",
    "INSERT INTO mena (id,kod,nazev,od,do) VALUES (11,'HRK','Chorvatská kuna','2005-01-01','2100-12-31')",
    "INSERT INTO mena (id,kod,nazev,od,do) VALUES (12,'INR','Indická rupie','2009-01-01','2100-12-31')",
    "INSERT INTO mena (id,kod,nazev,od,do) VALUES (13,'IDR','Indonéská rupie','2005-01-01','2100-12-31')",
    "INSERT INTO mena (id,kod,nazev,od,do) VALUES (14,'ILS','Izraelský šekel','2011-01-01','2100-12-31')",
    "INSERT INTO mena (id,kod,nazev,od,do) VALUES (15,'JPY','Japonský jen','2005-01-01','2100-12-31')",
    "INSERT INTO mena (id,kod,nazev,od,do) VALUES (16,'ZAR','Jihoafrický rand','2005-01-01','2100-12-31')",
    "INSERT INTO mena (id,kod,nazev,od,do) VALUES (17,'KRW','Jihokorejský won','2005-01-01','2100-12-31')",
    "INSERT INTO mena (id,kod,nazev,od,do) VALUES (18,'CAD','Kanadský dolar','2005-01-01','2100-12-31')",
    "INSERT INTO mena (id,kod,nazev,od,do) VALUES (19,'LTL','Litevský litas','2005-01-01','2014-12-31')",
    "INSERT INTO mena (id,kod,nazev,od,do) VALUES (20,'HUF','Maďarský forint','2005-01-01','2100-12-31')",
    "INSERT INTO mena (id,kod,nazev,od,do) VALUES (21,'MYR','Malajský ringgit','2005-01-01','2100-12-31')",
    "INSERT INTO mena (id,kod,nazev,od,do) VALUES (22,'MXN','Mexické peso','2008-01-01','2100-12-31')",
    "INSERT INTO mena (id,kod,nazev,od,do) VALUES (23,'NOK','Norská koruna','2005-01-01','2100-12-31')",
    "INSERT INTO mena (id,kod,nazev,od,do) VALUES (24,'NZD','Novozélandský dolar','2005-01-01','2100-12-31')",
    "INSERT INTO mena (id,kod,nazev,od,do) VALUES (25,'PLN','Polský zlotý','2005-01-01','2100-12-31')",
    "INSERT INTO mena (id,kod,nazev,od,do) VALUES (26,'RON','Rumunské nové leu','2005-01-01','2100-12-31')",
    "INSERT INTO mena (id,kod,nazev,od,do) VALUES (27,'RUB','Ruský rubl','2005-01-01','2100-12-31')",
    "INSERT INTO mena (id,kod,nazev,od,do) VALUES (28,'SGD','Singapurský dolar','2005-01-01','2100-12-31')",
    "INSERT INTO mena (id,kod,nazev,od,do) VALUES (29,'SEK','Švédská koruna','2005-01-01','2100-12-31')",
    "INSERT INTO mena (id,kod,nazev,od,do) VALUES (30,'CHF','Švýcarský frank','2005-01-01','2100-12-31')",
    "INSERT INTO mena (id,kod,nazev,od,do) VALUES (31,'THB','Thajský baht','2005-01-01','2100-12-31')",
    "INSERT INTO mena (id,kod,nazev,od,do) VALUES (32,'TRY','Turecká lira','2005-01-01','2100-12-31')",
    "INSERT INTO mena (id,kod,nazev,od,do) VALUES (33,'GBP','Britská libra','2005-01-01','2100-12-31')",
    "INSERT INTO mena (id,kod,nazev,od,do) VALUES (34,'ISK','Islandská koruna','2005-01-01','2008-12-31')",
    "INSERT INTO mena (id,kod,nazev,od,do) VALUES (35,'CYP','Kyperská libra','2005-01-01','2007-12-31')",
    "INSERT INTO mena (id,kod,nazev,od,do) VALUES (36,'MTL','Maltská lira','2005-01-01','2007-12-31')",
    "INSERT INTO mena (id,kod,nazev,od,do) VALUES (37,'LVL','Lotyšský lat','2005-01-01','2013-12-31')",
    "INSERT INTO mena (id,kod,nazev,od,do) VALUES (38,'SKK','Slovenská koruna','2005-01-01','2008-12-31')",
    "INSERT INTO mena (id,kod,nazev,od,do) VALUES (39,'SIT','Slovinský tolar','2005-01-01','2006-12-31')",
    NULL
};

static const char * sqlite_tb_kurz[] = {
    //tabulka kurzu
    "CREATE TABLE kurz (id INTEGER PRIMARY KEY AUTOINCREMENT, datum TEXT, hodnota REAL, kod TEXT NOT NULL, jednotny INTEGER)",
    "INSERT INTO kurz (datum,kod,hodnota,jednotny) VALUES ('2005-01-01','AUD',17.43,0)",
    "INSERT INTO kurz (datum,kod,hodnota,jednotny) VALUES ('2005-01-01','BGN',15.576,0)",
    "INSERT INTO kurz (datum,kod,hodnota,jednotny) VALUES ('2005-01-01','DKK',4.095,0)",
    "INSERT INTO kurz (datum,kod,hodnota,jednotny) VALUES ('2005-01-01','EUR',30.465,0)",
    "INSERT INTO kurz (datum,kod,hodnota,jednotny) VALUES ('2005-01-01','EEK',1.947,0)",
    "INSERT INTO kurz (datum,kod,hodnota,jednotny) VALUES ('2005-01-01','HKD',2.877,0)",
    "INSERT INTO kurz (datum,kod,hodnota,jednotny) VALUES ('2005-01-01','ISK',0.36454,0)",
    "INSERT INTO kurz (datum,kod,hodnota,jednotny) VALUES ('2005-01-01','JPY',0.21817,0)",
    "INSERT INTO kurz (datum,kod,hodnota,jednotny) VALUES ('2005-01-01','ZAR',3.961,0)",
    "INSERT INTO kurz (datum,kod,hodnota,jednotny) VALUES ('2005-01-01','KRW',0.0216,0)",
    "INSERT INTO kurz (datum,kod,hodnota,jednotny) VALUES ('2005-01-01','CAD',18.557,0)",
    "INSERT INTO kurz (datum,kod,hodnota,jednotny) VALUES ('2005-01-01','CYP',52.468,0)",
    "INSERT INTO kurz (datum,kod,hodnota,jednotny) VALUES ('2005-01-01','LTL',8.823,0)",
    "INSERT INTO kurz (datum,kod,hodnota,jednotny) VALUES ('2005-01-01','LVL',43.662,0)",
    "INSERT INTO kurz (datum,kod,hodnota,jednotny) VALUES ('2005-01-01','HUF',0.12394,0)",
    "INSERT INTO kurz (datum,kod,hodnota,jednotny) VALUES ('2005-01-01','MTL',70.195,0)",
    "INSERT INTO kurz (datum,kod,hodnota,jednotny) VALUES ('2005-01-01','XDR',34.617,0)",
    "INSERT INTO kurz (datum,kod,hodnota,jednotny) VALUES ('2005-01-01','NOK',3.699,0)",
    "INSERT INTO kurz (datum,kod,hodnota,jednotny) VALUES ('2005-01-01','NZD',16.125,0)",
    "INSERT INTO kurz (datum,kod,hodnota,jednotny) VALUES ('2005-01-01','PLN',7.459,0)",
    "INSERT INTO kurz (datum,kod,hodnota,jednotny) VALUES ('2005-01-01','ROL',0.0007734,0)",
    "INSERT INTO kurz (datum,kod,hodnota,jednotny) VALUES ('2005-01-01','SGD',13.676,0)",
    "INSERT INTO kurz (datum,kod,hodnota,jednotny) VALUES ('2005-01-01','SKK',0.7863,0)",
    "INSERT INTO kurz (datum,kod,hodnota,jednotny) VALUES ('2005-01-01','SIT',0.12707,0)",
    "INSERT INTO kurz (datum,kod,hodnota,jednotny) VALUES ('2005-01-01','SEK',3.376,0)",
    "INSERT INTO kurz (datum,kod,hodnota,jednotny) VALUES ('2005-01-01','CHF',19.745,0)",
    "INSERT INTO kurz (datum,kod,hodnota,jednotny) VALUES ('2005-01-01','TRL',0.000016616,0)",
    "INSERT INTO kurz (datum,kod,hodnota,jednotny) VALUES ('2005-01-01','USD',22.365,0)",
    "INSERT INTO kurz (datum,kod,hodnota,jednotny) VALUES ('2005-01-01','GBP',43.216,0)",

    "INSERT INTO kurz (datum,kod,hodnota,jednotny) VALUES ('2020-12-11','AUD',16.364,0)",
    "INSERT INTO kurz (datum,kod,hodnota,jednotny) VALUES ('2020-12-11','BRL',4.286,0)",
    "INSERT INTO kurz (datum,kod,hodnota,jednotny) VALUES ('2020-12-11','BGN',13.461,0)",
    "INSERT INTO kurz (datum,kod,hodnota,jednotny) VALUES ('2020-12-11','CNY',3.317,0)",
    "INSERT INTO kurz (datum,kod,hodnota,jednotny) VALUES ('2020-12-11','DKK',3.538,0)",
    "INSERT INTO kurz (datum,kod,hodnota,jednotny) VALUES ('2020-12-11','EUR',26.330,0)",
    "INSERT INTO kurz (datum,kod,hodnota,jednotny) VALUES ('2020-12-11','PHP',0.45152,0)",
    "INSERT INTO kurz (datum,kod,hodnota,jednotny) VALUES ('2020-12-11','HKD',2.801,0)",
    "INSERT INTO kurz (datum,kod,hodnota,jednotny) VALUES ('2020-12-11','HRK',3.493,0)",
    "INSERT INTO kurz (datum,kod,hodnota,jednotny) VALUES ('2020-12-11','INR',0.29427,0)",
    "INSERT INTO kurz (datum,kod,hodnota,jednotny) VALUES ('2020-12-11','IDR',0.001542,0)",
    "INSERT INTO kurz (datum,kod,hodnota,jednotny) VALUES ('2020-12-11','ISK',0.17009,0)",
    "INSERT INTO kurz (datum,kod,hodnota,jednotny) VALUES ('2020-12-11','ILS',6.671,0)",
    "INSERT INTO kurz (datum,kod,hodnota,jednotny) VALUES ('2020-12-11','JPY',0.20850,0)",
    "INSERT INTO kurz (datum,kod,hodnota,jednotny) VALUES ('2020-12-11','ZAR',1.435,0)",
    "INSERT INTO kurz (datum,kod,hodnota,jednotny) VALUES ('2020-12-11','KRW',0.01987,0)",
    "INSERT INTO kurz (datum,kod,hodnota,jednotny) VALUES ('2020-12-11','CAD',17.001,0)",
    "INSERT INTO kurz (datum,kod,hodnota,jednotny) VALUES ('2020-12-11','HUF',0.07414,0)",
    "INSERT INTO kurz (datum,kod,hodnota,jednotny) VALUES ('2020-12-11','MYR',5.359,0)",
    "INSERT INTO kurz (datum,kod,hodnota,jednotny) VALUES ('2020-12-11','MXN',1.078,0)",
    "INSERT INTO kurz (datum,kod,hodnota,jednotny) VALUES ('2020-12-11','XDR',31.124,0)",
    "INSERT INTO kurz (datum,kod,hodnota,jednotny) VALUES ('2020-12-11','NOK',2.461,0)",
    "INSERT INTO kurz (datum,kod,hodnota,jednotny) VALUES ('2020-12-11','NZD',15.398,0)",
    "INSERT INTO kurz (datum,kod,hodnota,jednotny) VALUES ('2020-12-11','PLN',5.934,0)",
    "INSERT INTO kurz (datum,kod,hodnota,jednotny) VALUES ('2020-12-11','RON',5.407,0)",
    "INSERT INTO kurz (datum,kod,hodnota,jednotny) VALUES ('2020-12-11','RUB',0.29673,0)",
    "INSERT INTO kurz (datum,kod,hodnota,jednotny) VALUES ('2020-12-11','SGD',16.240,0)",
    "INSERT INTO kurz (datum,kod,hodnota,jednotny) VALUES ('2020-12-11','SEK',2.567,0)",
    "INSERT INTO kurz (datum,kod,hodnota,jednotny) VALUES ('2020-12-11','CHF',24.413,0)",
    "INSERT INTO kurz (datum,kod,hodnota,jednotny) VALUES ('2020-12-11','THB',0.72144,0)",
    "INSERT INTO kurz (datum,kod,hodnota,jednotny) VALUES ('2020-12-11','TRY',2.752,0)",
    "INSERT INTO kurz (datum,kod,hodnota,jednotny) VALUES ('2020-12-11','USD',21.712,0)",
    "INSERT INTO kurz (datum,kod,hodnota,jednotny) VALUES ('2020-12-11','GBP',28.539,0)",

    "INSERT INTO kurz (datum,kod,hodnota,jednotny) VALUES ('2021-12-23','AUD',16.041,0)",
    "INSERT INTO kurz (datum,kod,hodnota,jednotny) VALUES ('2021-12-23','BRL',3.919,0)",
    "INSERT INTO kurz (datum,kod,hodnota,jednotny) VALUES ('2021-12-23','BGN',12.825,0)",
    "INSERT INTO kurz (datum,kod,hodnota,jednotny) VALUES ('2021-12-23','CNY',3.481,0)",
    "INSERT INTO kurz (datum,kod,hodnota,jednotny) VALUES ('2021-12-23','DKK',3.373,0)",
    "INSERT INTO kurz (datum,kod,hodnota,jednotny) VALUES ('2021-12-23','EUR',25.085,0)",
    "INSERT INTO kurz (datum,kod,hodnota,jednotny) VALUES ('2021-12-23','PHP',0.4429,0)",
    "INSERT INTO kurz (datum,kod,hodnota,jednotny) VALUES ('2021-12-23','HKD',2.843,0)",
    "INSERT INTO kurz (datum,kod,hodnota,jednotny) VALUES ('2021-12-23','HRK',3.337,0)",
    "INSERT INTO kurz (datum,kod,hodnota,jednotny) VALUES ('2021-12-23','INR',0.29484,0)",
    "INSERT INTO kurz (datum,kod,hodnota,jednotny) VALUES ('2021-12-23','IDR',0.001556,0)",
    "INSERT INTO kurz (datum,kod,hodnota,jednotny) VALUES ('2021-12-23','ISK',0.17065,0)",
    "INSERT INTO kurz (datum,kod,hodnota,jednotny) VALUES ('2021-12-23','ILS',7.035,0)",
    "INSERT INTO kurz (datum,kod,hodnota,jednotny) VALUES ('2021-12-23','JPY',0.19387,0)",
    "INSERT INTO kurz (datum,kod,hodnota,jednotny) VALUES ('2021-12-23','ZAR',1.411,0)",
    "INSERT INTO kurz (datum,kod,hodnota,jednotny) VALUES ('2021-12-23','KRW',0.01867,0)",
    "INSERT INTO kurz (datum,kod,hodnota,jednotny) VALUES ('2021-12-23','CAD',17.228,0)",
    "INSERT INTO kurz (datum,kod,hodnota,jednotny) VALUES ('2021-12-23','HUF',0.06783,0)",
    "INSERT INTO kurz (datum,kod,hodnota,jednotny) VALUES ('2021-12-23','MYR',5.28,0)",
    "INSERT INTO kurz (datum,kod,hodnota,jednotny) VALUES ('2021-12-23','MXN',1.071,0)",
    "INSERT INTO kurz (datum,kod,hodnota,jednotny) VALUES ('2021-12-23','XDR',30.996,0)",
    "INSERT INTO kurz (datum,kod,hodnota,jednotny) VALUES ('2021-12-23','NOK',2.505,0)",
    "INSERT INTO kurz (datum,kod,hodnota,jednotny) VALUES ('2021-12-23','NZD',15.105,0)",
    "INSERT INTO kurz (datum,kod,hodnota,jednotny) VALUES ('2021-12-23','PLN',5.421,0)",
    "INSERT INTO kurz (datum,kod,hodnota,jednotny) VALUES ('2021-12-23','RON',5.068,0)",
    "INSERT INTO kurz (datum,kod,hodnota,jednotny) VALUES ('2021-12-23','RUB',0.30142,0)",
    "INSERT INTO kurz (datum,kod,hodnota,jednotny) VALUES ('2021-12-23','SGD',16.311,0)",
    "INSERT INTO kurz (datum,kod,hodnota,jednotny) VALUES ('2021-12-23','SEK',2.434,0)",
    "INSERT INTO kurz (datum,kod,hodnota,jednotny) VALUES ('2021-12-23','CHF',24.09,0)",
    "INSERT INTO kurz (datum,kod,hodnota,jednotny) VALUES ('2021-12-23','THB',0.66126,0)",
    "INSERT INTO kurz (datum,kod,hodnota,jednotny) VALUES ('2021-12-23','TRY',1.982,0)",
    "INSERT INTO kurz (datum,kod,hodnota,jednotny) VALUES ('2021-12-23','USD',22.178,0)",
    "INSERT INTO kurz (datum,kod,hodnota,jednotny) VALUES ('2021-12-23','GBP',29.783,0)",
    NULL
};

static const char * sqlite_tb_pokladna[] = {
    //tabulka pokladen
    "CREATE TABLE pokladna (id INTEGER PRIMARY KEY AUTOINCREMENT, zkratka TEXT, popis TEXT, menaid INTEGER NOT NULL,\
        FOREIGN KEY(menaid) REFERENCES mena(id) ON UPDATE CASCADE)",
    "INSERT INTO pokladna (id,zkratka,popis,menaid) VALUES (1,'POK1','Výchozí pokladna',1)",
    NULL
};

static const char * sqlite_tb_banka[] = {
    //tabulka bank uctu
    "CREATE TABLE banka (id INTEGER PRIMARY KEY AUTOINCREMENT, zkratka TEXT, popis TEXT, cislouctu TEXT, kodbanky TEXT, iban TEXT, bic TEXT, menaid INTEGER NOT NULL,\
        FOREIGN KEY(menaid) REFERENCES mena(id) ON UPDATE CASCADE)",
    "INSERT INTO banka (id,zkratka,popis,cislouctu,kodbanky,menaid) VALUES (1,'BU1','Výchozí bankovní účet',0,0,1)",
    NULL
};

static const char * sqlite_tb_bankovniustav[] = {
    //tabulka bankovnich ustavu (banka,sporitelna atd.) ze seznamu CNB
    "CREATE TABLE bankovniustav (id INTEGER PRIMARY KEY AUTOINCREMENT, nazev TEXT, kod TEXT, bic TEXT, aktivni INTEGER)",
    "INSERT INTO bankovniustav (nazev,kod,bic,aktivni) VALUES ('Komerční banka, a.s.','0100','KOMBCZPP',1)",
    "INSERT INTO bankovniustav (nazev,kod,bic,aktivni) VALUES ('Československá obchodní banka, a. s.','0300','CEKOCZPP',1)",
    "INSERT INTO bankovniustav (nazev,kod,bic,aktivni) VALUES ('MONETA Money Bank, a.s.','0600','AGBACZPP',1)",
    "INSERT INTO bankovniustav (nazev,kod,bic,aktivni) VALUES ('ČESKÁ NÁRODNÍ BANKA','0710','CNBACZPP',1)",
    "INSERT INTO bankovniustav (nazev,kod,bic,aktivni) VALUES ('Česká spořitelna, a.s.','0800','GIBACZPX',1)",
    "INSERT INTO bankovniustav (nazev,kod,bic,aktivni) VALUES ('Fio banka, a.s.','2010','FIOBCZPP',1)",
    "INSERT INTO bankovniustav (nazev,kod,bic,aktivni) VALUES ('MUFG Bank (Europe) N.V. Prague Branch','2020','BOTKCZPP',1)",
    "INSERT INTO bankovniustav (nazev,kod,bic,aktivni) VALUES ('Československé úvěrní družstvo','2030','',1)",
    "INSERT INTO bankovniustav (nazev,kod,bic,aktivni) VALUES ('Citfin, spořitelní družstvo','2060','CITFCZPP',1)",
    "INSERT INTO bankovniustav (nazev,kod,bic,aktivni) VALUES ('TRINITY BANK a.s.','2070','MPUBCZPP',1)",
    "INSERT INTO bankovniustav (nazev,kod,bic,aktivni) VALUES ('Hypoteční banka, a.s.','2100','',1)",
    "INSERT INTO bankovniustav (nazev,kod,bic,aktivni) VALUES ('Peněžní dům, spořitelní družstvo','2200','',1)",
    "INSERT INTO bankovniustav (nazev,kod,bic,aktivni) VALUES ('Artesa, spořitelní družstvo','2220','ARTTCZPP',1)",
    "INSERT INTO bankovniustav (nazev,kod,bic,aktivni) VALUES ('Poštová banka, a.s., pobočka Česká republika','2240','POBNCZPP',1)",
    "INSERT INTO bankovniustav (nazev,kod,bic,aktivni) VALUES ('Banka CREDITAS a.s.','2250','CTASCZ22',1)",
    "INSERT INTO bankovniustav (nazev,kod,bic,aktivni) VALUES ('NEY spořitelní družstvo','2260','',1)",
    "INSERT INTO bankovniustav (nazev,kod,bic,aktivni) VALUES ('Podnikatelská družstevní záložna','2275','',1)",
    "INSERT INTO bankovniustav (nazev,kod,bic,aktivni) VALUES ('Citibank Europe plc, organizační složka','2600','CITICZPX',1)",
    "INSERT INTO bankovniustav (nazev,kod,bic,aktivni) VALUES ('UniCredit Bank Czech Republic and Slovakia, a.s.','2700','BACXCZPP',1)",
    "INSERT INTO bankovniustav (nazev,kod,bic,aktivni) VALUES ('Air Bank a.s.','3030','AIRACZPP',1)",
    "INSERT INTO bankovniustav (nazev,kod,bic,aktivni) VALUES ('BNP Paribas Personal Finance SA, odštěpný závod','3050','BPPFCZP1',1)",
    "INSERT INTO bankovniustav (nazev,kod,bic,aktivni) VALUES ('PKO BP S.A., Czech Branch','3060','BPKOCZPP',1)",
    "INSERT INTO bankovniustav (nazev,kod,bic,aktivni) VALUES ('ING Bank N.V.','3500','INGBCZPP',1)",
    "INSERT INTO bankovniustav (nazev,kod,bic,aktivni) VALUES ('Expobank CZ a.s.','4000','EXPNCZPP',1)",
    "INSERT INTO bankovniustav (nazev,kod,bic,aktivni) VALUES ('Českomoravská záruční a rozvojová banka, a.s.','4300','CMZRCZP1',1)",
    "INSERT INTO bankovniustav (nazev,kod,bic,aktivni) VALUES ('Raiffeisenbank a.s.','5500','RZBCCZPP',1)",
    "INSERT INTO bankovniustav (nazev,kod,bic,aktivni) VALUES ('J & T BANKA, a.s.','5800','JTBPCZPP',1)",
    "INSERT INTO bankovniustav (nazev,kod,bic,aktivni) VALUES ('PPF banka a.s.','6000','PMBPCZPP',1)",
    "INSERT INTO bankovniustav (nazev,kod,bic,aktivni) VALUES ('Equa bank a.s.','6100','EQBKCZPP',1)",
    "INSERT INTO bankovniustav (nazev,kod,bic,aktivni) VALUES ('COMMERZBANK Aktiengesellschaft, pobočka Praha','6200','COBACZPX',1)",
    "INSERT INTO bankovniustav (nazev,kod,bic,aktivni) VALUES ('mBank S.A., organizační složka','6210','BREXCZPP',1)",
    "INSERT INTO bankovniustav (nazev,kod,bic,aktivni) VALUES ('BNP Paribas S.A., pobočka Česká republika','6300','GEBACZPP',1)",
    "INSERT INTO bankovniustav (nazev,kod,bic,aktivni) VALUES ('Všeobecná úverová banka a.s., pobočka Praha','6700','SUBACZPP',1)",
    "INSERT INTO bankovniustav (nazev,kod,bic,aktivni) VALUES ('Sberbank CZ, a.s.','6800','VBOECZ2X',1)",
    "INSERT INTO bankovniustav (nazev,kod,bic,aktivni) VALUES ('Deutsche Bank Aktiengesellschaft Filiale Prag, organizační složka','7910','DEUTCZPX',1)",
    "INSERT INTO bankovniustav (nazev,kod,bic,aktivni) VALUES ('Waldviertler Sparkasse Bank AG','7940','SPWTCZ21',1)",
    "INSERT INTO bankovniustav (nazev,kod,bic,aktivni) VALUES ('Raiffeisen stavební spořitelna a.s.','7950','',1)",
    "INSERT INTO bankovniustav (nazev,kod,bic,aktivni) VALUES ('Českomoravská stavební spořitelna, a.s.','7960','',1)",
    "INSERT INTO bankovniustav (nazev,kod,bic,aktivni) VALUES ('MONETA Stavební Spořitelna, a.s.','7970','',1)",
    "INSERT INTO bankovniustav (nazev,kod,bic,aktivni) VALUES ('Wüstenrot hypoteční banka a.s.','7980','',1)",
    "INSERT INTO bankovniustav (nazev,kod,bic,aktivni) VALUES ('Modrá pyramida stavební spořitelna, a.s.','7990','',1)",
    "INSERT INTO bankovniustav (nazev,kod,bic,aktivni) VALUES ('Volksbank Raiffeisenbank Nordoberpfalz eG pobočka Cheb','8030','GENOCZ21',1)",
    "INSERT INTO bankovniustav (nazev,kod,bic,aktivni) VALUES ('Oberbank AG pobočka Česká republika','8040','OBKLCZ2X',1)",
    "INSERT INTO bankovniustav (nazev,kod,bic,aktivni) VALUES ('Stavební spořitelna České spořitelny, a.s.','8060','',1)",
    "INSERT INTO bankovniustav (nazev,kod,bic,aktivni) VALUES ('Česká exportní banka, a.s.','8090','CZEECZPP',1)",
    "INSERT INTO bankovniustav (nazev,kod,bic,aktivni) VALUES ('HSBC France - pobočka Praha','8150','MIDLCZPP',1)",
    "INSERT INTO bankovniustav (nazev,kod,bic,aktivni) VALUES ('Sparkasse Oberlausitz-Niederschlesien','8190','',1)",
    "INSERT INTO bankovniustav (nazev,kod,bic,aktivni) VALUES ('FAS finance company s.r.o.','8198','FFCSCZP1',1)",
    "INSERT INTO bankovniustav (nazev,kod,bic,aktivni) VALUES ('MoneyPolo Europe s.r.o.','8199','MOUSCZP2',1)",
    "INSERT INTO bankovniustav (nazev,kod,bic,aktivni) VALUES ('PRIVAT BANK der Raiffeisenlandesbank Oberösterreich Aktiengesellschaft, pobočka Česká republika','8200','',1)",
    "INSERT INTO bankovniustav (nazev,kod,bic,aktivni) VALUES ('ALTERNATIVE PAYMENT SOLUTIONS, s.r.o.','8215','',1)",
    "INSERT INTO bankovniustav (nazev,kod,bic,aktivni) VALUES ('Payment execution s.r.o.','8220','PAERCZP1',1)",
    "INSERT INTO bankovniustav (nazev,kod,bic,aktivni) VALUES ('ORANGETRUST s.r.o.','8225','ORRRCZP1',1)",
    "INSERT INTO bankovniustav (nazev,kod,bic,aktivni) VALUES ('EEPAYS s.r.o.','8230','EEPSCZPP',1)",
    "INSERT INTO bankovniustav (nazev,kod,bic,aktivni) VALUES ('Družstevní záložna Kredit','8240','',1)",
    "INSERT INTO bankovniustav (nazev,kod,bic,aktivni) VALUES ('Bank of China (CEE) Ltd. Prague Branch','8250','BKCHCZPP',1)",
    "INSERT INTO bankovniustav (nazev,kod,bic,aktivni) VALUES ('Bank of Communications Co., Ltd., Prague Branch odštěpný závod','8255','COMMCZPP',1)",
    "INSERT INTO bankovniustav (nazev,kod,bic,aktivni) VALUES ('PAYMASTER a.s.','8260','PYYMCZPP',1)",
    "INSERT INTO bankovniustav (nazev,kod,bic,aktivni) VALUES ('Industrial and Commercial Bank of China Limited, Prague Branch, odštěpný závod','8265','ICBKCZPP',1)",
    "INSERT INTO bankovniustav (nazev,kod,bic,aktivni) VALUES ('Fairplay Pay s.r.o.','8270','FAPOCZP1',1)",
    "INSERT INTO bankovniustav (nazev,kod,bic,aktivni) VALUES ('VIVA PAYMENT SERVICES S.A. odštěpný závod','8272','VPAYCZP2',1)",
    "INSERT INTO bankovniustav (nazev,kod,bic,aktivni) VALUES ('B-Efekt a.s.','8280','BEFKCZP1',1)",
    "INSERT INTO bankovniustav (nazev,kod,bic,aktivni) VALUES ('Qpay s.r.o.','8283','QPSRCZPP',1)",
    "INSERT INTO bankovniustav (nazev,kod,bic,aktivni) VALUES ('Business Credit s.r.o.','8291','',1)",
    "INSERT INTO bankovniustav (nazev,kod,bic,aktivni) VALUES ('Money Change s.r.o.','8292','',1)",
    "INSERT INTO bankovniustav (nazev,kod,bic,aktivni) VALUES ('Mercurius partners s.r.o.','8293','',1)",
    "INSERT INTO bankovniustav (nazev,kod,bic,aktivni) VALUES ('GrisPayUnion s.r.o.','8294','',1)",
    "INSERT INTO bankovniustav (nazev,kod,bic,aktivni) VALUES ('PaySysEU s.r.o.','8296','',1)",
    NULL
};

static const char * sqlite_tb_deniksloupec[] = {
    //tabulka sloupcu penezniho deniku; prijem = 1 jde o prijmy; danovy = 1 jde danove uznatelny prijem nebo vydaj
    "CREATE TABLE deniksloupec (sloupec INTEGER PRIMARY KEY AUTOINCREMENT, popis TEXT, prijem INTEGER, danovy INTEGER)",
    //(1, 'Datum')
    //(2, 'Doklad')
    //(3, 'Popis')
    //(4, 'Pokladna - příjem')
    //(5, 'Pokladna - výdaj')
    //(6, 'Banka - příjem')
    //(7, 'Banka - výdaj')
    //(8, 'Přijmy ovlivňující základ daně') souhrnný sloupec
    //(9, 'Výdaje ovlivňující základ daně') souhrnný sloupec
    "INSERT INTO deniksloupec (sloupec,popis,prijem,danovy) VALUES (10,'Prodej zboží (příjem ovlivňující základ daně)',1,1)",
    "INSERT INTO deniksloupec (sloupec,popis,prijem,danovy) VALUES (11,'Prodej výrobků a služeb (příjem ovlivňující základ daně)',1,1)",
    "INSERT INTO deniksloupec (sloupec,popis,prijem,danovy) VALUES (12,'Ostatní (příjem ovlivňující základ daně)',1,1)",
    "INSERT INTO deniksloupec (sloupec,popis,prijem,danovy) VALUES (13,'Nákup materiálu (výdaj ovlivňující základ daně)',0,1)",
    "INSERT INTO deniksloupec (sloupec,popis,prijem,danovy) VALUES (14,'Nákup zboží (výdaj ovlivňující základ daně)',0,1)",
    "INSERT INTO deniksloupec (sloupec,popis,prijem,danovy) VALUES (15,'Nákup drobného majetku (výdaj ovlivňující základ daně)',0,1)",
    "INSERT INTO deniksloupec (sloupec,popis,prijem,danovy) VALUES (16,'Mzdy (výdaj ovlivňující základ daně)',0,1)",
    "INSERT INTO deniksloupec (sloupec,popis,prijem,danovy) VALUES (17,'Daň ze mzdy (výdaj ovlivňující základ daně)',0,1)",
    "INSERT INTO deniksloupec (sloupec,popis,prijem,danovy) VALUES (18,'Sociální pojištění (výdaj ovlivňující základ daně)',0,1)",
    "INSERT INTO deniksloupec (sloupec,popis,prijem,danovy) VALUES (19,'Zdravotní pojištění (výdaj ovlivňující základ daně)',0,1)",
    "INSERT INTO deniksloupec (sloupec,popis,prijem,danovy) VALUES (20,'Režie (výdaj ovlivňující základ daně)',0,1)",
    "INSERT INTO deniksloupec (sloupec,popis,prijem,danovy) VALUES (21,'Ostatní (výdaj ovlivňující základ daně)',0,1)",
    "INSERT INTO deniksloupec (sloupec,popis,prijem,danovy) VALUES (22,'Vklad podnikatele (příjem neovlivňující základ daně)',1,0)",
    "INSERT INTO deniksloupec (sloupec,popis,prijem,danovy) VALUES (23,'DPH (příjem neovlivňující základ daně)',1,0)",
    "INSERT INTO deniksloupec (sloupec,popis,prijem,danovy) VALUES (24,'Ostatní (příjem neovlivňující základ daně)',1,0)",
    "INSERT INTO deniksloupec (sloupec,popis,prijem,danovy) VALUES (25,'Nákup dlouhodobého majetku (výdaj neovlivňující základ daně)',0,0)",
    "INSERT INTO deniksloupec (sloupec,popis,prijem,danovy) VALUES (26,'DPH (výdaj neovlivňující základ daně)',0,0)",
    "INSERT INTO deniksloupec (sloupec,popis,prijem,danovy) VALUES (27,'Sociální a zdravotní pojištění (výdaj neovlivňující základ daně)',0,0)",
    "INSERT INTO deniksloupec (sloupec,popis,prijem,danovy) VALUES (28,'Daň z příjmu (výdaj neovlivňující základ daně)',0,0)",
    "INSERT INTO deniksloupec (sloupec,popis,prijem,danovy) VALUES (29,'Osobní (výdaj neovlivňující základ daně)',0,0)",
    "INSERT INTO deniksloupec (sloupec,popis,prijem,danovy) VALUES (30,'Ostatní (výdaj neovlivňující základ daně)',0,0)",
    "INSERT INTO deniksloupec (sloupec,popis,prijem,danovy) VALUES (31,'Průběžné položky - příjem',0,0)",
    "INSERT INTO deniksloupec (sloupec,popis,prijem,danovy) VALUES (32,'Průběžné položky - výdaj',1,0)",
    NULL
};

static const char * sqlite_tb_predkontace[] = {
    //tabulka predkontaci
    "CREATE TABLE predkontace (id INTEGER PRIMARY KEY AUTOINCREMENT, zkratka TEXT, popis TEXT, prijem INTEGER, deniksloupecid INTEGER NOT NULL,\
        FOREIGN KEY(deniksloupecid) REFERENCES deniksloupec(sloupec) ON UPDATE CASCADE)",
    "INSERT INTO predkontace (zkratka,popis,prijem,deniksloupecid) VALUES ('P001','Prodej zboží',1,10)",
    "INSERT INTO predkontace (zkratka,popis,prijem,deniksloupecid) VALUES ('P002','Prodej výrobků a služeb',1,11)",
    "INSERT INTO predkontace (zkratka,popis,prijem,deniksloupecid) VALUES ('P003','Ostatní daňový příjem',1,12)",
    "INSERT INTO predkontace (zkratka,popis,prijem,deniksloupecid) VALUES ('V001','Nákup materiálu',0,13)",
    "INSERT INTO predkontace (zkratka,popis,prijem,deniksloupecid) VALUES ('V002','Nákup zboží',0,14)",
    "INSERT INTO predkontace (zkratka,popis,prijem,deniksloupecid) VALUES ('V003','Nákup drobného majetku',0,15)",
    "INSERT INTO predkontace (zkratka,popis,prijem,deniksloupecid) VALUES ('V004','Mzdy',0,16)",
    "INSERT INTO predkontace (zkratka,popis,prijem,deniksloupecid) VALUES ('V005','Daň ze mzdy',0,17)",
    "INSERT INTO predkontace (zkratka,popis,prijem,deniksloupecid) VALUES ('V006','Sociální pojištění zaměstanci',0,18)",
    "INSERT INTO predkontace (zkratka,popis,prijem,deniksloupecid) VALUES ('V007','Zdravotní pojištění zaměstnanci',0,19)",
    "INSERT INTO predkontace (zkratka,popis,prijem,deniksloupecid) VALUES ('V008','Režie',0,20)",
    "INSERT INTO predkontace (zkratka,popis,prijem,deniksloupecid) VALUES ('V009','Ostatní daňový výdaj',0,21)",
    "INSERT INTO predkontace (zkratka,popis,prijem,deniksloupecid) VALUES ('P101','Vklad podnikatele',1,22)",
    "INSERT INTO predkontace (zkratka,popis,prijem,deniksloupecid) VALUES ('P102','DPH příjem',1,23)",
    "INSERT INTO predkontace (zkratka,popis,prijem,deniksloupecid) VALUES ('P103','Ostatní nedaňový příjem',1,24)",
    "INSERT INTO predkontace (zkratka,popis,prijem,deniksloupecid) VALUES ('V101','Nákup dlouhodobého majetku',0,25)",
    "INSERT INTO predkontace (zkratka,popis,prijem,deniksloupecid) VALUES ('V102','DPH výdaj',0,26)",
    "INSERT INTO predkontace (zkratka,popis,prijem,deniksloupecid) VALUES ('V103','Sociální a zdravotní pojištění',0,27)",
    "INSERT INTO predkontace (zkratka,popis,prijem,deniksloupecid) VALUES ('V104','Daň z příjmu',0,28)",
    "INSERT INTO predkontace (zkratka,popis,prijem,deniksloupecid) VALUES ('V105','Osobní výdaj',0,29)",
    "INSERT INTO predkontace (zkratka,popis,prijem,deniksloupecid) VALUES ('V106','Ostatní nedaňový výdaj',0,30)",
    "INSERT INTO predkontace (zkratka,popis,prijem,deniksloupecid) VALUES ('P201','Příjem z průběžných položek',1,32)",
    "INSERT INTO predkontace (zkratka,popis,prijem,deniksloupecid) VALUES ('V201','Výdaj do průběžných položek',0,31)",
    NULL
};

static const char * sqlite_tb_denik[] = {
    //tabulka penezniho deniku
    "CREATE TABLE denik (id INTEGER PRIMARY KEY AUTOINCREMENT, datum TEXT, cislo TEXT, popis TEXT, castka REAL,\
        castkacizi REAL, kurz REAL, reference TEXT, pausal INTEGER NOT NULL, menaid INTEGER NOT NULL, predkontaceid INTEGER NOT NULL,\
        pokladnaid INTEGER, bankaid INTEGER, vypis INTEGER, protistranaid INTEGER NOT NULL DEFAULT 0, obdobirok INTEGER NOT NULL,\
        FOREIGN KEY(menaid) REFERENCES mena(id) ON UPDATE CASCADE,\
        FOREIGN KEY(predkontaceid) REFERENCES predkontace(id) ON UPDATE CASCADE,\
        FOREIGN KEY(pokladnaid) REFERENCES pokladna(id) ON UPDATE CASCADE,\
        FOREIGN KEY(bankaid) REFERENCES banka(id) ON UPDATE CASCADE,\
        FOREIGN KEY(protistranaid) REFERENCES kontakt(id) ON UPDATE CASCADE ON DELETE SET DEFAULT,\
        FOREIGN KEY(obdobirok) REFERENCES obdobi(rok) ON UPDATE CASCADE ON DELETE CASCADE)",
    NULL
};

static const char * sqlite_tb_rada[] = {
    //tabulka ciselnych rad dokladu
    "CREATE TABLE rada (id TEXT PRIMARY KEY, popis TEXT, prefix TEXT, znaku INTEGER, cislo INTEGER)",
    "INSERT INTO rada (id,popis,prefix,znaku,cislo) VALUES ('PP','Příjmový pokladní doklad','PP',6,1)",
    "INSERT INTO rada (id,popis,prefix,znaku,cislo) VALUES ('PV','Výdajový pokladní doklad','PV',6,1)",
    "INSERT INTO rada (id,popis,prefix,znaku,cislo) VALUES ('BP','Příjmový bankovní doklad','BP',6,1)",
    "INSERT INTO rada (id,popis,prefix,znaku,cislo) VALUES ('BV','Výdajový bankovní doklad','BV',6,1)",
    "INSERT INTO rada (id,popis,prefix,znaku,cislo) VALUES ('FV','Faktura vydaná','FV',6,1)",
    "INSERT INTO rada (id,popis,prefix,znaku,cislo) VALUES ('FP','Faktura přijatá','FP',6,1)",
    "INSERT INTO rada (id,popis,prefix,znaku,cislo) VALUES ('ZFV','Zálohová faktura vydaná','ZFV',6,1)",
    "INSERT INTO rada (id,popis,prefix,znaku,cislo) VALUES ('ZFP','Zálohová faktura přijatá','ZFP',6,1)",
    "INSERT INTO rada (id,popis,prefix,znaku,cislo) VALUES ('PO','Pohledávka','PO',6,1)",
    "INSERT INTO rada (id,popis,prefix,znaku,cislo) VALUES ('ZA','Závazek','ZA',6,1)",
    "INSERT INTO rada (id,popis,prefix,znaku,cislo) VALUES ('MA','Majetek','MA',6,1)",
    "INSERT INTO rada (id,popis,prefix,znaku,cislo) VALUES ('ZB','Zásoba','ZB',6,1)",
    "INSERT INTO rada (id,popis,prefix,znaku,cislo) VALUES ('PR','Příjemka','PR',6,1)",
    "INSERT INTO rada (id,popis,prefix,znaku,cislo) VALUES ('VY','Výdejka','VY',6,1)",
    "INSERT INTO rada (id,popis,prefix,znaku,cislo) VALUES ('IV','Inventura','IV',6,1)",
    NULL
};

static const char * sqlite_tb_fatyp[] = {
    //tabulka typu faktur
    "CREATE TABLE fatyp (id INTEGER PRIMARY KEY AUTOINCREMENT, typ TEXT)",
    "INSERT INTO fatyp (id,typ) VALUES (1,'Faktura')",
    "INSERT INTO fatyp (id,typ) VALUES (2,'Zálohová faktura')",
    NULL
};

static const char * sqlite_tb_fauhrada[] = {
    /* tabulka typu uhrad faktur
     */
    "CREATE TABLE fauhrada (id INTEGER PRIMARY KEY AUTOINCREMENT, uhrada TEXT, pokladnou INTEGER)",
    "INSERT INTO fauhrada (id,uhrada,pokladnou) VALUES (1,'Hotově',1)",
    "INSERT INTO fauhrada (id,uhrada,pokladnou) VALUES (2,'Převodem',0)",
    NULL
};

static const char * sqlite_tb_faktura[] = {
    //tabulka faktur
    "CREATE TABLE faktura (id INTEGER PRIMARY KEY AUTOINCREMENT,protistranaid INTEGER NOT NULL DEFAULT 0,\
        popis TEXT,celkem REAL,cislo TEXT,vs TEXT,ss TEXT,ks TEXT,typid INTEGER NOT NULL,\
        uhradaid INTEGER NOT NULL,pokladnaid INTEGER,bankaid INTEGER,menaid INTEGER NOT NULL,\
        predkontaceid INTEGER NOT NULL,obdobirok INTEGER NOT NULL,vydana INTEGER,platce INTEGER,vystaveni TEXT,\
        duzp TEXT,dppd TEXT,splatnost TEXT,dphdruhid INTEGER,kurz REAL,pausal INTEGER,\
        FOREIGN KEY(protistranaid) REFERENCES kontakt(id) ON UPDATE CASCADE ON DELETE SET DEFAULT,\
        FOREIGN KEY(typid) REFERENCES fatyp(id) ON UPDATE CASCADE,\
        FOREIGN KEY(uhradaid) REFERENCES fauhrada(id) ON UPDATE CASCADE,\
        FOREIGN KEY(pokladnaid) REFERENCES pokladna(id) ON UPDATE CASCADE,\
        FOREIGN KEY(bankaid) REFERENCES banka(id) ON UPDATE CASCADE,\
        FOREIGN KEY(menaid) REFERENCES mena(id) ON UPDATE CASCADE,\
        FOREIGN KEY(predkontaceid) REFERENCES predkontace(id) ON UPDATE CASCADE,\
        FOREIGN KEY(obdobirok) REFERENCES obdobi(rok) ON UPDATE CASCADE ON DELETE CASCADE,\
        FOREIGN KEY(dphdruhid) REFERENCES dphdruh(id) ON UPDATE CASCADE)",
    NULL
};

static const char * sqlite_tb_zavpoh[] = {
    //tabulka zavazku a pohledavek
    "CREATE TABLE zavpoh (id INTEGER PRIMARY KEY AUTOINCREMENT,protistranaid INTEGER DEFAULT 0,\
        popis TEXT,celkem REAL,cislo TEXT,vs TEXT,uhradaid INTEGER NOT NULL,pokladnaid INTEGER,bankaid INTEGER,\
        menaid INTEGER NOT NULL,predkontaceid INTEGER NOT NULL,obdobirok INTEGER NOT NULL,\
        zavazek INTEGER,platce INTEGER,vystaveni TEXT,duzp TEXT,dppd TEXT,splatnost TEXT,dphdruhid INTEGER,kurz REAL,pausal INTEGER,\
        FOREIGN KEY(protistranaid) REFERENCES kontakt(id) ON UPDATE CASCADE ON DELETE SET DEFAULT,\
        FOREIGN KEY(uhradaid) REFERENCES fauhrada(id) ON UPDATE CASCADE,\
        FOREIGN KEY(pokladnaid) REFERENCES pokladna(id) ON UPDATE CASCADE,\
        FOREIGN KEY(bankaid) REFERENCES banka(id) ON UPDATE CASCADE,\
        FOREIGN KEY(menaid) REFERENCES mena(id) ON UPDATE CASCADE,\
        FOREIGN KEY(predkontaceid) REFERENCES predkontace(id) ON UPDATE CASCADE,\
        FOREIGN KEY(obdobirok) REFERENCES obdobi(rok) ON UPDATE CASCADE ON DELETE CASCADE,\
        FOREIGN KEY(dphdruhid) REFERENCES dphdruh(id) ON UPDATE CASCADE)",
    NULL
};

static const char * sqlite_tb_fapolozka[] = {
    //tabulka polozek faktur, zavazku a pohledavek; bezpdh 1 znamena ze cenamj je bez dph, 0 opak
    "CREATE TABLE fapolozka (id INTEGER PRIMARY KEY AUTOINCREMENT, popis TEXT, mj TEXT, pocet REAL, cenamj REAL,\
        sazbaid INTEGER, dph REAL, celkem REAL, bezdph INTEGER, fakturaid INTEGER, zavpohid INTEGER, zasobaid INTEGER, zaokrouhleni INTEGER,\
        FOREIGN KEY(fakturaid) REFERENCES faktura(id) ON UPDATE CASCADE ON DELETE CASCADE,\
        FOREIGN KEY(zavpohid) REFERENCES zavpoh(id) ON UPDATE CASCADE ON DELETE CASCADE,\
        FOREIGN KEY(sazbaid) REFERENCES dphsazba(id) ON UPDATE CASCADE ON DELETE CASCADE,\
        FOREIGN KEY(zasobaid) REFERENCES zasoba(id) ON UPDATE CASCADE ON DELETE SET NULL)",
    NULL
};

static const char * sqlite_tb_uhrada[] = {
    //tabulka uhrad faktur, zavazku a pohledavek
    "CREATE TABLE uhrada (id INTEGER PRIMARY KEY AUTOINCREMENT, castka REAL, denikid INTEGER NOT NULL, fakturaid INTEGER,\
        zavpohid INTEGER, obdobirok INTEGER NOT NULL,\
        FOREIGN KEY(denikid) REFERENCES denik(id) ON UPDATE CASCADE ON DELETE CASCADE,\
        FOREIGN KEY(fakturaid) REFERENCES faktura(id) ON UPDATE CASCADE ON DELETE CASCADE,\
        FOREIGN KEY(zavpohid) REFERENCES zavpoh(id) ON UPDATE CASCADE ON DELETE CASCADE,\
        FOREIGN KEY(obdobirok) REFERENCES obdobi(rok) ON UPDATE CASCADE ON DELETE CASCADE)",
    NULL
};

static const char * sqlite_tb_odpiskupina[] = {
    /*
     * tabulka odpisovych skupin majektku
     * 1 - prvni rok odpisovani
     * 2 - dalsi roky odpisovani
     * zvy - pro zvysenou zustatkovou cenu
     */
    "CREATE TABLE odpiskupina (id INTEGER PRIMARY KEY AUTOINCREMENT, popis TEXT, odpisovat INTEGER,\
        rov1 REAL, rov2 REAL, rovzvy REAL, zry1 REAL, zry2 REAL, zryzvy REAL)",
    "INSERT INTO odpiskupina (id, popis,odpisovat,rov1,rov2,rovzvy,zry1,zry2,zryzvy) VALUES (1,'1. - Nářadí, nástroje ...', 3, 20, 40, 33.3, 3, 4, 3)",
    "INSERT INTO odpiskupina (id, popis,odpisovat,rov1,rov2,rovzvy,zry1,zry2,zryzvy) VALUES (2,'2. - Motorová vozidla, stroje ...', 5, 11, 22.25, 20, 5, 6, 5)",
    "INSERT INTO odpiskupina (id, popis,odpisovat,rov1,rov2,rovzvy,zry1,zry2,zryzvy) VALUES (3,'3. - Trezory, kovové konstrukce ...', 10, 5.5, 10.5, 10, 10, 11, 10)",
    "INSERT INTO odpiskupina (id, popis,odpisovat,rov1,rov2,rovzvy,zry1,zry2,zryzvy) VALUES (4,'4. - Budovy ze dřeva a plastů ...', 20, 2.15, 5.15, 5, 20, 21, 20)",
    "INSERT INTO odpiskupina (id, popis,odpisovat,rov1,rov2,rovzvy,zry1,zry2,zryzvy) VALUES (5,'5. - Budovy, silnice, dálnice ...', 30, 1.4, 3.4, 3.4, 30, 31, 30)",
    "INSERT INTO odpiskupina (id, popis,odpisovat,rov1,rov2,rovzvy,zry1,zry2,zryzvy) VALUES (6,'6. - Budovy hotelů, obchodních domů, muzea, školy ...', 50, 1.02, 2.02, 2, 50, 51, 50)",
    NULL
};

static const char * sqlite_tb_majetek[] = {
    /*
     * tabulka majektu
     * typ, 1=dlouhodoby hmotny, 2=dlouhodoby nehmotny, 3=drobny
     * odpis, 0=bez odpisu, 1=rovnomerny, 2=zrychleny, 3=vylouceny
     */
    "CREATE TABLE majetek (id INTEGER PRIMARY KEY AUTOINCREMENT, cislo TEXT, nazev TEXT, popis TEXT, porizen TEXT, vyrazen INTEGER,\
        datumvyrazeni TEXT, cena REAL, typ INTEGER NOT NULL, odpis INTEGER NOT NULL, skupinaid INTEGER,\
        FOREIGN KEY(skupinaid) REFERENCES odpiskupina(id) ON UPDATE CASCADE)",
    NULL
};

static const char * sqlite_tb_odpis[] = {
    //tabulka odpisu
    "CREATE TABLE odpis (id INTEGER PRIMARY KEY AUTOINCREMENT, rok INTEGER NOT NULL, odpis REAL, majetekid INTEGER NOT NULL,\
        FOREIGN KEY(majetekid) REFERENCES majetek(id) ON UPDATE CASCADE ON DELETE CASCADE)",
    NULL
};

static const char * sqlite_tb_settings[] = {
    //tabulka predvoleb
    "CREATE TABLE settings (rok INTEGER PRIMARY KEY, splatnost INTEGER)",
    NULL
};

static const char * sqlite_tb_smtp[] = {
    //tabulka nastaveni smtp
    "CREATE TABLE smtp (server TEXT, port INTEGER, ssl INTEGER, autentifikace INTEGER,\
        username TEXT, password TEXT, sender TEXT, subject TEXT, text TEXT)",
    "INSERT INTO smtp (port, ssl, subject, text) VALUES (25, 0, 'Faktura', 'Dobrý den,\nv příloze Vám zasíláme fakturu')",
    NULL
};

static const char * sqlite_tb_odeslany[] = {
    //tabulka odeslanych faktur
    "CREATE TABLE odeslany (id INTEGER PRIMARY KEY AUTOINCREMENT, cas TEXT, faktura TEXT, prijemce TEXT)",
    NULL
};

static const char * sqlite_tb_priznani[] = {
    //tabulka nastaveni pro danova priznani
    "CREATE TABLE priznani (jmeno TEXT, prijmeni TEXT, titul TEXT, ulice TEXT, c_pop INTEGER,\
        c_orient TEXT, naz_obce TEXT, psc TEXT, stat TEXT, dic TEXT, email TEXT, id_dats TEXT, c_telef TEXT,\
        c_ufo INTEGER, c_pracufo INTEGER, c_okec INTEGER, opr_jmeno TEXT, opr_prijmeni TEXT, opr_postaveni TEXT,\
        zast_dat_nar TEXT, zast_ev_cislo TEXT, zast_ic TEXT, zast_jmeno TEXT, zast_kod TEXT, zast_nazev TEXT,\
        zast_prijmeni TEXT, zast_typ TEXT)",
    NULL
};

static const char * sqlite_tb_ulozene[] = {
    /*
     * tabulka ulozenych danovych priznani
     * typ, 0=priznani k DPH, 1=DPH souhrnne hlaseni, 2=DPH kontrolni hlaseni
     * forma, oznaceni radne, opravne atd string podle xml struktury
     * obdobi, 0=mesic, 1=ctvrtleti, 2=od-do
     */
    "CREATE TABLE ulozene (id INTEGER PRIMARY KEY AUTOINCREMENT, typ INTEGER NOT NULL, popis TEXT NOT NULL, forma TEXT NOT NULL, obdobi INTEGER NOT NULL,\
        mesic INTEGER, ctvrtleti INTEGER, rok INTEGER, od TEXT, do TEXT, xml TEXT)",
    NULL
};

static const char * sqlite_tb_sklad[] = {
    /*
     * tabulka skladu
     * ocenovani, 0 = FIFO, 1 - prumer
     */
    "CREATE TABLE sklad (id INTEGER PRIMARY KEY AUTOINCREMENT, nazev TEXT, popis TEXT, ocenovani INTEGER NOT NULL)",
    NULL
};

static const char * sqlite_tb_zasoba[] = {
    /*
     * tabulka zásob
     * ocenovani, 0 = FIFO, 1 - prumer
     * bezdph, 1 = cenamj nezahrnuje Dph
     * dph, zasba dph, tj, 21,15 atd
     */
    "CREATE TABLE zasoba (id INTEGER PRIMARY KEY AUTOINCREMENT, cislo TEXT, nazev TEXT, popis TEXT, ocenovani INTEGER NOT NULL, mj TEXT,\
        pocet REAL, celkem REAL, skladid INTEGER NOT NULL, cenamj REAL, bezdph INTEGER, dph INTEGER,\
        FOREIGN KEY(skladid) REFERENCES sklad(id) ON UPDATE CASCADE)",
    NULL
};

static const char * sqlite_tb_inventura[] = {
    //tabulka inventur
    "CREATE TABLE inventura (id INTEGER PRIMARY KEY AUTOINCREMENT, datum TEXT, cislo TEXT, popis TEXT, provedl TEXT, skladid INTEGER NOT NULL, obdobirok INTEGER NOT NULL,\
        FOREIGN KEY(skladid) REFERENCES sklad(id) ON UPDATE CASCADE,\
        FOREIGN KEY(obdobirok) REFERENCES obdobi(rok) ON UPDATE CASCADE ON DELETE CASCADE)",
    NULL
};

static const char * sqlite_tb_ivpolozka[] = {
    //tabulka polozek inventur
    "CREATE TABLE ivpolozka (id INTEGER PRIMARY KEY AUTOINCREMENT, evidovano REAL, zjisteno REAL, zasobaid INTEGER NOT NULL, inventuraid INTEGER NOT NULL,\
        FOREIGN KEY(zasobaid) REFERENCES zasoba(id) ON UPDATE CASCADE ON DELETE CASCADE,\
        FOREIGN KEY(inventuraid) REFERENCES inventura(id) ON UPDATE CASCADE ON DELETE CASCADE)",
    NULL
};

static const char * sqlite_tb_pohybzasob[] = {
    /*
     * tabulka pohybu zasob ve skladu
     * cislo, cislo prijemky nebo vydejky
     * pocatek, 1 = pokud je pohyb pocatecnim stavem roku
     */
    "CREATE TABLE pohybzasob (id INTEGER PRIMARY KEY AUTOINCREMENT, datum TEXT, cislo TEXT, pocet REAL, cenamj REAL,\
        prijemka INTEGER, pocatek INTEGER, inventura INTEGER, inventuraid INTEGER, fakturaid INTEGER, zasobaid INTEGER NOT NULL, obdobirok INTEGER NOT NULL,\
        FOREIGN KEY(inventuraid) REFERENCES inventura(id) ON UPDATE CASCADE ON DELETE CASCADE,\
        FOREIGN KEY(fakturaid) REFERENCES faktura(id) ON UPDATE CASCADE ON DELETE CASCADE,\
        FOREIGN KEY(zasobaid) REFERENCES zasoba(id) ON UPDATE CASCADE ON DELETE CASCADE,\
        FOREIGN KEY(obdobirok) REFERENCES obdobi(rok) ON UPDATE CASCADE ON DELETE CASCADE)",
    NULL
};

static const char * sqlite_tb_ridic[] = {
    // tabulka ridic
    "CREATE TABLE ridic (id INTEGER PRIMARY KEY AUTOINCREMENT, jmeno TEXT)",
    NULL
};

static const char * sqlite_tb_phm[] = {
    // tabulka phm
    "CREATE TABLE phm (id INTEGER PRIMARY KEY AUTOINCREMENT, jmeno TEXT)",
    "INSERT INTO phm (id,jmeno) VALUES (1,'Benzín automobilový 95 oktanů')",
    "INSERT INTO phm (id,jmeno) VALUES (2,'Benzín automobilový 98 oktanů')",
    "INSERT INTO phm (id,jmeno) VALUES (3,'Motorová nafta')",
    "INSERT INTO phm (id,jmeno) VALUES (4,'Ostatní')",
    "INSERT INTO phm (id,jmeno) VALUES (5,'Elektřina')",
    NULL
};

static const char * sqlite_tb_cenaphm[] = {
    // tabulka cen phm
    "CREATE TABLE cenaphm (id INTEGER PRIMARY KEY AUTOINCREMENT, phmid INTEGER, cena REAL, validfrom TEXT, validto TEXT,\
        FOREIGN KEY(phmid) REFERENCES phm(id) ON UPDATE CASCADE ON DELETE CASCADE)",
    "INSERT INTO cenaphm (id,phmid,cena,validfrom,validto) VALUES (1,1,30.50,'2018-01-01','2018-12-31')",
    "INSERT INTO cenaphm (id,phmid,cena,validfrom,validto) VALUES (2,2,32.80,'2018-01-01','2018-12-31')",
    "INSERT INTO cenaphm (id,phmid,cena,validfrom,validto) VALUES (3,3,29.80,'2018-01-01','2018-12-31')",
    "INSERT INTO cenaphm (id,phmid,cena,validfrom,validto) VALUES (4,4,0,'2018-01-01','2018-12-31')",
    "INSERT INTO cenaphm (id,phmid,cena,validfrom,validto) VALUES (5,1,33.10,'2019-01-01','2019-12-31')",
    "INSERT INTO cenaphm (id,phmid,cena,validfrom,validto) VALUES (6,2,37.10,'2019-01-01','2019-12-31')",
    "INSERT INTO cenaphm (id,phmid,cena,validfrom,validto) VALUES (7,3,33.60,'2019-01-01','2019-12-31')",
    "INSERT INTO cenaphm (id,phmid,cena,validfrom,validto) VALUES (8,4,0,'2019-01-01','2019-12-31')",
    "INSERT INTO cenaphm (id,phmid,cena,validfrom,validto) VALUES (9,1,32.0,'2020-01-01','2020-12-31')",
    "INSERT INTO cenaphm (id,phmid,cena,validfrom,validto) VALUES (10,2,36.0,'2020-01-01','2020-12-31')",
    "INSERT INTO cenaphm (id,phmid,cena,validfrom,validto) VALUES (11,3,31.80,'2020-01-01','2020-12-31')",
    "INSERT INTO cenaphm (id,phmid,cena,validfrom,validto) VALUES (12,4,0,'2020-01-01','2020-12-31')",
    "INSERT INTO cenaphm (id,phmid,cena,validfrom,validto) VALUES (13,5,4.80,'2020-01-01','2020-12-31')",
    "INSERT INTO cenaphm (id,phmid,cena,validfrom,validto) VALUES (14,1,27.80,'2021-01-01','2021-10-18')",
    "INSERT INTO cenaphm (id,phmid,cena,validfrom,validto) VALUES (15,2,31.50,'2021-01-01','2021-12-31')",
    "INSERT INTO cenaphm (id,phmid,cena,validfrom,validto) VALUES (16,3,27.20,'2021-01-01','2021-12-31')",
    "INSERT INTO cenaphm (id,phmid,cena,validfrom,validto) VALUES (17,4,0,'2021-01-01','2021-12-31')",
    "INSERT INTO cenaphm (id,phmid,cena,validfrom,validto) VALUES (18,5,5,'2021-01-01','2021-12-31')",
    "INSERT INTO cenaphm (id,phmid,cena,validfrom,validto) VALUES (19,1,33.80,'2021-10-19','2021-12-31')",
    "INSERT INTO cenaphm (id,phmid,cena,validfrom,validto) VALUES (20,1,37.10,'2022-01-01','2022-05-13')",
    "INSERT INTO cenaphm (id,phmid,cena,validfrom,validto) VALUES (21,2,40.50,'2022-01-01','2022-08-19')",
    "INSERT INTO cenaphm (id,phmid,cena,validfrom,validto) VALUES (22,3,36.10,'2022-01-01','2022-05-13')",
    "INSERT INTO cenaphm (id,phmid,cena,validfrom,validto) VALUES (23,4,0,'2022-01-01','2022-12-31')",
    "INSERT INTO cenaphm (id,phmid,cena,validfrom,validto) VALUES (24,5,4.10,'2022-01-01','2022-03-11')",
    "INSERT INTO cenaphm (id,phmid,cena,validfrom,validto) VALUES (25,5,6.00,'2022-03-12','2022-12-31')",
    "INSERT INTO cenaphm (id,phmid,cena,validfrom,validto) VALUES (26,1,44.50,'2022-05-14','2022-12-31')",
    "INSERT INTO cenaphm (id,phmid,cena,validfrom,validto) VALUES (27,3,47.10,'2022-05-14','2022-12-31')",
    "INSERT INTO cenaphm (id,phmid,cena,validfrom,validto) VALUES (28,2,51.40,'2022-08-20','2022-12-31')",
    "INSERT INTO cenaphm (id,phmid,cena,validfrom,validto) VALUES (29,1,41.2,'2023-01-01','2023-03-31')",
    "INSERT INTO cenaphm (id,phmid,cena,validfrom,validto) VALUES (30,2,45.2,'2023-01-01','2023-03-31')",
    "INSERT INTO cenaphm (id,phmid,cena,validfrom,validto) VALUES (31,3,44.1,'2023-01-01','2023-03-31')",
    "INSERT INTO cenaphm (id,phmid,cena,validfrom,validto) VALUES (32,4,0,'2023-01-01','2023-03-31')",
    "INSERT INTO cenaphm (id,phmid,cena,validfrom,validto) VALUES (33,5,6,'2023-01-01','2023-03-31')",
    "INSERT INTO cenaphm (id,phmid,cena,validfrom,validto) VALUES (34,1,41.2,'2023-04-01','2023-12-31')",
    "INSERT INTO cenaphm (id,phmid,cena,validfrom,validto) VALUES (35,2,45.2,'2023-04-01','2023-12-31')",
    "INSERT INTO cenaphm (id,phmid,cena,validfrom,validto) VALUES (36,3,44.1,'2023-04-01','2023-12-31')",
    "INSERT INTO cenaphm (id,phmid,cena,validfrom,validto) VALUES (37,4,0,'2023-04-01','2023-12-31')",
    "INSERT INTO cenaphm (id,phmid,cena,validfrom,validto) VALUES (38,5,8.2,'2023-04-01','2023-12-31')",

    "INSERT INTO cenaphm (id,phmid,cena,validfrom,validto) VALUES (39,1,38.2,'2024-01-01','2024-12-31')",
    "INSERT INTO cenaphm (id,phmid,cena,validfrom,validto) VALUES (40,2,42.6,'2024-01-01','2024-12-31')",
    "INSERT INTO cenaphm (id,phmid,cena,validfrom,validto) VALUES (41,3,38.7,'2024-01-01','2024-12-31')",
    "INSERT INTO cenaphm (id,phmid,cena,validfrom,validto) VALUES (42,4,0,'2024-01-01','2024-12-31')",
    "INSERT INTO cenaphm (id,phmid,cena,validfrom,validto) VALUES (43,5,7.7,'2024-01-01','2024-12-31')",
    NULL
};

static const char * sqlite_tb_druhvozidla[] = {
    // tabulka druhu vozidel
    "CREATE TABLE druhvozidla (id INTEGER PRIMARY KEY AUTOINCREMENT, jmeno TEXT)",
    "INSERT INTO druhvozidla (id,jmeno) VALUES (1,'Osobní silniční motorové vozidlo')",
    "INSERT INTO druhvozidla (id,jmeno) VALUES (2,'Jednostopé vozidlo nebo tříkolka')",
    "INSERT INTO druhvozidla (id,jmeno) VALUES (3,'Nákladní automobil, autobus, traktor')",
    // nezobrazovat, jen pro vypocet nahrady
    "INSERT INTO druhvozidla (id,jmeno) VALUES (0,'Při použití přívěsu k motorovému vozidlu')",
    NULL
};

static const char * sqlite_tb_nahradakm[] = {
    // tabulka nahrad za 1km jizdy
    "CREATE TABLE nahradakm (id INTEGER PRIMARY KEY AUTOINCREMENT, druhvozidlaid INTEGER, nahrada REAL, rok INTEGER,\
        FOREIGN KEY(druhvozidlaid) REFERENCES druhvozidla(id) ON UPDATE CASCADE ON DELETE CASCADE)",
    "INSERT INTO nahradakm (id,druhvozidlaid,nahrada,rok) VALUES (1,1,4.00,2018)",
    "INSERT INTO nahradakm (id,druhvozidlaid,nahrada,rok) VALUES (2,2,1.10,2018)",
    "INSERT INTO nahradakm (id,druhvozidlaid,nahrada,rok) VALUES (3,3,8.00,2018)",
    "INSERT INTO nahradakm (id,druhvozidlaid,nahrada,rok) VALUES (4,0,4.60,2018)",
    "INSERT INTO nahradakm (id,druhvozidlaid,nahrada,rok) VALUES (5,1,4.10,2019)",
    "INSERT INTO nahradakm (id,druhvozidlaid,nahrada,rok) VALUES (6,2,1.10,2019)",
    "INSERT INTO nahradakm (id,druhvozidlaid,nahrada,rok) VALUES (7,3,8.20,2019)",
    "INSERT INTO nahradakm (id,druhvozidlaid,nahrada,rok) VALUES (8,0,4.715,2019)",
    "INSERT INTO nahradakm (id,druhvozidlaid,nahrada,rok) VALUES (9,1,4.20,2020)",
    "INSERT INTO nahradakm (id,druhvozidlaid,nahrada,rok) VALUES (10,2,1.10,2020)",
    "INSERT INTO nahradakm (id,druhvozidlaid,nahrada,rok) VALUES (11,3,8.40,2020)",
    "INSERT INTO nahradakm (id,druhvozidlaid,nahrada,rok) VALUES (12,0,4.83,2020)",
    "INSERT INTO nahradakm (id,druhvozidlaid,nahrada,rok) VALUES (13,1,4.40,2021)",
    "INSERT INTO nahradakm (id,druhvozidlaid,nahrada,rok) VALUES (14,2,1.20,2021)",
    "INSERT INTO nahradakm (id,druhvozidlaid,nahrada,rok) VALUES (15,3,8.80,2021)",
    "INSERT INTO nahradakm (id,druhvozidlaid,nahrada,rok) VALUES (16,0,5.06,2021)",
    "INSERT INTO nahradakm (id,druhvozidlaid,nahrada,rok) VALUES (17,1,4.70,2022)",
    "INSERT INTO nahradakm (id,druhvozidlaid,nahrada,rok) VALUES (18,2,1.30,2022)",
    "INSERT INTO nahradakm (id,druhvozidlaid,nahrada,rok) VALUES (19,3,9.40,2022)",
    "INSERT INTO nahradakm (id,druhvozidlaid,nahrada,rok) VALUES (20,0,5.405,2022)",

    "INSERT INTO nahradakm (id,druhvozidlaid,nahrada,rok) VALUES (21,1,5.20,2023)",
    "INSERT INTO nahradakm (id,druhvozidlaid,nahrada,rok) VALUES (22,2,1.40,2023)",
    "INSERT INTO nahradakm (id,druhvozidlaid,nahrada,rok) VALUES (23,3,10.40,2023)",
    "INSERT INTO nahradakm (id,druhvozidlaid,nahrada,rok) VALUES (24,0,5.98,2023)",

    "INSERT INTO nahradakm (id,druhvozidlaid,nahrada,rok) VALUES (25,1,5.60,2024)",
    "INSERT INTO nahradakm (id,druhvozidlaid,nahrada,rok) VALUES (26,2,1.50,2024)",
    "INSERT INTO nahradakm (id,druhvozidlaid,nahrada,rok) VALUES (27,3,11.20,2024)",
    "INSERT INTO nahradakm (id,druhvozidlaid,nahrada,rok) VALUES (28,0,6.44,2024)",
    NULL
};

static const char * sqlite_tb_vozidlo[] = {
    // tabulka vozidel
    "CREATE TABLE vozidlo (id INTEGER PRIMARY KEY AUTOINCREMENT, druhvozidlaid INTEGER, spotreba REAL, rz TEXT, jmeno TEXT, soukrome INTEGER, phmid INTEGER,\
        FOREIGN KEY(druhvozidlaid) REFERENCES druhvozidla(id) ON UPDATE CASCADE ON DELETE CASCADE,\
        FOREIGN KEY(phmid) REFERENCES phm(id) ON UPDATE CASCADE ON DELETE CASCADE)",
    NULL
};

static const char * sqlite_tb_jizda[] = {
    // tabulka jizd
    "CREATE TABLE jizda (id INTEGER PRIMARY KEY AUTOINCREMENT, vozidloid INTEGER, ridicid INTEGER, startcas TEXT, endcas TEXT, startkm INTEGER, endkm INTEGER,\
        cesta TEXT, ucel TEXT,\
        FOREIGN KEY(vozidloid) REFERENCES vozidlo(id) ON UPDATE CASCADE ON DELETE CASCADE,\
        FOREIGN KEY(ridicid) REFERENCES ridic(id) ON UPDATE CASCADE ON DELETE CASCADE)",
    NULL
};

#endif  /* SQLITESQL_H */
