/***************************************************************
 * Name:      documentprint.h
 * Author:    David Vachulka (archdvx@dxsolutions.org)
 * Copyright: 2014
 * License:   GPL3
 **************************************************************/

#ifndef DOCUMENTPRINT_H
#define DOCUMENTPRINT_H

#ifndef WX_PRECOMP
    #include <wx/wx.h>
#endif
#include "dxprint.h"
#include "document.h"

class DocumentPrint
{
public:
    DocumentPrint(wxWindow *parent, const wxString &title);
    virtual ~DocumentPrint() {}

    /**
     * @param print - true zobrazi se tlacitko print v preview dialogu
     */
    virtual void Preview(bool print = true);
    virtual void Print();
    virtual wxString CreatePDF(const wxString &filename, const wxString &name = wxEmptyString, bool select = false);
    virtual void createDocument() {}
    Document *document() const;
    void setDocument(Document *document);
    wxString headerLeftText() const;
    void setHeaderLeftText(const wxString &headerLeftText);
    wxString headerCenterText() const;
    void setHeaderCenterText(const wxString &headerCenterText);
    wxString headerRightText() const;
    void setHeaderRightText(const wxString &headerRightText);
    bool headerLine() const;
    void setHeaderLine(bool headerLine);
    int marginLeft() const;
    void setMarginLeft(int marginLeft);
    int marginRight() const;
    void setMarginRight(int marginRight);
    int marginTop() const;
    void setMarginTop(int marginTop);
    int marginBottom() const;
    void setMarginBottom(int marginBottom);
    int pageWidth() const;
    void setPageWidth(int pageWidth);
    int pageHeight() const;
    void setPageHeight(int pageHeight);
protected:
    Document *m_document;
    wxString m_headerLeftText;
    wxString m_headerCenterText;
    wxString m_headerRightText;
    bool m_headerLine;
    int m_marginLeft;
    int m_marginRight;
    int m_marginTop;
    int m_marginBottom;
    int m_pageWidth;
    int m_pageHeight;
    wxWindow *m_parent;
    wxString m_title;

    wxString printTitle() const;
    void registerFontsForPdf();
};

class DocumentPrintout: public dxPrint
{
public:
    explicit DocumentPrintout(const wxString &title);

    bool OnPrintPage(int page) override;
    void setDocument(Document *document);
protected:
    Document *m_document;
};

#endif  /* DOCUMENTPRINT_H */

