/***************************************************************
 * Name:      multitableprint.h
 * Author:    David Vachulka (archdvx@dxsolutions.org)
 * Copyright: 2014
 * License:   GPL3
 **************************************************************/

#ifndef MULTITABLEPRINT_H
#define MULTITABLEPRINT_H

#ifndef WX_PRECOMP
    #include <wx/wx.h>
#endif
#include "dxprint.h"
#include "table.h"

class MultiTablePrint
{
public:
    MultiTablePrint();
    MultiTablePrint(wxWindow *parent, const wxString &title);
    virtual ~MultiTablePrint() {}

    void Preview();
    void Print();
    virtual void createTable() {}
protected:
    dxTableArray *m_tables;
    wxString m_headerLeftText;
    wxString m_headerCenterText;
    wxString m_headerRightText;
    bool m_headerLine;
    int m_marginLeft;
    int m_marginRight;
    int m_marginTop;
    int m_marginBottom;
    int m_pageWidth;
    int m_pageHeight;
    wxPrintOrientation m_paperOrientation;
private:
    wxWindow *m_parent;
    wxString m_title;

    wxString printTitle() const;
};

class MultiTablePrintout: public dxPrint
{
public:
    explicit MultiTablePrintout(const wxString &title);

    bool OnPrintPage(int page) override;
    void setTable(dxTableArray *tables);
protected:
    dxTableArray *m_tables;
private:
    void printPage(wxDC *dc, const Table &table, int page, double mmToLogical);
    void drawCell(TableCell cell, wxDC *dc, double x, double y, double cw, double mmToLogical);
    void drawGrid(wxDC *dc, const Table &table, double x, double y, TableRowsPerPage rows, double mmToLogical);
    Table getTableForPage(int page);
    int pageForTable(int page);
};

#endif  /* MULTITABLEPRINT_H */

