/***************************************************************
 * Name:      styles.h
 * Author:    David Vachulka (archdvx@dxsolutions.org)
 * Copyright: 2014
 * License:   GPL3
 **************************************************************/

#ifndef DXSTYLES_H
#define DXSTYLES_H

#ifndef WX_PRECOMP
    #include <wx/wx.h>
#endif
#include <wx/pen.h>
#include <wx/xml/xml.h>
#include "dxdefs.h"

#define CELL_TEXT_OFFSET 2 //odsazeni od kraje bunky
#define BOLD_WIDTH 3

class TextStyle
{
public:
    TextStyle(wxFont font=wxFont(wxFontInfo(8).FaceName(FACENAME)), wxColour fontColour=wxColour(*wxBLACK),
              wxColour backColour=wxColour(*wxWHITE));

    wxFont font() const;
    void setFont(const wxFont &font);
    wxColour fontColour() const;
    void setFontColour(const wxColour &fontColour);
    wxColour backColour() const;
    void setBackColour(const wxColour &backColour);
    wxXmlNode *createXmlNode() const;
    bool fromXmlNode(const wxXmlNode* node);
private:
    wxFont m_font;
    wxColour m_fontColour;
    wxColour m_backColour;
};

class LineStyle
{
public:
    LineStyle(wxColour lineColour=wxColour(*wxBLACK), int width=1, wxPenStyle style=wxPENSTYLE_SOLID);

    wxColour lineColour() const;
    void setLineColour(const wxColour &lineColour);
    int width() const;
    void setWidth(int width);
    wxPenStyle style() const;
    void setStyle(const wxPenStyle &style);
    wxXmlNode *createXmlNode() const;
    bool fromXmlNode(const wxXmlNode* node);
private:
    wxColour m_lineColour;
    int m_width;
    wxPenStyle m_style;
};

#endif  /* DXSTYLES_H */

