/***************************************************************
 * Name:      wxMailer.h
 * Author:    David Vachulka (archdvx@dxsolutions.org)
 *            Eran Ifrah
 * Copyright: 2017
 * License:   GPL3
 **************************************************************/

#ifndef WXMAILER_H
#define WXMAILER_H

#include "wxEmailMessage.h"

class wxMailer
{
    wxString m_username;
    wxString m_password;
    wxString m_smtp;
    bool m_useAuth;
    bool m_useSsl;

public:
    /**
     * @brief construct a mailer object associated with the sender email address
     * @param username the email's username
     * @param password the email's password
     * @param smtpURL the smtp URL, for gmail it will be something like:
     * "smtps://smtp.gmail.com:465"
     * @param useAuth use authentication for smtp
     * @param useSsl smpt use ssl
     */
    wxMailer(const wxString& username, const wxString& password, const wxString& smtpURL, bool useAuth, bool useSsl);
    virtual ~wxMailer();

    /**
     * @brief send an email
     * @param message
     */
    bool Send(const wxEmailMessage& message);
};

#endif // WXMAILER_H
